{ Parsed from AppKit.framework (MacOSX10.8) NSCell.h }
{ Created on Mon Sep 10 11:47:55 2012 }


{ Types from NSCell_NSDeprecated }
{$ifdef TYPES}

const
  NSScaleProportionally = 0;
  NSScaleToFit = 1;
  NSScaleNone = 2;
{$endif}


{$ifdef TYPES}
type
  NSCellPtr = ^NSCell;
{$endif}

{$ifdef TYPES}
const
  NSAnyType = 0;
  NSIntType = 1;
  NSPositiveIntType = 2;
  NSFloatType = 3;
  NSPositiveFloatType = 4;
  NSDoubleType = 6;
  NSPositiveDoubleType = 7;
const
  NSNullCellType = 0;
  NSTextCellType = 1;
  NSImageCellType = 2;

type
  NSCellType = NSUInteger;
  NSCellTypePtr = ^NSCellType;

const
  NSCellDisabled = 0;
  NSCellState = 1;
  NSPushInCell = 2;
  NSCellEditable = 3;
  NSChangeGrayCell = 4;
  NSCellHighlighted = 5;
  NSCellLightsByContents = 6;
  NSCellLightsByGray = 7;
  NSChangeBackgroundCell = 8;
  NSCellLightsByBackground = 9;
  NSCellIsBordered = 10;
  NSCellHasOverlappingImage = 11;
  NSCellHasImageHorizontal = 12;
  NSCellHasImageOnLeftOrBottom = 13;
  NSCellChangesContents = 14;
  NSCellIsInsetButton = 15;
  NSCellAllowsMixedState = 16;

type
  NSCellAttribute = NSUInteger;
  NSCellAttributePtr = ^NSCellAttribute;

const
  NSNoImage = 0;
  NSImageOnly = 1;
  NSImageLeft = 2;
  NSImageRight = 3;
  NSImageBelow = 4;
  NSImageAbove = 5;
  NSImageOverlaps = 6;

type
  NSCellImagePosition = NSUInteger;
  NSCellImagePositionPtr = ^NSCellImagePosition;
{$endif}

{$if (MAC_OS_X_VERSION_MAX_ALLOWED >= MAC_OS_X_VERSION_10_5)}
{$ifdef TYPES}
const
  NSImageScaleProportionallyDown = 0;
  NSImageScaleAxesIndependently = 1;
  NSImageScaleNone = 2;
  NSImageScaleProportionallyUpOrDown = 3;
{$endif}

{$endif}
{$ifdef TYPES}
type
  NSImageScaling = NSUInteger;
  NSImageScalingPtr = ^NSImageScaling;

const
  NSMixedState = -1;
  NSOffState = 0;
  NSOnState = 1;

type
  NSCellStateValue = NSInteger;
  NSCellStateValuePtr = ^NSCellStateValue;

const
  NSNoCellMask = 0;
  NSContentsCellMask = 1;
  NSPushInCellMask = 2;
  NSChangeGrayCellMask = 4;
  NSChangeBackgroundCellMask = 8;
const
  NSDefaultControlTint = 0;
  NSBlueControlTint = 1;
  NSGraphiteControlTint = 6;
  NSClearControlTint = 7;

type
  NSControlTint = NSUInteger;
  NSControlTintPtr = ^NSControlTint;

const
  NSRegularControlSize = 0;
  NSSmallControlSize = 1;
  NSMiniControlSize = 2;

type
  NSControlSize = NSUInteger;
  NSControlSizePtr = ^NSControlSize;

type
  __CFlags = bitpacked record
    case byte of
      0: (_anonBitField___CFlags0: cuint);
      1: (
        state: 0..1;
        highlighted: 0..1;
        disabled: 0..1;
        editable: 0..1;
        type_: 0..((1 shl 2)-1);
        vCentered: 0..1;
        hCentered: 0..1;
        bordered: 0..1;
        bezeled: 0..1;
        selectable: 0..1;
        scrollable: 0..1;
        continuous: 0..1;
        actOnMouseDown: 0..1;
        isLeaf: 0..1;
        invalidObjectValue: 0..1;
        invalidFont: 0..1;
        lineBreakMode: 0..((1 shl 3)-1);
        cellReserved1: 0..((1 shl 2)-1);
        singleLineMode: 0..1;
        actOnMouseDragged: 0..1;
        isLoaded: 0..1;
        truncateLastLine: 0..1;
        dontActOnMouseUp: 0..1;
        isWhite: 0..1;
        useUserKeyEquivalent: 0..1;
        showsFirstResponder: 0..1;
        focusRingType: 0..((1 shl 2)-1);
        wasSelectable: 0..1;
        hasInvalidObject: 0..1;
        allowsEditingTextAttributes: 0..1;
        importsGraphics: 0..1;
        alignment: 0..((1 shl 3)-1);
        layoutDirectionRTL: 0..1;
        backgroundStyle: 0..((1 shl 3)-1);
        cellReserved2: 0..((1 shl 4)-1);
        refusesFirstResponder: 0..1;
        needsHighlightedText: 0..1;
        dontAllowsUndo: 0..1;
        currentlyEditing: 0..1;
        allowsMixedState: 0..1;
        inMixedState: 0..1;
        sendsActionOnEndEditing: 0..1;
        inSendAction: 0..1;
        menuWasSet: 0..1;
        controlTint: 0..((1 shl 3)-1);
        controlSize: 0..((1 shl 2)-1);
        branchImageDisabled: 0..1;
        drawingInRevealover: 0..1;
        needsHighlightedTextHint: 0..1;
      );
    end;
type
  _CFlags = __CFlags;
type
  _CFlagsPtr = ^__CFlags;
type
  __CFlagsPtr = ^__CFlags;
{$endif}

{$ifdef CLASSES}

type
  NSCell = objcclass external (NSObject, NSCopyingProtocol, NSCodingProtocol, NSUserInterfaceItemIdentificationProtocol)
  private
    _contents: id;
    _cFlags: _CFlags;
    _support: id;
  public
    class function prefersTrackingUntilMouseUp: boolean; message 'prefersTrackingUntilMouseUp';
    function initTextCell (aString: NSString): id; message 'initTextCell:';
    function initImageCell (image: NSImage): id; message 'initImageCell:';
    function controlView: NSView; message 'controlView';
    procedure setControlView (view: NSView); message 'setControlView:';
    function type_: NSCellType; message 'type';
    procedure setType (aType: NSCellType); message 'setType:';
    function state: NSInteger; message 'state';
    procedure setState (value: NSInteger); message 'setState:';
    function target: id; message 'target';
    procedure setTarget (anObject: id); message 'setTarget:';
    function action: SEL; message 'action';
    procedure setAction (aSelector: SEL); message 'setAction:';
    function tag: NSInteger; message 'tag';
    procedure setTag (anInt: NSInteger); message 'setTag:';
    function title: NSString; message 'title';
    procedure setTitle (aString: NSString); message 'setTitle:';
    function isOpaque: boolean; message 'isOpaque';
    function isEnabled: boolean; message 'isEnabled';
    procedure setEnabled (flag: boolean); message 'setEnabled:';
    function sendActionOn (mask: NSInteger): NSInteger; message 'sendActionOn:';
    function isContinuous: boolean; message 'isContinuous';
    procedure setContinuous (flag: boolean); message 'setContinuous:';
    function isEditable: boolean; message 'isEditable';
    procedure setEditable (flag: boolean); message 'setEditable:';
    function isSelectable: boolean; message 'isSelectable';
    procedure setSelectable (flag: boolean); message 'setSelectable:';
    function isBordered: boolean; message 'isBordered';
    procedure setBordered (flag: boolean); message 'setBordered:';
    function isBezeled: boolean; message 'isBezeled';
    procedure setBezeled (flag: boolean); message 'setBezeled:';
    function isScrollable: boolean; message 'isScrollable';
    procedure setScrollable (flag: boolean); message 'setScrollable:';
    function isHighlighted: boolean; message 'isHighlighted';
    procedure setHighlighted (flag: boolean); message 'setHighlighted:';
    function alignment: NSTextAlignment; message 'alignment';
    procedure setAlignment (mode: NSTextAlignment); message 'setAlignment:';
    function wraps: boolean; message 'wraps';
    procedure setWraps (flag: boolean); message 'setWraps:';
    function font: NSFont; message 'font';
    procedure setFont (fontObj: NSFont); message 'setFont:';
    function keyEquivalent: NSString; message 'keyEquivalent';
    procedure setFormatter (newFormatter: NSFormatter); message 'setFormatter:';
    function formatter: id; message 'formatter';
    function objectValue: id; message 'objectValue';
    procedure setObjectValue (obj: NSCopyingProtocol); message 'setObjectValue:';
    function hasValidObjectValue: boolean; message 'hasValidObjectValue';
    function stringValue: NSString; message 'stringValue';
    procedure setStringValue (aString: NSString); message 'setStringValue:';
    function compare (otherCell: id): NSComparisonResult; message 'compare:';
    function intValue: cint; message 'intValue';
    procedure setIntValue (anInt: cint); message 'setIntValue:';
    function floatValue: single; message 'floatValue';
    procedure setFloatValue (aFloat: single); message 'setFloatValue:';
    function doubleValue: double; message 'doubleValue';
    procedure setDoubleValue (aDouble: double); message 'setDoubleValue:';
    procedure takeIntValueFrom (sender: id); message 'takeIntValueFrom:';
    procedure takeFloatValueFrom (sender: id); message 'takeFloatValueFrom:';
    procedure takeDoubleValueFrom (sender: id); message 'takeDoubleValueFrom:';
    procedure takeStringValueFrom (sender: id); message 'takeStringValueFrom:';
    procedure takeObjectValueFrom (sender: id); message 'takeObjectValueFrom:';
    function image: NSImage; message 'image';
    procedure setImage (image_: NSImage); message 'setImage:';
    procedure setControlTint (controlTint: NSControlTint); message 'setControlTint:';
    function controlTint: NSControlTint; message 'controlTint';
    procedure setControlSize (size: NSControlSize); message 'setControlSize:';
    function controlSize: NSControlSize; message 'controlSize';
    function representedObject: id; message 'representedObject';
    procedure setRepresentedObject (anObject: id); message 'setRepresentedObject:';
    function cellAttribute (aParameter: NSCellAttribute): NSInteger; message 'cellAttribute:';
    procedure setCellAttribute_to (aParameter: NSCellAttribute; value: NSInteger); message 'setCellAttribute:to:';
    function imageRectForBounds (theRect: NSRect): NSRect; message 'imageRectForBounds:';
    function titleRectForBounds (theRect: NSRect): NSRect; message 'titleRectForBounds:';
    function drawingRectForBounds (theRect: NSRect): NSRect; message 'drawingRectForBounds:';
    function cellSize: NSSize; message 'cellSize';
    function cellSizeForBounds (aRect: NSRect): NSSize; message 'cellSizeForBounds:';
    function highlightColorWithFrame_inView (cellFrame: NSRect; controlView_: NSView): NSColor; message 'highlightColorWithFrame:inView:';
    procedure calcDrawInfo (aRect: NSRect); message 'calcDrawInfo:';
    function setUpFieldEditorAttributes (textObj: NSText): NSText; message 'setUpFieldEditorAttributes:';
    procedure drawInteriorWithFrame_inView (cellFrame: NSRect; controlView_: NSView); message 'drawInteriorWithFrame:inView:';
    procedure drawWithFrame_inView (cellFrame: NSRect; controlView_: NSView); message 'drawWithFrame:inView:';
    procedure highlight_withFrame_inView (flag: boolean; cellFrame: NSRect; controlView_: NSView); message 'highlight:withFrame:inView:';
    function mouseDownFlags: NSInteger; message 'mouseDownFlags';
    procedure getPeriodicDelay_interval (delay: psingle; interval: psingle); message 'getPeriodicDelay:interval:';
    function startTrackingAt_inView (startPoint: NSPoint; controlView_: NSView): boolean; message 'startTrackingAt:inView:';
    function continueTracking_at_inView (lastPoint: NSPoint; currentPoint: NSPoint; controlView_: NSView): boolean; message 'continueTracking:at:inView:';
    procedure stopTracking_at_inView_mouseIsUp (lastPoint: NSPoint; stopPoint: NSPoint; controlView_: NSView; flag: boolean); message 'stopTracking:at:inView:mouseIsUp:';
    function trackMouse_inRect_ofView_untilMouseUp (theEvent: NSEvent; cellFrame: NSRect; controlView_: NSView; flag: boolean): boolean; message 'trackMouse:inRect:ofView:untilMouseUp:';
    procedure editWithFrame_inView_editor_delegate_event (aRect: NSRect; controlView_: NSView; textObj: NSText; anObject: id; theEvent: NSEvent); message 'editWithFrame:inView:editor:delegate:event:';
    procedure selectWithFrame_inView_editor_delegate_start_length (aRect: NSRect; controlView_: NSView; textObj: NSText; anObject: id; selStart: NSInteger; selLength: NSInteger); message 'selectWithFrame:inView:editor:delegate:start:length:';
    procedure endEditing (textObj: NSText); message 'endEditing:';
    procedure resetCursorRect_inView (cellFrame: NSRect; controlView_: NSView); message 'resetCursorRect:inView:';
    procedure setMenu (aMenu: NSMenu); message 'setMenu:';
    function menu: NSMenu; message 'menu';
    function menuForEvent_inRect_ofView (event: NSEvent; cellFrame: NSRect; view: NSView): NSMenu; message 'menuForEvent:inRect:ofView:';
    class function defaultMenu: NSMenu; message 'defaultMenu';
    procedure setSendsActionOnEndEditing (flag: boolean); message 'setSendsActionOnEndEditing:';
    function sendsActionOnEndEditing: boolean; message 'sendsActionOnEndEditing';
    function baseWritingDirection: NSWritingDirection; message 'baseWritingDirection';
    procedure setBaseWritingDirection (writingDirection: NSWritingDirection); message 'setBaseWritingDirection:';
    procedure setLineBreakMode (mode: NSLineBreakMode); message 'setLineBreakMode:';
    function lineBreakMode: NSLineBreakMode; message 'lineBreakMode';
    procedure setAllowsUndo (allowsUndo: boolean); message 'setAllowsUndo:';
    function allowsUndo: boolean; message 'allowsUndo';
    function integerValue: NSInteger; message 'integerValue'; { available in 10_5 }
    procedure setIntegerValue (anInteger: NSInteger); message 'setIntegerValue:'; { available in 10_5 }
    procedure takeIntegerValueFrom (sender: id); message 'takeIntegerValueFrom:'; { available in 10_5 }
    function truncatesLastVisibleLine: boolean; message 'truncatesLastVisibleLine'; { available in 10_5 }
    procedure setTruncatesLastVisibleLine (flag: boolean); message 'setTruncatesLastVisibleLine:'; { available in 10_5 }
    function userInterfaceLayoutDirection: NSUserInterfaceLayoutDirection; message 'userInterfaceLayoutDirection'; { available in 10_6 }
    procedure setUserInterfaceLayoutDirection (layoutDirection: NSUserInterfaceLayoutDirection); message 'setUserInterfaceLayoutDirection:'; { available in 10_6 }
    function fieldEditorForView (aControlView: NSView): NSTextView; message 'fieldEditorForView:'; { available in 10_6 }
    function usesSingleLineMode: boolean; message 'usesSingleLineMode'; { available in 10_6 }
    procedure setUsesSingleLineMode (flag: boolean); message 'setUsesSingleLineMode:'; { available in 10_6 }
    function draggingImageComponentsWithFrame_inView (frame: NSRect; view: NSView): NSArray; message 'draggingImageComponentsWithFrame:inView:'; { available in 10_7 }

    { Adopted protocols }
    function copyWithZone (zone: NSZonePtr): id; message 'copyWithZone:';
    procedure encodeWithCoder (aCoder: NSCoder); message 'encodeWithCoder:';
    procedure setIdentifier(newValue: NSString); message 'setIdentifier:';
    function identifier: NSString; message 'identifier';
    function initWithCoder (aDecoder: NSCoder): id; message 'initWithCoder:';
  end;


type
  NSCell_NSKeyboardUI = objccategory external name 'NSKeyboardUI' (NSCell)
    procedure setRefusesFirstResponder (flag: boolean); message 'setRefusesFirstResponder:';
    function refusesFirstResponder: boolean; message 'refusesFirstResponder';
    function acceptsFirstResponder: boolean; message 'acceptsFirstResponder';
    procedure setShowsFirstResponder (showFR: boolean); message 'setShowsFirstResponder:';
    function showsFirstResponder: boolean; message 'showsFirstResponder';
    procedure performClick (sender: id); message 'performClick:';
    procedure setFocusRingType (focusRingType: NSFocusRingType); message 'setFocusRingType:';
    function focusRingType: NSFocusRingType; message 'focusRingType';
    class function defaultFocusRingType: NSFocusRingType; message 'defaultFocusRingType';
    procedure drawFocusRingMaskWithFrame_inView (cellFrame: NSRect; controlView_: NSView); message 'drawFocusRingMaskWithFrame:inView:'; { available in 10_7 }
    function focusRingMaskBoundsForFrame_inView (cellFrame: NSRect; controlView_: NSView): NSRect; message 'focusRingMaskBoundsForFrame:inView:'; { available in 10_7 }
    function wantsNotificationForMarkedText: boolean; message 'wantsNotificationForMarkedText';
  end;

type
  NSCellAttributedStringMethods = objccategory external (NSCell)
    function attributedStringValue: NSAttributedString; message 'attributedStringValue';
    procedure setAttributedStringValue (obj: NSAttributedString); message 'setAttributedStringValue:';
    function allowsEditingTextAttributes: boolean; message 'allowsEditingTextAttributes';
    procedure setAllowsEditingTextAttributes (flag: boolean); message 'setAllowsEditingTextAttributes:';
    function importsGraphics: boolean; message 'importsGraphics';
    procedure setImportsGraphics (flag: boolean); message 'setImportsGraphics:';
  end;

type
  NSCellMixedState = objccategory external (NSCell)
    procedure setAllowsMixedState (flag: boolean); message 'setAllowsMixedState:';
    function allowsMixedState: boolean; message 'allowsMixedState';
    function nextState: NSInteger; message 'nextState';
    procedure setNextState; message 'setNextState';
  end;
{$endif}

{$ifdef EXTERNAL_SYMBOLS}
var
  NSControlTintDidChangeNotification: NSString; cvar; external;
{$endif}

{$if (MAC_OS_X_VERSION_MAX_ALLOWED >= MAC_OS_X_VERSION_10_5)}
{$ifdef TYPES}
const
  NSCellHitNone = 0;
  NSCellHitContentArea = 1 shl 0;
  NSCellHitEditableTextArea = 1 shl 1;
  NSCellHitTrackableArea = 1 shl 2;
{$endif}

{$endif}
{$ifdef CLASSES}

type
  NSCellHitTest = objccategory external (NSCell)
    function hitTestForEvent_inRect_ofView (event: NSEvent; cellFrame: NSRect; controlView_: NSView): NSUInteger; message 'hitTestForEvent:inRect:ofView:'; { available in 10_5 }
  end;

type
  NSCellExpansion = objccategory external (NSCell)
    function expansionFrameWithFrame_inView (cellFrame: NSRect; view: NSView): NSRect; message 'expansionFrameWithFrame:inView:'; { available in 10_5 }
    procedure drawWithExpansionFrame_inView (cellFrame: NSRect; view: NSView); message 'drawWithExpansionFrame:inView:'; { available in 10_5 }
  end;
{$endif}

{$if (MAC_OS_X_VERSION_MAX_ALLOWED >= MAC_OS_X_VERSION_10_5)}
{$ifdef TYPES}
const
  NSBackgroundStyleLight = 0;
  NSBackgroundStyleDark = 1;
  NSBackgroundStyleRaised = 2;
  NSBackgroundStyleLowered = 3;
{$endif}

{$endif}
{$ifdef TYPES}
type
  NSBackgroundStyle = NSInteger;
  NSBackgroundStylePtr = ^NSBackgroundStyle;
{$endif}

{$ifdef CLASSES}

type
  NSCellBackgroundStyle = objccategory external (NSCell)
    function backgroundStyle: NSBackgroundStyle; message 'backgroundStyle'; { available in 10_5 }
    procedure setBackgroundStyle (style: NSBackgroundStyle); message 'setBackgroundStyle:'; { available in 10_5 }
    function interiorBackgroundStyle: NSBackgroundStyle; message 'interiorBackgroundStyle'; { available in 10_5 }
  end;

type
  NSCell_NSDeprecated = objccategory external name 'NSDeprecated' (NSCell)
    function entryType: NSInteger; message 'entryType'; deprecated 'in 10_0, 10_0';
    procedure setEntryType (aType: NSInteger); message 'setEntryType:'; deprecated 'in 10_0, 10_0';
    function isEntryAcceptable (aString: NSString): boolean; message 'isEntryAcceptable:'; deprecated 'in 10_0, 10_0';
    procedure setFloatingPointFormat_left_right (autoRange: boolean; leftDigits: NSUInteger; rightDigits: NSUInteger); message 'setFloatingPointFormat:left:right:'; deprecated 'in 10_0, 10_0';
    procedure setMnemonicLocation (location: NSUInteger); message 'setMnemonicLocation:'; deprecated 'in 10_0, 10_8';
    function mnemonicLocation: NSUInteger; message 'mnemonicLocation'; deprecated 'in 10_0, 10_8';
    function mnemonic: NSString; message 'mnemonic'; deprecated 'in 10_0, 10_8';
    procedure setTitleWithMnemonic (stringWithAmpersand: NSString); message 'setTitleWithMnemonic:'; deprecated 'in 10_0, 10_8';
  end;
{$endif}

{$ifdef FUNCTIONS}
procedure NSDrawThreePartImage(frame: NSRect; startCap: NSImage; centerFill: NSImage; endCap: NSImage; vertical: boolean; op: NSCompositingOperation; alphaFraction: CGFloat; flipped: boolean); cdecl; external; { available in 10_5 }
procedure NSDrawNinePartImage(frame: NSRect; topLeftCorner: NSImage; topEdgeFill: NSImage; topRightCorner: NSImage; leftEdgeFill: NSImage; centerFill: NSImage; rightEdgeFill: NSImage; bottomLeftCorner: NSImage; bottomEdgeFill: NSImage; bottomRightCorner: NSImage; op: NSCompositingOperation; alphaFraction: CGFloat; flipped: boolean); cdecl; external; { available in 10_5 }
{$endif}

