{ Parsed from AppKit.framework (MacOSX10.8) NSController.h }
{ Created on Mon Sep 10 11:47:57 2012 }


{$ifdef TYPES}
type
  NSControllerPtr = ^NSController;
{$endif}

{$ifdef CLASSES}

type
  NSController = objcclass external (NSObject, NSCodingProtocol)
  private
    _reserved: pointer;
    _reserved2: pointer;
    _specialPurposeType: cint;
    _bindingAdaptor: id;
    _editors: NSMutableArray;
    _declaredKeys: NSMutableArray;
    _dependentKeyToModelKeyTable: NSMutableDictionary;
    _modelKeyToDependentKeyTable: NSMutableDictionary;
    _modelKeysToRefreshEachTime: NSMutableArray;
    __bindingsControllerFlags: bitpacked record
      case byte of
        0: (_anonBitField___bindingsControllerFlags0: cuint);
        1: (
          _alwaysPresentsApplicationModalAlerts: 0..1;
          _refreshesAllModelKeys: 0..1;
          _multipleObservedModelObjects: 0..1;
          _isEditing: 0..1;
          _reservedController: 0..((1 shl 28)-1);
        );
      end;
    _reservedOther: NSMutableDictionary;
    _modelObservingTracker: id;
    _expectedObservingInfo: id;
    _singleValueAccessor: id;
  public
    procedure objectDidBeginEditing (editor: id); message 'objectDidBeginEditing:';
    procedure objectDidEndEditing (editor: id); message 'objectDidEndEditing:';
    procedure discardEditing; message 'discardEditing';
    function commitEditing: boolean; message 'commitEditing';
    procedure commitEditingWithDelegate_didCommitSelector_contextInfo (delegate: id; didCommitSelector: SEL; contextInfo: pointer); message 'commitEditingWithDelegate:didCommitSelector:contextInfo:';
    function isEditing: boolean; message 'isEditing';

    { Adopted protocols }
    procedure encodeWithCoder (aCoder: NSCoder); message 'encodeWithCoder:';
    function initWithCoder (aDecoder: NSCoder): id; message 'initWithCoder:';
  end;
{$endif}

