{ Parsed from AppKit.framework (MacOSX10.8) NSDockTile.h }
{ Created on Mon Sep 10 11:47:55 2012 }


{ Types from NSDockTilePlugInProtocol }
{$ifdef TYPES}

{$endif}


{$ifdef TYPES}
type
  NSDockTilePtr = ^NSDockTile;
  NSDockTilePlugInProtocolPtr = ^NSDockTilePlugInProtocol;
{$endif}

{$ifdef TYPES}
const
  NSAppKitVersionNumberWithDockTilePlugInSupport = 1001.0;
{$endif}

{$ifdef CLASSES}

type
  NSDockTile = objcclass external (NSObject)
  private
    _owner: id;
    _dockContextRef: pointer;
    _contentView: NSView;
    _frameView: NSView;
    _backstopView: NSView;
    _badgeLabel: NSString;
    _dFlags: bitpacked record
      case byte of
        0: (_anonBitField__dFlags0: cuint);
        1: (
          showsAppBadge: 0..1;
          reserved: 0..((1 shl 31)-1);
        );
      end;
    _dockTileSize: NSSize;
    _miniViewController: id;
    reserved:array[0..3] of id;
  public
    function size: NSSize; message 'size';
    procedure setContentView (view: NSView); message 'setContentView:';
    function contentView: NSView; message 'contentView';
    procedure display; message 'display';
    procedure setShowsApplicationBadge (flag: boolean); message 'setShowsApplicationBadge:';
    function showsApplicationBadge: boolean; message 'showsApplicationBadge';
    procedure setBadgeLabel (string_: NSString); message 'setBadgeLabel:';
    function badgeLabel: NSString; message 'badgeLabel';
    function owner: id; message 'owner';
  end;
{$endif}

{$ifdef PROTOCOLS}

type
  NSDockTilePlugInProtocol = objcprotocol external name 'NSDockTilePlugIn' (NSObjectProtocol)
    {$if (MAC_OS_X_VERSION_MAX_ALLOWED >= MAC_OS_X_VERSION_10_6)}
    procedure setDockTile (dockTile: NSDockTile); message 'setDockTile:';
    function dockMenu: NSMenu; message 'dockMenu';
    {$endif}
  end;
{$endif}

