{ Parsed from AppKit.framework (MacOSX10.8) NSFormCell.h }
{ Created on Mon Sep 10 11:47:56 2012 }


{$ifdef TYPES}
type
  NSFormCellPtr = ^NSFormCell;
{$endif}

{$ifdef CLASSES}

type
  NSFormCell = objcclass external (NSActionCell)
  private
    _titleWidth: CGFloat;
    _titleCell: id;
    _titleEndPoint: CGFloat;
    {$if defined(__LP64__)}
    _preferredTextFieldWidth: CGFloat;
    {$endif}
  public
    function initTextCell (aString: NSString): id; message 'initTextCell:';
    function titleWidth (aSize: NSSize): CGFloat; message 'titleWidth:';
    function titleWidth_: CGFloat; message 'titleWidth';
    procedure setTitleWidth (width: CGFloat); message 'setTitleWidth:';
    function title: NSString; message 'title';
    procedure setTitle (aString: NSString); message 'setTitle:';
    function titleFont: NSFont; message 'titleFont';
    procedure setTitleFont (fontObj: NSFont); message 'setTitleFont:';
    function titleAlignment: NSTextAlignment; message 'titleAlignment';
    procedure setTitleAlignment (mode: NSTextAlignment); message 'setTitleAlignment:';
    function isOpaque: boolean; message 'isOpaque';
    procedure setPreferredTextFieldWidth (preferredWidth: CGFloat); message 'setPreferredTextFieldWidth:';
    function preferredTextFieldWidth: CGFloat; message 'preferredTextFieldWidth';
    procedure setPlaceholderString (string_: NSString); message 'setPlaceholderString:';
    function placeholderString: NSString; message 'placeholderString';
    procedure setPlaceholderAttributedString (string_: NSAttributedString); message 'setPlaceholderAttributedString:';
    function placeholderAttributedString: NSAttributedString; message 'placeholderAttributedString';
    function titleBaseWritingDirection: NSWritingDirection; message 'titleBaseWritingDirection';
    procedure setTitleBaseWritingDirection (writingDirection: NSWritingDirection); message 'setTitleBaseWritingDirection:';
    procedure setPreferredTextFieldWidth_ (width: CGFloat); message 'setPreferredTextFieldWidth:'; { available in 10_8 }
    function preferredTextFieldWidth_: CGFloat; message 'preferredTextFieldWidth'; { available in 10_8 }
  end;


type
  NSKeyboardUI = objccategory external (NSFormCell)
    procedure setTitleWithMnemonic (stringWithAmpersand: NSString); message 'setTitleWithMnemonic:'; deprecated 'in 10_0, 10_8';
  end;

type
  NSFormCellAttributedStringMethods = objccategory external (NSFormCell)
    function attributedTitle: NSAttributedString; message 'attributedTitle';
    procedure setAttributedTitle (obj: NSAttributedString); message 'setAttributedTitle:';
  end;
{$endif}

