{ Parsed from AppKit.framework (MacOSX10.8) NSNib.h }
{ Created on Mon Sep 10 11:47:56 2012 }


{$ifdef TYPES}
type
  NSNibPtr = ^NSNib;
{$endif}

{$ifdef CLASSES}

type
  NSNib = objcclass external (NSObject, NSCodingProtocol)
  private
    _data: NSData;
    _images: NSArray;
    _sounds: NSArray;
    _bundle: NSBundle;
    _NSNibFlags: bitpacked record
      case byte of
        0: (_anonBitField__NSNibFlags0: cuint);
        1: (
          _isKeyed: 0..1;
          _inheritsDecodeTimeBundle: 0..1;
          _reserved: 0..((1 shl 30)-1);
        );
      end;
    _path: NSString;
    reserved2: id;
  public
    function initWithNibNamed_bundle (nibName: NSString; bundle: NSBundle): id; message 'initWithNibNamed:bundle:';
    function initWithNibData_bundle (nibData: NSData; bundle: NSBundle): id; message 'initWithNibData:bundle:'; { available in 10_8 }
    function instantiateWithOwner_topLevelObjects (owner: id; topLevelObjects: NSArrayPtr): boolean; message 'instantiateWithOwner:topLevelObjects:'; { available in 10_8 }

    { Adopted protocols }
    procedure encodeWithCoder (aCoder: NSCoder); message 'encodeWithCoder:';
    function initWithCoder (aDecoder: NSCoder): id; message 'initWithCoder:';
  end;


type
  NSNib_NSDeprecated = objccategory external name 'NSDeprecated' (NSNib)
    function initWithContentsOfURL (nibFileURL: NSURL): id; message 'initWithContentsOfURL:';
    function instantiateNibWithExternalNameTable (externalNameTable: NSDictionary): boolean; message 'instantiateNibWithExternalNameTable:';
    function instantiateNibWithOwner_topLevelObjects (owner: id; topLevelObjects: NSArrayPtr): boolean; message 'instantiateNibWithOwner:topLevelObjects:'; deprecated 'in 10_3, 10_8';
  end;
{$endif}

{$ifdef EXTERNAL_SYMBOLS}
var
  NSNibOwner: NSString; cvar; external;
  NSNibTopLevelObjects: NSString; cvar; external;
{$endif}

