{ Parsed from AppKit.framework (MacOSX10.8) NSOpenGLView.h }
{ Created on Mon Sep 10 11:47:57 2012 }


{$ifdef TYPES}
type
  NSOpenGLViewPtr = ^NSOpenGLView;
{$endif}

{$ifdef CLASSES}

type
  NSOpenGLView = objcclass external (NSView)
  private
    _openGLContext: NSOpenGLContext;
    _pixelFormat: NSOpenGLPixelFormat;
    _reserved1: NSInteger;
    _reserved2: NSInteger;
    _reserved3: NSInteger;
  public
    class function defaultPixelFormat: NSOpenGLPixelFormat; message 'defaultPixelFormat';
    function initWithFrame_pixelFormat (frameRect: NSRect; format: NSOpenGLPixelFormat): id; message 'initWithFrame:pixelFormat:';
    procedure setOpenGLContext (context: NSOpenGLContext); message 'setOpenGLContext:';
    function openGLContext: NSOpenGLContext; message 'openGLContext';
    procedure clearGLContext; message 'clearGLContext';
    procedure update; message 'update';
    procedure reshape; message 'reshape';
    procedure setPixelFormat (pixelFormat: NSOpenGLPixelFormat); message 'setPixelFormat:';
    function pixelFormat: NSOpenGLPixelFormat; message 'pixelFormat';
    procedure prepareOpenGL; message 'prepareOpenGL';
  end;


type
  NSOpenGLSurfaceResolution = objccategory external (NSView)
    function wantsBestResolutionOpenGLSurface: boolean; message 'wantsBestResolutionOpenGLSurface'; { available in 10_7 }
    procedure setWantsBestResolutionOpenGLSurface (flag: boolean); message 'setWantsBestResolutionOpenGLSurface:'; { available in 10_7 }
  end;
{$endif}

