{ Parsed from AppKit.framework (MacOSX10.8) NSPathControl.h }
{ Created on Mon Sep 10 11:47:57 2012 }


{$ifdef TYPES}
type
  NSPathControlPtr = ^NSPathControl;
  NSPathControlDelegateProtocolPtr = ^NSPathControlDelegateProtocol;
{$endif}

{$ifdef CLASSES}

type
  NSPathControl = objcclass external (NSControl)
  private
    _draggingSourceOperationMaskForLocal: NSDragOperation;
    _draggingSourceOperationMaskForNonLocal: NSDragOperation;
    _reserved: NSInteger;
    _delegate: id;
    _aux: id;
  public
    function URL: NSURL; message 'URL';
    procedure setURL (url_: NSURL); message 'setURL:';
    function doubleAction: SEL; message 'doubleAction';
    procedure setDoubleAction (action_: SEL); message 'setDoubleAction:';
    function pathStyle: NSPathStyle; message 'pathStyle';
    procedure setPathStyle (style: NSPathStyle); message 'setPathStyle:';
    function clickedPathComponentCell: NSPathComponentCell; message 'clickedPathComponentCell';
    function pathComponentCells: NSArray; message 'pathComponentCells';
    procedure setPathComponentCells (cells: NSArray); message 'setPathComponentCells:';
    procedure setBackgroundColor (color: NSColor); message 'setBackgroundColor:';
    function backgroundColor: NSColor; message 'backgroundColor';
    function delegate: NSPathControlDelegateProtocol; message 'delegate';
    procedure setDelegate (delegate_: NSPathControlDelegateProtocol); message 'setDelegate:';
    procedure setDraggingSourceOperationMask_forLocal (mask: NSDragOperation; isLocal: boolean); message 'setDraggingSourceOperationMask:forLocal:';
    procedure setMenu (menu_: NSMenu); message 'setMenu:';
    function menu: NSMenu; message 'menu';
  end;
{$endif}

{$ifdef PROTOCOLS}

type
  NSPathControlDelegateProtocol = objcprotocol external name 'NSPathControlDelegate' (NSObjectProtocol)
  optional
    function pathControl_shouldDragPathComponentCell_withPasteboard (pathControl: NSPathControl; pathComponentCell: NSPathComponentCell; pasteboard: NSPasteboard): boolean; message 'pathControl:shouldDragPathComponentCell:withPasteboard:';
    function pathControl_validateDrop (pathControl: NSPathControl; info: NSDraggingInfoProtocol): NSDragOperation; message 'pathControl:validateDrop:';
    function pathControl_acceptDrop (pathControl: NSPathControl; info: NSDraggingInfoProtocol): boolean; message 'pathControl:acceptDrop:';
    procedure pathControl_willDisplayOpenPanel (pathControl: NSPathControl; openPanel: NSOpenPanel); message 'pathControl:willDisplayOpenPanel:';
    procedure pathControl_willPopUpMenu (pathControl: NSPathControl; menu: NSMenu); message 'pathControl:willPopUpMenu:';
  end;
{$endif}

