{ Parsed from AppKit.framework (MacOSX10.8) NSPopUpButton.h }
{ Created on Mon Sep 10 11:47:56 2012 }


{$ifdef TYPES}
type
  NSPopUpButtonPtr = ^NSPopUpButton;
{$endif}

{$ifdef CLASSES}

type
  NSPopUpButton = objcclass external (NSButton)
  private
    __pbFlags: bitpacked record
      case byte of
        0: (_anonBitField___pbFlags0: cuint);
        1: (
          needsPullsDownFromTemplate: 0..1;
          RESERVED: 0..((1 shl 31)-1);
        );
      end;
    {$if defined(__LP64__)}
    _popupReserved: id;
    {$endif}
  public
    function initWithFrame_pullsDown (buttonFrame: NSRect; flag: boolean): id; message 'initWithFrame:pullsDown:';
    procedure setMenu (menu_: NSMenu); message 'setMenu:';
    function menu: NSMenu; message 'menu';
    procedure setPullsDown (flag: boolean); message 'setPullsDown:';
    function pullsDown: boolean; message 'pullsDown';
    procedure setAutoenablesItems (flag: boolean); message 'setAutoenablesItems:';
    function autoenablesItems: boolean; message 'autoenablesItems';
    procedure setPreferredEdge (edge: NSRectEdge); message 'setPreferredEdge:';
    function preferredEdge: NSRectEdge; message 'preferredEdge';
    procedure addItemWithTitle (title_: NSString); message 'addItemWithTitle:';
    procedure addItemsWithTitles (itemTitles: NSArray); message 'addItemsWithTitles:';
    procedure insertItemWithTitle_atIndex (title_: NSString; index: NSInteger); message 'insertItemWithTitle:atIndex:';
    procedure removeItemWithTitle (title_: NSString); message 'removeItemWithTitle:';
    procedure removeItemAtIndex (index: NSInteger); message 'removeItemAtIndex:';
    procedure removeAllItems; message 'removeAllItems';
    function itemArray: NSArray; message 'itemArray';
    function numberOfItems: NSInteger; message 'numberOfItems';
    function indexOfItem (item: NSMenuItem): NSInteger; message 'indexOfItem:';
    function indexOfItemWithTitle (title_: NSString): NSInteger; message 'indexOfItemWithTitle:';
    function indexOfItemWithTag (tag_: NSInteger): NSInteger; message 'indexOfItemWithTag:';
    function indexOfItemWithRepresentedObject (obj: id): NSInteger; message 'indexOfItemWithRepresentedObject:';
    function indexOfItemWithTarget_andAction (target_: id; actionSelector: SEL): NSInteger; message 'indexOfItemWithTarget:andAction:';
    function itemAtIndex (index: NSInteger): NSMenuItem; message 'itemAtIndex:';
    function itemWithTitle (title_: NSString): NSMenuItem; message 'itemWithTitle:';
    function lastItem: NSMenuItem; message 'lastItem';
    procedure selectItem (item: NSMenuItem); message 'selectItem:';
    procedure selectItemAtIndex (index: NSInteger); message 'selectItemAtIndex:';
    procedure selectItemWithTitle (title_: NSString); message 'selectItemWithTitle:';
    function selectItemWithTag (tag_: NSInteger): boolean; message 'selectItemWithTag:';
    procedure setTitle (aString: NSString); message 'setTitle:';
    function selectedItem: NSMenuItem; message 'selectedItem';
    function indexOfSelectedItem: NSInteger; message 'indexOfSelectedItem';
    procedure synchronizeTitleAndSelectedItem; message 'synchronizeTitleAndSelectedItem';
    function itemTitleAtIndex (index: NSInteger): NSString; message 'itemTitleAtIndex:';
    function itemTitles: NSArray; message 'itemTitles';
    function titleOfSelectedItem: NSString; message 'titleOfSelectedItem';
  end;
{$endif}

{$ifdef EXTERNAL_SYMBOLS}
var
  NSPopUpButtonWillPopUpNotification: NSString; cvar; external;
{$endif}

