{ Parsed from AppKit.framework (MacOSX10.8) NSPrintOperation.h }
{ Created on Mon Sep 10 11:47:56 2012 }


{$ifdef TYPES}
type
  NSPrintOperationPtr = ^NSPrintOperation;
{$endif}

{$ifdef TYPES}
const
  NSDescendingPageOrder = -1;
  NSSpecialPageOrder = 0;
  NSAscendingPageOrder = 1;
  NSUnknownPageOrder = 2;

type
  NSPrintingPageOrder = NSInteger;
  NSPrintingPageOrderPtr = ^NSPrintingPageOrder;
{$endif}

{$if (MAC_OS_X_VERSION_10_7 <= MAC_OS_X_VERSION_MAX_ALLOWED)}
{$ifdef TYPES}
const
  NSPrintRenderingQualityBest = 0;
  NSPrintRenderingQualityResponsive = 1;
{$endif}

{$endif}
{$ifdef TYPES}
type
  NSPrintRenderingQuality = NSInteger;
  NSPrintRenderingQualityPtr = ^NSPrintRenderingQuality;
{$endif}

{$ifdef EXTERNAL_SYMBOLS}
var
  NSPrintOperationExistsException: NSString; cvar; external;
{$endif}

{$ifdef CLASSES}

type
  NSPrintOperation = objcclass external (NSObject)
  private
  public
    class function printOperationWithView_printInfo (view: NSView; printInfo: NSPrintInfo): NSPrintOperation; message 'printOperationWithView:printInfo:';
    class function PDFOperationWithView_insideRect_toData_printInfo (view: NSView; rect: NSRect; data: NSMutableData; printInfo: NSPrintInfo): NSPrintOperation; message 'PDFOperationWithView:insideRect:toData:printInfo:';
    class function PDFOperationWithView_insideRect_toPath_printInfo (view: NSView; rect: NSRect; path: NSString; printInfo: NSPrintInfo): NSPrintOperation; message 'PDFOperationWithView:insideRect:toPath:printInfo:';
    class function EPSOperationWithView_insideRect_toData_printInfo (view: NSView; rect: NSRect; data: NSMutableData; printInfo: NSPrintInfo): NSPrintOperation; message 'EPSOperationWithView:insideRect:toData:printInfo:';
    class function EPSOperationWithView_insideRect_toPath_printInfo (view: NSView; rect: NSRect; path: NSString; printInfo: NSPrintInfo): NSPrintOperation; message 'EPSOperationWithView:insideRect:toPath:printInfo:';
    class function printOperationWithView (view: NSView): NSPrintOperation; message 'printOperationWithView:';
    class function PDFOperationWithView_insideRect_toData (view: NSView; rect: NSRect; data: NSMutableData): NSPrintOperation; message 'PDFOperationWithView:insideRect:toData:';
    class function EPSOperationWithView_insideRect_toData (view: NSView; rect: NSRect; data: NSMutableData): NSPrintOperation; message 'EPSOperationWithView:insideRect:toData:';
    class function currentOperation: NSPrintOperation; message 'currentOperation';
    class procedure setCurrentOperation (operation: NSPrintOperation); message 'setCurrentOperation:';
    function isCopyingOperation: boolean; message 'isCopyingOperation';
    function preferredRenderingQuality: NSPrintRenderingQuality; message 'preferredRenderingQuality'; { available in 10_7 }
    procedure setJobTitle (jobTitle: NSString); message 'setJobTitle:'; { available in 10_5 }
    function jobTitle: NSString; message 'jobTitle'; { available in 10_5 }
    procedure setShowsPrintPanel (flag: boolean); message 'setShowsPrintPanel:';
    function showsPrintPanel: boolean; message 'showsPrintPanel';
    procedure setShowsProgressPanel (flag: boolean); message 'setShowsProgressPanel:';
    function showsProgressPanel: boolean; message 'showsProgressPanel';
    procedure setPrintPanel (panel: NSPrintPanel); message 'setPrintPanel:';
    function printPanel: NSPrintPanel; message 'printPanel';
    procedure setCanSpawnSeparateThread (canSpawnSeparateThread: boolean); message 'setCanSpawnSeparateThread:';
    function canSpawnSeparateThread: boolean; message 'canSpawnSeparateThread';
    procedure setPageOrder (pageOrder: NSPrintingPageOrder); message 'setPageOrder:';
    function pageOrder: NSPrintingPageOrder; message 'pageOrder';
    procedure runOperationModalForWindow_delegate_didRunSelector_contextInfo (docWindow: NSWindow; delegate: id; didRunSelector: SEL; contextInfo: pointer); message 'runOperationModalForWindow:delegate:didRunSelector:contextInfo:';
    function runOperation: boolean; message 'runOperation';
    function view: NSView; message 'view';
    function printInfo: NSPrintInfo; message 'printInfo';
    procedure setPrintInfo (printInfo_: NSPrintInfo); message 'setPrintInfo:';
    function context: NSGraphicsContext; message 'context';
    function pageRange: NSRange; message 'pageRange'; { available in 10_5 }
    function currentPage: NSInteger; message 'currentPage';
    function createContext: NSGraphicsContext; message 'createContext';
    procedure destroyContext; message 'destroyContext';
    function deliverResult: boolean; message 'deliverResult';
    procedure cleanUpOperation; message 'cleanUpOperation';
  end;


type
  NSPrintOperation_NSDeprecated = objccategory external name 'NSDeprecated' (NSPrintOperation)
    procedure setAccessoryView (view_: NSView); message 'setAccessoryView:'; deprecated 'in 10_0, 10_5';
    function accessoryView: NSView; message 'accessoryView'; deprecated 'in 10_0, 10_5';
    procedure setJobStyleHint (hint: NSString); message 'setJobStyleHint:'; deprecated 'in 10_2, 10_5';
    function jobStyleHint: NSString; message 'jobStyleHint'; deprecated 'in 10_2, 10_5';
    procedure setShowPanels (flag: boolean); message 'setShowPanels:'; deprecated 'in 10_0, 10_4';
    function showPanels: boolean; message 'showPanels'; deprecated 'in 10_0, 10_4';
  end;
{$endif}

