{ Parsed from AppKit.framework (MacOSX10.8) NSRulerMarker.h }
{ Created on Mon Sep 10 11:47:57 2012 }


{$ifdef TYPES}
type
  NSRulerMarkerPtr = ^NSRulerMarker;
{$endif}

{$ifdef CLASSES}

type
  NSRulerMarker = objcclass external (NSObject, NSCopyingProtocol, NSCodingProtocol)
  private
    _ruler: NSRulerView;
    _location: CGFloat;
    _image: NSImage;
    _imageOrigin: NSPoint;
    __rFlags: bitpacked record
      case byte of
        0: (_anonBitField___rFlags0: cuint);
        1: (
          movable: 0..1;
          removable: 0..1;
          dragging: 0..1;
          pinned: 0..1;
          _reserved: 0..((1 shl 28)-1);
        );
      end;
    _representedObject: id;
  public
    function initWithRulerView_markerLocation_image_imageOrigin (ruler: NSRulerView; location: CGFloat; image: NSImage; imageOrigin: NSPoint): id; message 'initWithRulerView:markerLocation:image:imageOrigin:';
    function ruler: NSRulerView; message 'ruler';
    procedure setMarkerLocation (location: CGFloat); message 'setMarkerLocation:';
    function markerLocation: CGFloat; message 'markerLocation';
    procedure setImage (image: NSImage); message 'setImage:';
    function image: NSImage; message 'image';
    procedure setImageOrigin (imageOrigin: NSPoint); message 'setImageOrigin:';
    function imageOrigin: NSPoint; message 'imageOrigin';
    procedure setMovable (flag: boolean); message 'setMovable:';
    procedure setRemovable (flag: boolean); message 'setRemovable:';
    function isMovable: boolean; message 'isMovable';
    function isRemovable: boolean; message 'isRemovable';
    function isDragging: boolean; message 'isDragging';
    procedure setRepresentedObject (representedObject: NSCopyingProtocol); message 'setRepresentedObject:';
    function representedObject: NSCopyingProtocol; message 'representedObject';
    function imageRectInRuler: NSRect; message 'imageRectInRuler';
    function thicknessRequiredInRuler: CGFloat; message 'thicknessRequiredInRuler';
    procedure drawRect (rect: NSRect); message 'drawRect:';
    function trackMouse_adding (mouseDownEvent: NSEvent; isAdding: boolean): boolean; message 'trackMouse:adding:';

    { Adopted protocols }
    function copyWithZone (zone: NSZonePtr): id; message 'copyWithZone:';
    procedure encodeWithCoder (aCoder: NSCoder); message 'encodeWithCoder:';
    function initWithCoder (aDecoder: NSCoder): id; message 'initWithCoder:';
  end;
{$endif}

