{ Parsed from AppKit.framework (MacOSX10.8) NSTextFieldCell.h }
{ Created on Mon Sep 10 11:47:56 2012 }


{$ifdef TYPES}
type
  NSTextFieldCellPtr = ^NSTextFieldCell;
{$endif}

{$ifdef TYPES}
const
  NSTextFieldSquareBezel = 0;
  NSTextFieldRoundedBezel = 1;

type
  NSTextFieldBezelStyle = NSUInteger;
  NSTextFieldBezelStylePtr = ^NSTextFieldBezelStyle;
{$endif}

{$ifdef CLASSES}

type
  NSTextFieldCell = objcclass external (NSActionCell)
  private
    _backgroundColor: NSColor;
    _textColor: NSColor;
    __tfFlags: bitpacked record
      case byte of
        0: (_anonBitField___tfFlags0: cuint);
        1: (
          drawsBackground_: 0..1;
          bezelStyle_: 0..((1 shl 3)-1);
          thcSortDirection: 0..((1 shl 2)-1);
          thcSortPriority: 0..((1 shl 4)-1);
          mini: 0..1;
          textColorIgnoresNormalDisableFlag: 0..1;
          textColorDisableFlag: 0..1;
          thcForceHighlightForSort: 0..1;
          invalidTextColor: 0..1;
          notificationForMarkedText: 0..1;
          inToolbar: 0..1;
          hasTextLayer: 0..1;
          isButtonTitle: 0..1;
          reservedTextFieldCell: 0..((1 shl 13)-1);
        );
      end;
  public
    procedure setBackgroundColor (color: NSColor); message 'setBackgroundColor:';
    function backgroundColor: NSColor; message 'backgroundColor';
    procedure setDrawsBackground (flag: boolean); message 'setDrawsBackground:';
    function drawsBackground: boolean; message 'drawsBackground';
    procedure setTextColor (color: NSColor); message 'setTextColor:';
    function textColor: NSColor; message 'textColor';
    function setUpFieldEditorAttributes (textObj: NSText): NSText; message 'setUpFieldEditorAttributes:';
    procedure setBezelStyle (style: NSTextFieldBezelStyle); message 'setBezelStyle:';
    function bezelStyle: NSTextFieldBezelStyle; message 'bezelStyle';
    procedure setPlaceholderString (string_: NSString); message 'setPlaceholderString:';
    function placeholderString: NSString; message 'placeholderString';
    procedure setPlaceholderAttributedString (string_: NSAttributedString); message 'setPlaceholderAttributedString:';
    function placeholderAttributedString: NSAttributedString; message 'placeholderAttributedString';
    procedure setWantsNotificationForMarkedText (flag: boolean); message 'setWantsNotificationForMarkedText:'; { available in 10_5 }
    function allowedInputSourceLocales: NSArray; message 'allowedInputSourceLocales'; { available in 10_5 }
    procedure setAllowedInputSourceLocales (localeIdentifiers: NSArray); message 'setAllowedInputSourceLocales:'; { available in 10_5 }
  end;
{$endif}

