{ Parsed from AppKit.framework (MacOSX10.8) NSUserInterfaceItemSearching.h }
{ Created on Mon Sep 10 11:47:57 2012 }


{ Types from NSUserInterfaceItemSearchingProtocol }
{$ifdef TYPES}

{$endif}


{$ifdef TYPES}
type
  NSUserInterfaceItemSearchingProtocolPtr = ^NSUserInterfaceItemSearchingProtocol;
{$endif}

{$ifdef PROTOCOLS}

type
  NSUserInterfaceItemSearchingProtocol = objcprotocol external name 'NSUserInterfaceItemSearching' (NSObjectProtocol)
    {$if (MAC_OS_X_VERSION_MAX_ALLOWED >= MAC_OS_X_VERSION_10_6)}
    {$if defined(NS_BLOCKS_AVAILABLE)}
    procedure searchForItemsWithSearchString_resultLimit_matchedItemHandler (searchString: NSString; resultLimit: NSInteger; handleMatchedItems: OpaqueCBlock); message 'searchForItemsWithSearchString:resultLimit:matchedItemHandler:';
    {$endif}
    function localizedTitlesForItem (item: id): NSArray; message 'localizedTitlesForItem:';
    procedure performActionForItem (item: id); message 'performActionForItem:';
    procedure showAllHelpTopicsForSearchString (searchString: NSString); message 'showAllHelpTopicsForSearchString:';
    {$endif}
  end;
{$endif}

{$ifdef CLASSES}

type
  NSUserInterfaceItemSearching = objccategory external (NSApplication)
    procedure registerUserInterfaceItemSearchHandler (handler: NSUserInterfaceItemSearchingProtocol); message 'registerUserInterfaceItemSearchHandler:'; { available in 10_6 }
    procedure unregisterUserInterfaceItemSearchHandler (handler: NSUserInterfaceItemSearchingProtocol); message 'unregisterUserInterfaceItemSearchHandler:'; { available in 10_6 }
    function searchString_inUserInterfaceItemString_searchRange_foundRange (searchString: NSString; stringToSearch: NSString; searchRange: NSRange; foundRange: NSRangePtr): boolean; message 'searchString:inUserInterfaceItemString:searchRange:foundRange:'; { available in 10_6 }
  end;
{$endif}

