{ Parsed from AppKit.framework (MacOSX10.8) NSView.h }
{ Created on Mon Sep 10 11:47:55 2012 }


{ Types from NSDefinition }
{$ifdef TYPES}

{$endif}


{ Callbacks }
{$ifdef TYPES}
type
  NSViewSortSubviewsUsingFunctionCompareCallback = function (param1: id; param2: id; param3: pointer): NSComparisonResult; cdecl;
{$endif}


{$ifdef TYPES}
type
  NSViewPtr = ^NSView;
{$endif}

{$ifdef TYPES}
const
  NSViewNotSizable = 0;
  NSViewMinXMargin = 1;
  NSViewWidthSizable = 2;
  NSViewMaxXMargin = 4;
  NSViewMinYMargin = 8;
  NSViewHeightSizable = 16;
  NSViewMaxYMargin = 32;
const
  NSNoBorder = 0;
  NSLineBorder = 1;
  NSBezelBorder = 2;
  NSGrooveBorder = 3;

type
  NSBorderType = NSUInteger;
  NSBorderTypePtr = ^NSBorderType;
{$endif}

{$if (MAC_OS_X_VERSION_MAX_ALLOWED >= MAC_OS_X_VERSION_10_6)}
{$ifdef TYPES}
const
  NSViewLayerContentsRedrawNever = 0;
  NSViewLayerContentsRedrawOnSetNeedsDisplay = 1;
  NSViewLayerContentsRedrawDuringViewResize = 2;
  NSViewLayerContentsRedrawBeforeViewResize = 3;
{$endif}

{$endif}
{$ifdef TYPES}
type
  NSViewLayerContentsRedrawPolicy = NSInteger;
  NSViewLayerContentsRedrawPolicyPtr = ^NSViewLayerContentsRedrawPolicy;
{$endif}

{$if (MAC_OS_X_VERSION_MAX_ALLOWED >= MAC_OS_X_VERSION_10_6)}
{$ifdef TYPES}
const
  NSViewLayerContentsPlacementScaleAxesIndependently = 0;
  NSViewLayerContentsPlacementScaleProportionallyToFit = 1;
  NSViewLayerContentsPlacementScaleProportionallyToFill = 2;
  NSViewLayerContentsPlacementCenter = 3;
  NSViewLayerContentsPlacementTop = 4;
  NSViewLayerContentsPlacementTopRight = 5;
  NSViewLayerContentsPlacementRight = 6;
  NSViewLayerContentsPlacementBottomRight = 7;
  NSViewLayerContentsPlacementBottom = 8;
  NSViewLayerContentsPlacementBottomLeft = 9;
  NSViewLayerContentsPlacementLeft = 10;
  NSViewLayerContentsPlacementTopLeft = 11;
{$endif}

{$endif}
{$ifdef TYPES}
type
  NSViewLayerContentsPlacement = NSInteger;
  NSViewLayerContentsPlacementPtr = ^NSViewLayerContentsPlacement;

type
  __VFlags = bitpacked record
    case byte of
      0: (_anonBitField___VFlags0: cuint);
      1: (
        {$ifdef __BIG_ENDIAN__}
        rotatedFromBase: 0..1;
        rotatedOrScaledFromBase: 0..1;
        autosizing: 0..((1 shl 6)-1);
        autoresizeSubviews: 0..1;
        wantsGState: 0..1;
        needsDisplay: 0..1;
        validGState: 0..1;
        newGState: 0..1;
        noVerticalAutosizing: 0..1;
        frameChangeNotesSuspended: 0..1;
        needsFrameChangeNote: 0..1;
        focusChangeNotesSuspended: 0..1;
        boundsChangeNotesSuspended: 0..1;
        needsBoundsChangeNote: 0..1;
        removingWithoutInvalidation: 0..1;
        isFlipped: 0..1;
        needsDisplayForBounds: 0..1;
        specialArchiving: 0..1;
        ignoreHitTest: 0..1;
        retainCount: 0..((1 shl 6)-1);
        isOpaque: 0..1;
        aboutToResize: 0..1;
        {$else}
        aboutToResize_: 0..1;
        isOpaque_: 0..1;
        retainCount_: 0..((1 shl 6)-1);
        ignoreHitTest_: 0..1;
        specialArchiving_: 0..1;
        needsDisplayForBounds_: 0..1;
        isFlipped_: 0..1;
        removingWithoutInvalidation_: 0..1;
        needsBoundsChangeNote_: 0..1;
        boundsChangeNotesSuspended_: 0..1;
        focusChangeNotesSuspended_: 0..1;
        needsFrameChangeNote_: 0..1;
        frameChangeNotesSuspended_: 0..1;
        noVerticalAutosizing_: 0..1;
        newGState_: 0..1;
        validGState_: 0..1;
        needsDisplay_: 0..1;
        wantsGState_: 0..1;
        autoresizeSubviews_: 0..1;
        autosizing_: 0..((1 shl 6)-1);
        rotatedOrScaledFromBase_: 0..1;
        rotatedFromBase_: 0..1;
        {$endif}
      );
    end;
type
  _VFlags = __VFlags;
type
  _VFlagsPtr = ^__VFlags;
type
  __VFlagsPtr = ^__VFlags;

type
  NSTrackingRectTag = NSInteger;
  NSTrackingRectTagPtr = ^NSTrackingRectTag;
  NSToolTipTag = NSInteger;
  NSToolTipTagPtr = ^NSToolTipTag;
{$endif}

{$ifdef CLASSES}

type
  NSView = objcclass external (NSResponder, NSAnimatablePropertyContainerProtocol, NSUserInterfaceItemIdentificationProtocol, NSDraggingDestinationProtocol)
  private
    _frame: NSRect;
    _bounds: NSRect;
    _superview: id;
    _subviews: id;
    _window: NSWindow;
    _gState: id;
    _frameMatrix: id;
    _layer: CALayer;
    _dragTypes: id;
    _viewAuxiliary: _NSViewAuxiliary;
    _vFlags: _VFlags;
    __VFlags2: bitpacked record
      case byte of
        0: (_anonBitField___VFlags20: cuint);
        1: (
          nextKeyViewRefCount: 0..((1 shl 14)-1);
          previousKeyViewRefCount: 0..((1 shl 14)-1);
          isVisibleRect: 0..1;
          hasToolTip: 0..1;
          cachedIsFlipped: 0..1;
          menuWasSet: 0..1;
        );
      end;
  public
    function initWithFrame (frameRect: NSRect): id; message 'initWithFrame:';
    function window: NSWindow; message 'window';
    function superview: NSView; message 'superview';
    function subviews: NSArray; message 'subviews';
    function isDescendantOf (aView: NSView): boolean; message 'isDescendantOf:';
    function ancestorSharedWithView (aView: NSView): NSView; message 'ancestorSharedWithView:';
    function opaqueAncestor: NSView; message 'opaqueAncestor';
    procedure setHidden (flag: boolean); message 'setHidden:';
    function isHidden: boolean; message 'isHidden';
    function isHiddenOrHasHiddenAncestor: boolean; message 'isHiddenOrHasHiddenAncestor';
    procedure getRectsBeingDrawn_count (rects: NSRectPtr; count: NSIntegerPtr); message 'getRectsBeingDrawn:count:';
    function needsToDrawRect (aRect: NSRect): boolean; message 'needsToDrawRect:';
    function wantsDefaultClipping: boolean; message 'wantsDefaultClipping';
    procedure viewDidHide; message 'viewDidHide'; { available in 10_5 }
    procedure viewDidUnhide; message 'viewDidUnhide'; { available in 10_5 }
    procedure setSubviews (newSubviews: NSArray); message 'setSubviews:'; { available in 10_5 }
    procedure addSubview (aView: NSView); message 'addSubview:';
    procedure addSubview_positioned_relativeTo (aView: NSView; place: NSWindowOrderingMode; otherView: NSView); message 'addSubview:positioned:relativeTo:';
    procedure sortSubviewsUsingFunction_context (compare: NSViewSortSubviewsUsingFunctionCompareCallback; context: pointer); message 'sortSubviewsUsingFunction:context:';
    procedure viewWillMoveToWindow (newWindow: NSWindow); message 'viewWillMoveToWindow:';
    procedure viewDidMoveToWindow; message 'viewDidMoveToWindow';
    procedure viewWillMoveToSuperview (newSuperview: NSView); message 'viewWillMoveToSuperview:';
    procedure viewDidMoveToSuperview; message 'viewDidMoveToSuperview';
    procedure didAddSubview (subview: NSView); message 'didAddSubview:';
    procedure willRemoveSubview (subview: NSView); message 'willRemoveSubview:';
    procedure removeFromSuperview; message 'removeFromSuperview';
    procedure replaceSubview_with (oldView: NSView; newView: NSView); message 'replaceSubview:with:';
    procedure removeFromSuperviewWithoutNeedingDisplay; message 'removeFromSuperviewWithoutNeedingDisplay';
    procedure viewDidChangeBackingProperties; message 'viewDidChangeBackingProperties'; { available in 10_7 }
    procedure setPostsFrameChangedNotifications (flag: boolean); message 'setPostsFrameChangedNotifications:';
    function postsFrameChangedNotifications: boolean; message 'postsFrameChangedNotifications';
    procedure resizeSubviewsWithOldSize (oldSize: NSSize); message 'resizeSubviewsWithOldSize:';
    procedure resizeWithOldSuperviewSize (oldSize: NSSize); message 'resizeWithOldSuperviewSize:';
    procedure setAutoresizesSubviews (flag: boolean); message 'setAutoresizesSubviews:';
    function autoresizesSubviews: boolean; message 'autoresizesSubviews';
    procedure setAutoresizingMask (mask: NSUInteger); message 'setAutoresizingMask:';
    function autoresizingMask: NSUInteger; message 'autoresizingMask';
    procedure setFrameOrigin (newOrigin: NSPoint); message 'setFrameOrigin:';
    procedure setFrameSize (newSize: NSSize); message 'setFrameSize:';
    procedure setFrame (frameRect: NSRect); message 'setFrame:';
    function frame: NSRect; message 'frame';
    procedure setFrameRotation (angle: CGFloat); message 'setFrameRotation:';
    function frameRotation: CGFloat; message 'frameRotation';
    procedure setFrameCenterRotation (angle: CGFloat); message 'setFrameCenterRotation:'; { available in 10_5 }
    function frameCenterRotation: CGFloat; message 'frameCenterRotation'; { available in 10_5 }
    procedure setBoundsOrigin (newOrigin: NSPoint); message 'setBoundsOrigin:';
    procedure setBoundsSize (newSize: NSSize); message 'setBoundsSize:';
    procedure setBoundsRotation (angle: CGFloat); message 'setBoundsRotation:';
    function boundsRotation: CGFloat; message 'boundsRotation';
    procedure translateOriginToPoint (translation: NSPoint); message 'translateOriginToPoint:';
    procedure scaleUnitSquareToSize (newUnitSize: NSSize); message 'scaleUnitSquareToSize:';
    procedure rotateByAngle (angle: CGFloat); message 'rotateByAngle:';
    procedure setBounds (aRect: NSRect); message 'setBounds:';
    function bounds: NSRect; message 'bounds';
    function isFlipped: boolean; message 'isFlipped';
    function isRotatedFromBase: boolean; message 'isRotatedFromBase';
    function isRotatedOrScaledFromBase: boolean; message 'isRotatedOrScaledFromBase';
    function isOpaque: boolean; message 'isOpaque';
    function convertPoint_fromView (aPoint: NSPoint; aView: NSView): NSPoint; message 'convertPoint:fromView:';
    function convertPoint_toView (aPoint: NSPoint; aView: NSView): NSPoint; message 'convertPoint:toView:';
    function convertSize_fromView (aSize: NSSize; aView: NSView): NSSize; message 'convertSize:fromView:';
    function convertSize_toView (aSize: NSSize; aView: NSView): NSSize; message 'convertSize:toView:';
    function convertRect_fromView (aRect: NSRect; aView: NSView): NSRect; message 'convertRect:fromView:';
    function convertRect_toView (aRect: NSRect; aView: NSView): NSRect; message 'convertRect:toView:';
    function backingAlignedRect_options (aRect: NSRect; options: NSAlignmentOptions): NSRect; message 'backingAlignedRect:options:'; { available in 10_7 }
    function centerScanRect (aRect: NSRect): NSRect; message 'centerScanRect:';
    function convertPointToBacking (aPoint: NSPoint): NSPoint; message 'convertPointToBacking:'; { available in 10_7 }
    function convertPointFromBacking (aPoint: NSPoint): NSPoint; message 'convertPointFromBacking:'; { available in 10_7 }
    function convertSizeToBacking (aSize: NSSize): NSSize; message 'convertSizeToBacking:'; { available in 10_7 }
    function convertSizeFromBacking (aSize: NSSize): NSSize; message 'convertSizeFromBacking:'; { available in 10_7 }
    function convertRectToBacking (aRect: NSRect): NSRect; message 'convertRectToBacking:'; { available in 10_7 }
    function convertRectFromBacking (aRect: NSRect): NSRect; message 'convertRectFromBacking:'; { available in 10_7 }
    function convertPointToLayer (aPoint: NSPoint): NSPoint; message 'convertPointToLayer:'; { available in 10_7 }
    function convertPointFromLayer (aPoint: NSPoint): NSPoint; message 'convertPointFromLayer:'; { available in 10_7 }
    function convertSizeToLayer (aSize: NSSize): NSSize; message 'convertSizeToLayer:'; { available in 10_7 }
    function convertSizeFromLayer (aSize: NSSize): NSSize; message 'convertSizeFromLayer:'; { available in 10_7 }
    function convertRectToLayer (aRect: NSRect): NSRect; message 'convertRectToLayer:'; { available in 10_7 }
    function convertRectFromLayer (aRect: NSRect): NSRect; message 'convertRectFromLayer:'; { available in 10_7 }
    function convertPointToBase (aPoint: NSPoint): NSPoint; message 'convertPointToBase:'; { available in 10_5 }
    function convertPointFromBase (aPoint: NSPoint): NSPoint; message 'convertPointFromBase:'; { available in 10_5 }
    function convertSizeToBase (aSize: NSSize): NSSize; message 'convertSizeToBase:'; { available in 10_5 }
    function convertSizeFromBase (aSize: NSSize): NSSize; message 'convertSizeFromBase:'; { available in 10_5 }
    function convertRectToBase (aRect: NSRect): NSRect; message 'convertRectToBase:'; { available in 10_5 }
    function convertRectFromBase (aRect: NSRect): NSRect; message 'convertRectFromBase:'; { available in 10_5 }
    function canDrawConcurrently: boolean; message 'canDrawConcurrently'; { available in 10_6 }
    procedure setCanDrawConcurrently (flag: boolean); message 'setCanDrawConcurrently:'; { available in 10_6 }
    function canDraw: boolean; message 'canDraw';
    procedure setNeedsDisplay_ (flag: boolean); message 'setNeedsDisplay:';
    procedure setNeedsDisplayInRect (invalidRect: NSRect); message 'setNeedsDisplayInRect:';
    function needsDisplay: boolean; message 'needsDisplay';
    procedure lockFocus; message 'lockFocus';
    procedure unlockFocus; message 'unlockFocus';
    function lockFocusIfCanDraw: boolean; message 'lockFocusIfCanDraw';
    function lockFocusIfCanDrawInContext (context: NSGraphicsContext): boolean; message 'lockFocusIfCanDrawInContext:';
    class function focusView: NSView; message 'focusView';
    function visibleRect: NSRect; message 'visibleRect';
    procedure display; message 'display';
    procedure displayIfNeeded; message 'displayIfNeeded';
    procedure displayIfNeededIgnoringOpacity; message 'displayIfNeededIgnoringOpacity';
    procedure displayRect (rect: NSRect); message 'displayRect:';
    procedure displayIfNeededInRect (rect: NSRect); message 'displayIfNeededInRect:';
    procedure displayRectIgnoringOpacity (rect: NSRect); message 'displayRectIgnoringOpacity:';
    procedure displayIfNeededInRectIgnoringOpacity (rect: NSRect); message 'displayIfNeededInRectIgnoringOpacity:';
    procedure drawRect (dirtyRect: NSRect); message 'drawRect:';
    procedure displayRectIgnoringOpacity_inContext (aRect: NSRect; context: NSGraphicsContext); message 'displayRectIgnoringOpacity:inContext:';
    function bitmapImageRepForCachingDisplayInRect (rect: NSRect): NSBitmapImageRep; message 'bitmapImageRepForCachingDisplayInRect:';
    procedure cacheDisplayInRect_toBitmapImageRep (rect: NSRect; bitmapImageRep: NSBitmapImageRep); message 'cacheDisplayInRect:toBitmapImageRep:';
    procedure viewWillDraw; message 'viewWillDraw'; { available in 10_5 }
    function gState: NSInteger; message 'gState';
    procedure allocateGState; message 'allocateGState';
    procedure releaseGState; message 'releaseGState';
    procedure setUpGState; message 'setUpGState';
    procedure renewGState; message 'renewGState';
    procedure scrollPoint (aPoint: NSPoint); message 'scrollPoint:';
    function scrollRectToVisible (aRect: NSRect): boolean; message 'scrollRectToVisible:';
    function autoscroll (theEvent: NSEvent): boolean; message 'autoscroll:';
    function adjustScroll (newVisible: NSRect): NSRect; message 'adjustScroll:';
    procedure scrollRect_by (aRect: NSRect; delta: NSSize); message 'scrollRect:by:';
    procedure translateRectsNeedingDisplayInRect_by (clipRect: NSRect; delta: NSSize); message 'translateRectsNeedingDisplayInRect:by:'; { available in 10_5 }
    function hitTest (aPoint: NSPoint): NSView; message 'hitTest:';
    function mouse_inRect (aPoint: NSPoint; aRect: NSRect): boolean; message 'mouse:inRect:';
    function viewWithTag (aTag: NSInteger): id; message 'viewWithTag:';
    function tag: NSInteger; message 'tag';
    function performKeyEquivalent (theEvent: NSEvent): boolean; message 'performKeyEquivalent:';
    function acceptsFirstMouse (theEvent: NSEvent): boolean; message 'acceptsFirstMouse:';
    function shouldDelayWindowOrderingForEvent (theEvent: NSEvent): boolean; message 'shouldDelayWindowOrderingForEvent:';
    function needsPanelToBecomeKey: boolean; message 'needsPanelToBecomeKey';
    function mouseDownCanMoveWindow: boolean; message 'mouseDownCanMoveWindow';
    procedure setAcceptsTouchEvents (flag: boolean); message 'setAcceptsTouchEvents:'; { available in 10_6 }
    function acceptsTouchEvents: boolean; message 'acceptsTouchEvents'; { available in 10_6 }
    procedure setWantsRestingTouches (flag: boolean); message 'setWantsRestingTouches:'; { available in 10_6 }
    function wantsRestingTouches: boolean; message 'wantsRestingTouches'; { available in 10_6 }
    procedure addCursorRect_cursor (aRect: NSRect; anObj: NSCursor); message 'addCursorRect:cursor:';
    procedure removeCursorRect_cursor (aRect: NSRect; anObj: NSCursor); message 'removeCursorRect:cursor:';
    procedure discardCursorRects; message 'discardCursorRects';
    procedure resetCursorRects; message 'resetCursorRects';
    function addTrackingRect_owner_userData_assumeInside (aRect: NSRect; anObject: id; data: pointer; flag: boolean): NSTrackingRectTag; message 'addTrackingRect:owner:userData:assumeInside:';
    procedure removeTrackingRect (tag_: NSTrackingRectTag); message 'removeTrackingRect:';
    function makeBackingLayer: CALayer; message 'makeBackingLayer'; { available in 10_6 }
    function layerContentsRedrawPolicy: NSViewLayerContentsRedrawPolicy; message 'layerContentsRedrawPolicy'; { available in 10_6 }
    procedure setLayerContentsRedrawPolicy (newPolicy: NSViewLayerContentsRedrawPolicy); message 'setLayerContentsRedrawPolicy:'; { available in 10_6 }
    function layerContentsPlacement: NSViewLayerContentsPlacement; message 'layerContentsPlacement'; { available in 10_6 }
    procedure setLayerContentsPlacement (newPlacement: NSViewLayerContentsPlacement); message 'setLayerContentsPlacement:'; { available in 10_6 }
    procedure setWantsLayer (flag: boolean); message 'setWantsLayer:'; { available in 10_5 }
    function wantsLayer: boolean; message 'wantsLayer'; { available in 10_5 }
    procedure setLayer (newLayer: CALayer); message 'setLayer:'; { available in 10_5 }
    function layer: CALayer; message 'layer'; { available in 10_5 }
    function wantsUpdateLayer: boolean; message 'wantsUpdateLayer'; { available in 10_8 }
    procedure updateLayer; message 'updateLayer'; { available in 10_8 }
    procedure setAlphaValue (viewAlpha: CGFloat); message 'setAlphaValue:'; { available in 10_5 }
    function alphaValue: CGFloat; message 'alphaValue'; { available in 10_5 }
    procedure setBackgroundFilters (filters: NSArray); message 'setBackgroundFilters:'; { available in 10_5 }
    function backgroundFilters: NSArray; message 'backgroundFilters'; { available in 10_5 }
    procedure setCompositingFilter (filter: CIFilter); message 'setCompositingFilter:'; { available in 10_5 }
    function compositingFilter: CIFilter; message 'compositingFilter'; { available in 10_5 }
    procedure setContentFilters (filters: NSArray); message 'setContentFilters:'; { available in 10_5 }
    function contentFilters: NSArray; message 'contentFilters'; { available in 10_5 }
    procedure setShadow (shadow: NSShadow); message 'setShadow:'; { available in 10_5 }
    function shadow: NSShadow; message 'shadow'; { available in 10_5 }
    procedure addTrackingArea (trackingArea: NSTrackingArea); message 'addTrackingArea:'; { available in 10_5 }
    procedure removeTrackingArea (trackingArea: NSTrackingArea); message 'removeTrackingArea:'; { available in 10_5 }
    function trackingAreas: NSArray; message 'trackingAreas'; { available in 10_5 }
    procedure updateTrackingAreas; message 'updateTrackingAreas'; { available in 10_5 }
    function shouldDrawColor: boolean; message 'shouldDrawColor';
    procedure setPostsBoundsChangedNotifications (flag: boolean); message 'setPostsBoundsChangedNotifications:';
    function postsBoundsChangedNotifications: boolean; message 'postsBoundsChangedNotifications';
    function enclosingScrollView: NSScrollView; message 'enclosingScrollView';
    function menuForEvent (event: NSEvent): NSMenu; message 'menuForEvent:';
    class function defaultMenu: NSMenu; message 'defaultMenu';
    procedure setToolTip (string_: NSString); message 'setToolTip:';
    function toolTip: NSString; message 'toolTip';
    function addToolTipRect_owner_userData (aRect: NSRect; anObject: id; data: pointer): NSToolTipTag; message 'addToolTipRect:owner:userData:';
    procedure removeToolTip (tag_: NSToolTipTag); message 'removeToolTip:';
    procedure removeAllToolTips; message 'removeAllToolTips';
    procedure viewWillStartLiveResize; message 'viewWillStartLiveResize';
    procedure viewDidEndLiveResize; message 'viewDidEndLiveResize';
    function inLiveResize: boolean; message 'inLiveResize';
    function preservesContentDuringLiveResize: boolean; message 'preservesContentDuringLiveResize';
    function rectPreservedDuringLiveResize: NSRect; message 'rectPreservedDuringLiveResize';
    procedure getRectsExposedDuringLiveResize_count (exposedRects: NSRectPtr { 4 element array of NSRect }; count: NSIntegerPtr); message 'getRectsExposedDuringLiveResize:count:';
    function inputContext: NSTextInputContext; message 'inputContext'; { available in 10_6 }
    function rectForSmartMagnificationAtPoint_inRect (location: NSPoint; visibleRect_: NSRect): NSRect; message 'rectForSmartMagnificationAtPoint:inRect:'; { available in 10_8 }

    { Adopted protocols }
    function animationForKey (key: NSString): id; message 'animationForKey:';
    function animations: NSDictionary; message 'animations';
    function animator: id; message 'animator';
    function autorelease: id; message 'autorelease';
    function class_: pobjc_class; message 'class';
    procedure concludeDragOperation (sender: NSDraggingInfoProtocol); message 'concludeDragOperation:';
    function conformsToProtocol (aProtocol: Protocol): boolean; message 'conformsToProtocol:';
    function debugDescription: NSString; message 'debugDescription';
    class function defaultAnimationForKey (key: NSString): id; message 'defaultAnimationForKey:';
    function description: NSString; message 'description';
    procedure draggingEnded (sender: NSDraggingInfoProtocol); message 'draggingEnded:';
    function draggingEntered (sender: NSDraggingInfoProtocol): NSDragOperation; message 'draggingEntered:';
    procedure draggingExited (sender: NSDraggingInfoProtocol); message 'draggingExited:';
    function draggingUpdated (sender: NSDraggingInfoProtocol): NSDragOperation; message 'draggingUpdated:';
    function hash: NSUInteger; message 'hash';
    procedure setIdentifier(newValue: NSString); message 'setIdentifier:';
    function identifier: NSString; message 'identifier';
    function isEqual (object_: id): boolean; message 'isEqual:';
    function isKindOfClass (aClass: pobjc_class): boolean; message 'isKindOfClass:';
    function isMemberOfClass (aClass: pobjc_class): boolean; message 'isMemberOfClass:';
    function isProxy: boolean; message 'isProxy';
    function performDragOperation (sender: NSDraggingInfoProtocol): boolean; message 'performDragOperation:';
    function performSelector (aSelector: SEL): id; message 'performSelector:';
    function performSelector_withObject (aSelector: SEL; object_: id): id; message 'performSelector:withObject:';
    function performSelector_withObject_withObject (aSelector: SEL; object1: id; object2: id): id; message 'performSelector:withObject:withObject:';
    function prepareForDragOperation (sender: NSDraggingInfoProtocol): boolean; message 'prepareForDragOperation:';
    procedure release; message 'release';
    function respondsToSelector (aSelector: SEL): boolean; message 'respondsToSelector:';
    function retain: id; message 'retain';
    function retainCount: NSUInteger; message 'retainCount';
    function self_: id; message 'self';
    procedure setAnimations (animations_: NSDictionary); message 'setAnimations:';
    function superclass: pobjc_class; message 'superclass';
    procedure updateDraggingItemsForDrag (sender: NSDraggingInfoProtocol); message 'updateDraggingItemsForDrag:'; { available in 10_7 }
    function wantsPeriodicDraggingUpdates: boolean; message 'wantsPeriodicDraggingUpdates';
    function zone: NSZonePtr; message 'zone';
  end;


type
  NSLayerDelegateContentsScaleUpdating = objccategory external (NSObject)
    function layer_shouldInheritContentsScale_fromWindow (layer: CALayer; newScale: CGFloat; window: NSWindow): boolean; message 'layer:shouldInheritContentsScale:fromWindow:'; { available in 10_7 }
  end;

type
  NSToolTipOwner = objccategory external (NSObject)
    function view_stringForToolTip_point_userData (view: NSView; tag: NSToolTipTag; point: NSPoint; data: pointer): NSString; message 'view:stringForToolTip:point:userData:';
  end;

type
  NSView_NSKeyboardUI = objccategory external name 'NSKeyboardUI' (NSView)
    procedure setNextKeyView (next: NSView); message 'setNextKeyView:';
    function nextKeyView: NSView; message 'nextKeyView';
    function previousKeyView: NSView; message 'previousKeyView';
    function nextValidKeyView: NSView; message 'nextValidKeyView';
    function previousValidKeyView: NSView; message 'previousValidKeyView';
    function canBecomeKeyView: boolean; message 'canBecomeKeyView';
    procedure setKeyboardFocusRingNeedsDisplayInRect (rect: NSRect); message 'setKeyboardFocusRingNeedsDisplayInRect:';
    procedure setFocusRingType (focusRingType: NSFocusRingType); message 'setFocusRingType:';
    function focusRingType: NSFocusRingType; message 'focusRingType';
    class function defaultFocusRingType: NSFocusRingType; message 'defaultFocusRingType';
    procedure drawFocusRingMask; message 'drawFocusRingMask'; { available in 10_7 }
    function focusRingMaskBounds: NSRect; message 'focusRingMaskBounds'; { available in 10_7 }
    procedure noteFocusRingMaskChanged; message 'noteFocusRingMaskChanged'; { available in 10_7 }
  end;

type
  NSPrinting = objccategory external (NSView)
    procedure writeEPSInsideRect_toPasteboard (rect: NSRect; pasteboard: NSPasteboard); message 'writeEPSInsideRect:toPasteboard:';
    function dataWithEPSInsideRect (rect: NSRect): NSData; message 'dataWithEPSInsideRect:';
    procedure writePDFInsideRect_toPasteboard (rect: NSRect; pasteboard: NSPasteboard); message 'writePDFInsideRect:toPasteboard:';
    function dataWithPDFInsideRect (rect: NSRect): NSData; message 'dataWithPDFInsideRect:';
    procedure print (sender: id); message 'print:';
    function knowsPageRange (range: NSRangePointer): boolean; message 'knowsPageRange:';
    function heightAdjustLimit: CGFloat; message 'heightAdjustLimit';
    function widthAdjustLimit: CGFloat; message 'widthAdjustLimit';
    procedure adjustPageWidthNew_left_right_limit (newRight: CGFloatPtr; oldLeft: CGFloat; oldRight: CGFloat; rightLimit: CGFloat); message 'adjustPageWidthNew:left:right:limit:';
    procedure adjustPageHeightNew_top_bottom_limit (newBottom: CGFloatPtr; oldTop: CGFloat; oldBottom: CGFloat; bottomLimit: CGFloat); message 'adjustPageHeightNew:top:bottom:limit:';
    function rectForPage (page: NSInteger): NSRect; message 'rectForPage:';
    function locationOfPrintRect (aRect: NSRect): NSPoint; message 'locationOfPrintRect:';
    procedure drawPageBorderWithSize (borderSize: NSSize); message 'drawPageBorderWithSize:';
    function pageHeader: NSAttributedString; message 'pageHeader';
    function pageFooter: NSAttributedString; message 'pageFooter';
    procedure drawSheetBorderWithSize (borderSize: NSSize); message 'drawSheetBorderWithSize:';
    function printJobTitle: NSString; message 'printJobTitle';
    procedure beginDocument; message 'beginDocument';
    procedure endDocument; message 'endDocument';
    procedure beginPageInRect_atPlacement (aRect: NSRect; location: NSPoint); message 'beginPageInRect:atPlacement:';
    procedure endPage; message 'endPage';
  end;

type
  NSView_NSDrag = objccategory external name 'NSDrag' (NSView)
    function beginDraggingSessionWithItems_event_source (items: NSArray; event: NSEvent; source: NSDraggingSourceProtocol): NSDraggingSession; message 'beginDraggingSessionWithItems:event:source:'; { available in 10_7 }
    procedure dragImage_at_offset_event_pasteboard_source_slideBack (anImage: NSImage; viewLocation: NSPoint; initialOffset: NSSize; event: NSEvent; pboard: NSPasteboard; sourceObj: id; slideFlag: boolean); message 'dragImage:at:offset:event:pasteboard:source:slideBack:';
    function registeredDraggedTypes: NSArray; message 'registeredDraggedTypes';
    procedure registerForDraggedTypes (newTypes: NSArray); message 'registerForDraggedTypes:';
    procedure unregisterDraggedTypes; message 'unregisterDraggedTypes';
    function dragFile_fromRect_slideBack_event (filename: NSString; rect: NSRect; aFlag: boolean; event: NSEvent): boolean; message 'dragFile:fromRect:slideBack:event:';
    function dragPromisedFilesOfTypes_fromRect_source_slideBack_event (typeArray: NSArray; rect: NSRect; sourceObject: id; aFlag: boolean; event: NSEvent): boolean; message 'dragPromisedFilesOfTypes:fromRect:source:slideBack:event:';
  end;

type
  NSFullScreenMode = objccategory external (NSView)
    function enterFullScreenMode_withOptions (screen: NSScreen; options: NSDictionary): boolean; message 'enterFullScreenMode:withOptions:'; { available in 10_5 }
    procedure exitFullScreenModeWithOptions (options: NSDictionary); message 'exitFullScreenModeWithOptions:'; { available in 10_5 }
    function isInFullScreenMode: boolean; message 'isInFullScreenMode'; { available in 10_5 }
  end;
{$endif}

{$ifdef EXTERNAL_SYMBOLS}
var
  NSFullScreenModeAllScreens: NSString { available in 10_5 }; cvar; external;
  NSFullScreenModeSetting: NSString { available in 10_5 }; cvar; external;
  NSFullScreenModeWindowLevel: NSString { available in 10_5 }; cvar; external;
  NSFullScreenModeApplicationPresentationOptions: NSString { available in 10_5 }; cvar; external;
{$endif}

{$ifdef CLASSES}

type
  NSDefinition = objccategory external (NSView)
    procedure showDefinitionForAttributedString_atPoint (attrString: NSAttributedString; textBaselineOrigin: NSPoint); message 'showDefinitionForAttributedString:atPoint:'; { available in 10_6 }
    {$if defined(NS_BLOCKS_AVAILABLE)}
    procedure showDefinitionForAttributedString_range_options_baselineOriginProvider (attrString: NSAttributedString; targetRange: NSRange; options: NSDictionary; originProvider: OpaqueCBlock); message 'showDefinitionForAttributedString:range:options:baselineOriginProvider:'; { available in 10_6 }
    {$endif}
  end;
{$endif}

{$ifdef EXTERNAL_SYMBOLS}
var
  NSDefinitionPresentationTypeKey: NSString { available in 10_6 }; cvar; external;
  NSDefinitionPresentationTypeOverlay: NSString { available in 10_6 }; cvar; external;
  NSDefinitionPresentationTypeDictionaryApplication: NSString { available in 10_6 }; cvar; external;
{$endif}

{$ifdef CLASSES}

type
  NSFindIndicator = objccategory external (NSView)
    function isDrawingFindIndicator: boolean; message 'isDrawingFindIndicator'; { available in 10_7 }
  end;

type
  NSView_NSDeprecated = objccategory external name 'NSDeprecated' (NSView)
    function performMnemonic (theString: NSString): boolean; message 'performMnemonic:'; deprecated 'in 10_0, 10_8';
  end;
{$endif}

{$ifdef EXTERNAL_SYMBOLS}
var
  NSViewFrameDidChangeNotification: NSString; cvar; external;
  NSViewFocusDidChangeNotification: NSString; cvar; external;
  NSViewBoundsDidChangeNotification: NSString; cvar; external;
  NSViewGlobalFrameDidChangeNotification: NSString; cvar; external;
  NSViewDidUpdateTrackingAreasNotification: NSString { available in 10_5 }; cvar; external;
{$endif}

