{ Parsed from AppKit.framework (MacOSX10.8) NSWindowController.h }
{ Created on Mon Sep 10 11:47:56 2012 }


{$ifdef TYPES}
type
  NSWindowControllerPtr = ^NSWindowController;
{$endif}

{$ifdef CLASSES}

type
  NSWindowController = objcclass external (NSResponder, NSCodingProtocol)
  private
    _window: NSWindow;
    _windowNibName: NSString;
    _document: NSDocument;
    _topLevelObjects: NSArray;
    _owner: id;
    __wcFlags: bitpacked record
      case byte of
        0: (_anonBitField___wcFlags0: cuint);
        1: (
          shouldCloseDocument_: 0..1;
          shouldCascade: 0..1;
          nibIsLoaded: 0..1;
          nibNameIsPath: 0..1;
          RESERVED: 0..((1 shl 28)-1);
        );
      end;
    _frameAutosaveName: NSString;
    _moreVars: id;
  public
    function initWithWindow (window: NSWindow): id; message 'initWithWindow:';
    function initWithWindowNibName (windowNibName: NSString): id; message 'initWithWindowNibName:';
    function initWithWindowNibName_owner (windowNibName: NSString; owner: id): id; message 'initWithWindowNibName:owner:';
    function initWithWindowNibPath_owner (windowNibPath: NSString; owner: id): id; message 'initWithWindowNibPath:owner:';
    function windowNibName: NSString; message 'windowNibName';
    function windowNibPath: NSString; message 'windowNibPath';
    function owner: id; message 'owner';
    procedure setWindowFrameAutosaveName (name: NSString); message 'setWindowFrameAutosaveName:';
    function windowFrameAutosaveName: NSString; message 'windowFrameAutosaveName';
    procedure setShouldCascadeWindows (flag: boolean); message 'setShouldCascadeWindows:';
    function shouldCascadeWindows: boolean; message 'shouldCascadeWindows';
    function document: id; message 'document';
    procedure setDocument (document_: NSDocument); message 'setDocument:';
    procedure setDocumentEdited (dirtyFlag: boolean); message 'setDocumentEdited:';
    procedure setShouldCloseDocument (flag: boolean); message 'setShouldCloseDocument:';
    function shouldCloseDocument: boolean; message 'shouldCloseDocument';
    procedure setWindow (window: NSWindow); message 'setWindow:';
    function window: NSWindow; message 'window';
    procedure synchronizeWindowTitleWithDocumentName; message 'synchronizeWindowTitleWithDocumentName';
    function windowTitleForDocumentDisplayName (displayName: NSString): NSString; message 'windowTitleForDocumentDisplayName:';
    procedure close; message 'close';
    procedure showWindow (sender: id); message 'showWindow:';
    function isWindowLoaded: boolean; message 'isWindowLoaded';
    procedure windowWillLoad; message 'windowWillLoad';
    procedure windowDidLoad; message 'windowDidLoad';
    procedure loadWindow; message 'loadWindow';
  end;
{$endif}

