{ Parsed from AppKit.framework (MacOSX10.8) NSWindowRestoration.h }
{ Created on Mon Sep 10 11:47:57 2012 }


{ Types from NSWindowRestoration }
{$ifdef TYPES}

{$endif}


{ Types from NSWindowRestorationProtocol }
{$ifdef TYPES}

{$endif}


{$ifdef TYPES}
type
  NSWindowRestorationProtocolPtr = ^NSWindowRestorationProtocol;
{$endif}

{$ifdef PROTOCOLS}

type
  NSWindowRestorationProtocol = objcprotocol external name 'NSWindowRestoration' (NSObjectProtocol)
    {$if defined(NS_BLOCKS_AVAILABLE)}
    class procedure restoreWindowWithIdentifier_state_completionHandler (identifier: NSString; state: NSCoder; completionHandler: OpaqueCBlock); message 'restoreWindowWithIdentifier:state:completionHandler:'; { available in 10_7 }
    {$endif}
  end;
{$endif}

{$ifdef CLASSES}

type
  NSDocumentController_NSWindowRestoration = objccategory external name 'NSWindowRestoration' (NSDocumentController)
  end;

type
  NSWindowRestoration = objccategory external (NSApplication)
    {$if defined(NS_BLOCKS_AVAILABLE)}
    function restoreWindowWithIdentifier_state_completionHandler (identifier: NSString; state: NSCoder; completionHandler: OpaqueCBlock): boolean; message 'restoreWindowWithIdentifier:state:completionHandler:'; { available in 10_7 }
    {$endif}
  end;
{$endif}

{$ifdef EXTERNAL_SYMBOLS}
var
  NSApplicationDidFinishRestoringWindowsNotification: NSString { available in 10_7 }; cvar; external;
{$endif}

{$ifdef CLASSES}

type
  NSUserInterfaceRestoration = objccategory external (NSWindow)
    procedure setRestorable (flag: boolean); message 'setRestorable:'; { available in 10_7 }
    function isRestorable: boolean; message 'isRestorable'; { available in 10_7 }
    procedure setRestorationClass (restorationClass: NSWindowRestorationProtocol); message 'setRestorationClass:'; { available in 10_7 }
    function restorationClass: NSWindowRestorationProtocol; message 'restorationClass'; { available in 10_7 }
    procedure disableSnapshotRestoration; message 'disableSnapshotRestoration';
    procedure enableSnapshotRestoration; message 'enableSnapshotRestoration';
  end;

type
  NSResponder_NSRestorableState = objccategory external name 'NSRestorableState' (NSResponder)
    procedure encodeRestorableStateWithCoder (coder: NSCoder); message 'encodeRestorableStateWithCoder:'; { available in 10_7 }
    procedure restoreStateWithCoder (coder: NSCoder); message 'restoreStateWithCoder:'; { available in 10_7 }
    procedure invalidateRestorableState; message 'invalidateRestorableState'; { available in 10_7 }
    class function restorableStateKeyPaths: NSArray; message 'restorableStateKeyPaths'; { available in 10_7 }
  end;

type
  NSRestorableStateExtension = objccategory external (NSApplication)
    procedure extendStateRestoration; message 'extendStateRestoration'; { available in 10_7 }
    procedure completeStateRestoration; message 'completeStateRestoration'; { available in 10_7 }
  end;

type
  NSRestorableState = objccategory external (NSDocument)
    procedure restoreDocumentWindowWithIdentifier_state_completionHandler (identifier: NSString; state: NSCoder; completionHandler: OpaqueCBlock); message 'restoreDocumentWindowWithIdentifier:state:completionHandler:'; { available in 10_7 }
    procedure encodeRestorableStateWithCoder (coder: NSCoder); message 'encodeRestorableStateWithCoder:'; { available in 10_7 }
    procedure restoreStateWithCoder (coder: NSCoder); message 'restoreStateWithCoder:'; { available in 10_7 }
    procedure invalidateRestorableState; message 'invalidateRestorableState'; { available in 10_7 }
    class function restorableStateKeyPaths: NSArray; message 'restorableStateKeyPaths'; { available in 10_7 }
  end;
{$endif}

