{ Parsed from AudioVideoBridging.framework (MacOSX10.8) AVB17221ACMPMessage.h }
{ Created on Mon Sep 10 11:45:16 2012 }


{$ifdef TYPES}
type
  AVB17221ACMPMessagePtr = ^AVB17221ACMPMessage;
{$endif}

{$ifdef CLASSES}

type
  AVB17221ACMPMessage = objcclass external (NSObject, NSCopyingProtocol)
  private
    messageType: AVB17221ACMPMessageType;
    status: AVB17221ACMPStatusCode;
    streamID: cuint64;
    controllerGUID: cuint64;
    talkerGUID: cuint64;
    listenerGUID: cuint64;
    talkerUniqueID: cuint16;
    listenerUniqueID: cuint16;
    connectionCount: cuint16;
    sequenceID: cuint16;
    flags: AVB17221ACMPFlags;
    sourceMAC: AVBMACAddress;
    destinationMAC: AVBMACAddress;
  public
    procedure setMessageType(newValue: AVB17221ACMPMessageType); message 'setMessageType:';
    function messageType_: AVB17221ACMPMessageType; message 'messageType';
    procedure setStatus(newValue: AVB17221ACMPStatusCode); message 'setStatus:';
    function status_: AVB17221ACMPStatusCode; message 'status';
    procedure setStreamID(newValue: cuint64); message 'setStreamID:';
    function streamID_: cuint64; message 'streamID';
    procedure setControllerGUID(newValue: cuint64); message 'setControllerGUID:';
    function controllerGUID_: cuint64; message 'controllerGUID';
    procedure setTalkerGUID(newValue: cuint64); message 'setTalkerGUID:';
    function talkerGUID_: cuint64; message 'talkerGUID';
    procedure setListenerGUID(newValue: cuint64); message 'setListenerGUID:';
    function listenerGUID_: cuint64; message 'listenerGUID';
    procedure setTalkerUniqueID(newValue: cuint16); message 'setTalkerUniqueID:';
    function talkerUniqueID_: cuint16; message 'talkerUniqueID';
    procedure setListenerUniqueID(newValue: cuint16); message 'setListenerUniqueID:';
    function listenerUniqueID_: cuint16; message 'listenerUniqueID';
    procedure setDestinationMAC(newValue: AVBMACAddress); message 'setDestinationMAC:';
    function destinationMAC_: AVBMACAddress; message 'destinationMAC';
    procedure setConnectionCount(newValue: cuint16); message 'setConnectionCount:';
    function connectionCount_: cuint16; message 'connectionCount';
    procedure setSequenceID(newValue: cuint16); message 'setSequenceID:';
    function sequenceID_: cuint16; message 'sequenceID';
    procedure setFlags(newValue: AVB17221ACMPFlags); message 'setFlags:';
    function flags_: AVB17221ACMPFlags; message 'flags';
    procedure setSourceMAC(newValue: AVBMACAddress); message 'setSourceMAC:';
    function sourceMAC_: AVBMACAddress; message 'sourceMAC';

    { Adopted protocols }
    function copyWithZone (zone: NSZonePtr): id; message 'copyWithZone:';
  end;
{$endif}

