{ Parsed from AudioVideoBridging.framework (MacOSX10.8) AVB17221AECPInterface.h }
{ Created on Mon Sep 10 11:45:16 2012 }


{$ifdef TYPES}
type
  AVB17221AECPInterfacePtr = ^AVB17221AECPInterface;
  AVB17221AECPClientProtocolPtr = ^AVB17221AECPClientProtocol;
{$endif}

{$ifdef PROTOCOLS}

type
  AVB17221AECPClientProtocol = objcprotocol external name 'AVB17221AECPClient'
  required
    function AECPDidReceiveCommand_onInterface (message_: AVB17221AECPMessage; anInterface: AVB17221AECPInterface): boolean; message 'AECPDidReceiveCommand:onInterface:';
    function AECPDidReceiveResponse_onInterface (message_: AVB17221AECPMessage; anInterface: AVB17221AECPInterface): boolean; message 'AECPDidReceiveResponse:onInterface:';
  end;
{$endif}

{$ifdef TYPES}
type
  AVB17221AECPInterfaceCompletion = OpaqueCBlock;
{$endif}

{$ifdef CLASSES}

type
  AVB17221AECPInterface = objcclass external (AVB1722ControlInterface)
  private
    commandHandlers: NSMutableDictionary;
    nextSequenceID: cuint16;
    inflightControllerGUID: cuint64;
    inflightMessageType: cuint8;
    inflightSequenceID: cuint16;
    lastReceivedSequenceID: cuint16;
    _monitorMode: boolean;
    _monitorModeDelegate: AVB17221AECPClientProtocol;
    pendingAEMResponses: NSMutableArray;
  public
    class function AECPInterfaceWithInterface (anInterface: AVBInterface): AVB17221AECPInterface; message 'AECPInterfaceWithInterface:';
    class function AECPInterfaceWithInterfaceNamed (anInterfaceName: NSString): AVB17221AECPInterface; message 'AECPInterfaceWithInterfaceNamed:';
    function setHandler_forGUID (handler: AVB17221AECPClientProtocol; targetGUID: cuint64): boolean; message 'setHandler:forGUID:';
    procedure removeHandlerForGUID (targetGUID: cuint64); message 'removeHandlerForGUID:';
    function sendCommand_toMACAddress_completionHandler (message_: AVB17221AECPMessage; destMAC: AVBMACAddress; completionHandler: AVB17221AECPInterfaceCompletion): boolean; message 'sendCommand:toMACAddress:completionHandler:';
    function sendResponse_toMACAddress_error (message_: AVB17221AECPMessage; destMAC: AVBMACAddress; error: NSErrorPtr): boolean; message 'sendResponse:toMACAddress:error:';
  end;
{$endif}

