{ Parsed from AudioVideoBridging.framework (MacOSX10.8) AVB17221EntityDiscovery.h }
{ Created on Mon Sep 10 11:45:16 2012 }


{$ifdef TYPES}
type
  AVB17221EntityDiscoveryPtr = ^AVB17221EntityDiscovery;
{$endif}

{$ifdef CLASSES}

type
  AVB17221EntityDiscovery = objcclass external (NSObject)
  private
    connection: io_connect_t;
    {$ifndef _LP64}
    interfaceName: NSString;
    interface__: AVBInterface;
    discoveryDelegate: AVB17221EntityDiscoveryDelegateProtocol;
    {$endif}
    notificationPort: IONotificationPortRef;
    callbackQueue: dispatch_queue_t;
    localArrivalIterator: io_iterator_t;
    localDepartureIterator: io_iterator_t;
    remoteArrivalIterator: io_iterator_t;
    remoteDepartureIterator: io_iterator_t;
    localEntities: NSMutableDictionary;
    remoteEntities: NSMutableDictionary;
    notification: io_object_t;
  public
    procedure setInterfaceName(newValue: NSString); message 'setInterfaceName:';
    function interfaceName_: NSString; message 'interfaceName';
    function interface_: AVBInterface; message 'interface';
    procedure setDiscoveryDelegate(newValue: AVB17221EntityDiscoveryDelegateProtocol); message 'setDiscoveryDelegate:';
    function discoveryDelegate_: AVB17221EntityDiscoveryDelegateProtocol; message 'discoveryDelegate';
    function initWithInterfaceName (anInterfaceName: NSString): id; message 'initWithInterfaceName:';
    procedure primeIterators; message 'primeIterators';
    function discoverEntities: boolean; message 'discoverEntities';
    function discoverEntity (entityGUID: cuint64): boolean; message 'discoverEntity:';
    function addLocalEntity_error (anEntity: AVB17221Entity; error: NSErrorPtr): boolean; message 'addLocalEntity:error:';
    function removeLocalEntity_error (guid: cuint64; error: NSErrorPtr): boolean; message 'removeLocalEntity:error:';
    function changeEntityWithGUID_toNewASGrandmasterID_error (entityGUID: cuint64; asGrandmasterID: cuint64; error: NSErrorPtr): boolean; message 'changeEntityWithGUID:toNewASGrandmasterID:error:';
  end;
{$endif}

