{ Parsed from Automator.framework (MacOSX10.8) AMBundleAction.h }
{ Created on Mon Sep 10 11:46:27 2012 }


{$ifdef TYPES}
type
  AMBundleActionPtr = ^AMBundleAction;
{$endif}

{$ifdef CLASSES}

type
  AMBundleAction = objcclass external (AMAction, NSCodingProtocol, NSCopyingProtocol)
  private
    _view: NSView;
    _bundle: NSBundle;
    _topLevelObjects: NSArray;
    _reserved: id;
    _reserved2: id;
    _reserved3: id;
    _reserved4: id;
  public
    function initWithDefinition_fromArchive (dict: NSDictionary; archived: boolean): id; message 'initWithDefinition:fromArchive:';
    procedure awakeFromBundle; message 'awakeFromBundle';
    function hasView: boolean; message 'hasView';
    function view: NSView; message 'view';
    function bundle: NSBundle; message 'bundle';
    function parameters: NSMutableDictionary; message 'parameters';
    procedure setParameters (newParameters: NSMutableDictionary); message 'setParameters:';

    { Adopted protocols }
    function copyWithZone (zone: NSZonePtr): id; message 'copyWithZone:';
    procedure encodeWithCoder (aCoder: NSCoder); message 'encodeWithCoder:';
    function initWithCoder (aDecoder: NSCoder): id; message 'initWithCoder:';
  end;
{$endif}

