{ Parsed from AVFoundation.framework (MacOSX10.8) AVAssetWriterInput.h }
{ Created on Mon Sep 10 11:46:24 2012 }


{$ifdef TYPES}
type
  AVAssetWriterInputPtr = ^AVAssetWriterInput;
  AVAssetWriterInputPixelBufferAdaptorPtr = ^AVAssetWriterInputPixelBufferAdaptor;
{$endif}

{$ifdef CLASSES}

type
  AVAssetWriterInput = objcclass external (NSObject)
  private
    _internal: AVAssetWriterInputInternal;
  public
    class function assetWriterInputWithMediaType_outputSettings (mediaType: NSString; outputSettings: NSDictionary): AVAssetWriterInput; message 'assetWriterInputWithMediaType:outputSettings:';
    class function assetWriterInputWithMediaType_outputSettings_sourceFormatHint (mediaType: NSString; outputSettings: NSDictionary; sourceFormatHint: CMFormatDescriptionRef): AVAssetWriterInput; message 'assetWriterInputWithMediaType:outputSettings:sourceFormatHint:'; { available in 10_8, TBD }
    function initWithMediaType_outputSettings (mediaType: NSString; outputSettings: NSDictionary): id; message 'initWithMediaType:outputSettings:';
    function initWithMediaType_outputSettings_sourceFormatHint (mediaType: NSString; outputSettings: NSDictionary; sourceFormatHint: CMFormatDescriptionRef): id; message 'initWithMediaType:outputSettings:sourceFormatHint:'; { available in 10_8, TBD }
    function mediaType: NSString; message 'mediaType';
    function outputSettings: NSDictionary; message 'outputSettings';
    function sourceFormatHint: CMFormatDescriptionRef; message 'sourceFormatHint';
    procedure setMetadata(newValue: NSArray); message 'setMetadata:';
    function metadata: NSArray; message 'metadata';
    function isReadyForMoreMediaData: boolean; message 'isReadyForMoreMediaData';
    procedure setExpectsMediaDataInRealTime(newValue: boolean); message 'setExpectsMediaDataInRealTime:';
    function expectsMediaDataInRealTime: boolean; message 'expectsMediaDataInRealTime';
    procedure requestMediaDataWhenReadyOnQueue_usingBlock (queue: dispatch_queue_t; block: OpaqueCBlock); message 'requestMediaDataWhenReadyOnQueue:usingBlock:';
    function appendSampleBuffer (sampleBuffer: CMSampleBufferRef): boolean; message 'appendSampleBuffer:';
    procedure markAsFinished; message 'markAsFinished';
  end;


type
  AVAssetWriterInputPropertiesForVisualCharacteristic = objccategory external (AVAssetWriterInput)
    procedure setTransform(newValue: CGAffineTransform); message 'setTransform:';
    function transform: CGAffineTransform; message 'transform';
  end;

type
  AVAssetWriterInputFileTypeSpecificProperties = objccategory external (AVAssetWriterInput)
    procedure setMediaTimeScale(newValue: CMTimeScale); message 'setMediaTimeScale:';
    function mediaTimeScale: CMTimeScale; message 'mediaTimeScale';
  end;


type
  AVAssetWriterInputPixelBufferAdaptor = objcclass external (NSObject)
  private
    _internal: AVAssetWriterInputPixelBufferAdaptorInternal;
  public
    class function assetWriterInputPixelBufferAdaptorWithAssetWriterInput_sourcePixelBufferAttributes (input: AVAssetWriterInput; sourcePixelBufferAttributes: NSDictionary): AVAssetWriterInputPixelBufferAdaptor; message 'assetWriterInputPixelBufferAdaptorWithAssetWriterInput:sourcePixelBufferAttributes:';
    function initWithAssetWriterInput_sourcePixelBufferAttributes (input: AVAssetWriterInput; sourcePixelBufferAttributes: NSDictionary): id; message 'initWithAssetWriterInput:sourcePixelBufferAttributes:';
    function assetWriterInput: AVAssetWriterInput; message 'assetWriterInput';
    function sourcePixelBufferAttributes: NSDictionary; message 'sourcePixelBufferAttributes';
    function pixelBufferPool: CVPixelBufferPoolRef; message 'pixelBufferPool';
    function appendPixelBuffer_withPresentationTime (pixelBuffer: CVPixelBufferRef; presentationTime: CMTime): boolean; message 'appendPixelBuffer:withPresentationTime:';
  end;
{$endif}

