{ Parsed from AVFoundation.framework (MacOSX10.8) AVAudioRecorder.h }
{ Created on Mon Sep 10 11:46:24 2012 }


{ Types from AVAudioRecorderDelegateProtocol }
{$ifdef TYPES}

{$endif}


{$ifdef TYPES}
type
  AVAudioRecorderPtr = ^AVAudioRecorder;
  AVAudioRecorderDelegateProtocolPtr = ^AVAudioRecorderDelegateProtocol;
{$endif}

{$ifdef CLASSES}

type
  AVAudioRecorder = objcclass external (NSObject)
  private
    _impl: pointer;
  public
    function initWithURL_settings_error (url: NSURL; settings: NSDictionary; outError: NSErrorPtr): id; message 'initWithURL:settings:error:';
    function prepareToRecord: boolean; message 'prepareToRecord';
    function record_: boolean; message 'record';
    function recordForDuration (duration: NSTimeInterval): boolean; message 'recordForDuration:';
    procedure pause; message 'pause';
    procedure stop; message 'stop';
    function deleteRecording: boolean; message 'deleteRecording';
    function isRecording: boolean; message 'isRecording';
    function url: NSURL; message 'url';
    function settings: NSDictionary; message 'settings';
    procedure setDelegate(newValue: AVAudioRecorderDelegateProtocol); message 'setDelegate:';
    function delegate: AVAudioRecorderDelegateProtocol; message 'delegate';
    function currentTime: NSTimeInterval; message 'currentTime';
    procedure setMeteringEnabled(newValue: boolean); message 'setMeteringEnabled:';
    function isMeteringEnabled: boolean; message 'isMeteringEnabled';
    procedure updateMeters; message 'updateMeters';
    function peakPowerForChannel (channelNumber: NSUInteger): single; message 'peakPowerForChannel:';
    function averagePowerForChannel (channelNumber: NSUInteger): single; message 'averagePowerForChannel:';
  end;
{$endif}

{$ifdef PROTOCOLS}

type
  AVAudioRecorderDelegateProtocol = objcprotocol external name 'AVAudioRecorderDelegate' (NSObjectProtocol)
  optional
    procedure audioRecorderDidFinishRecording_successfully (recorder: AVAudioRecorder; flag: boolean); message 'audioRecorderDidFinishRecording:successfully:';
    procedure audioRecorderEncodeErrorDidOccur_error (recorder: AVAudioRecorder; error: NSError); message 'audioRecorderEncodeErrorDidOccur:error:';
    {$if defined(TARGET_OS_IPHONE)}
    procedure audioRecorderBeginInterruption (recorder: AVAudioRecorder); message 'audioRecorderBeginInterruption:';
    procedure audioRecorderEndInterruption_withFlags (recorder: AVAudioRecorder; flags: NSUInteger); message 'audioRecorderEndInterruption:withFlags:'; { available in 4_0 }
    procedure audioRecorderEndInterruption (recorder: AVAudioRecorder); message 'audioRecorderEndInterruption:';
    {$endif}
  end;
{$endif}

