{ Parsed from AVFoundation.framework (MacOSX10.8) AVTimedMetadataGroup.h }
{ Created on Mon Sep 10 11:46:24 2012 }


{$ifdef TYPES}
type
  AVTimedMetadataGroupPtr = ^AVTimedMetadataGroup;
  AVMutableTimedMetadataGroupPtr = ^AVMutableTimedMetadataGroup;
{$endif}

{$ifdef CLASSES}

type
  AVTimedMetadataGroup = objcclass external (NSObject, NSCopyingProtocol)
  private
    _priv: AVTimedMetadataGroupInternal;
  public
    function initWithItems_timeRange (items: NSArray; timeRange: CMTimeRange): id; message 'initWithItems:timeRange:';
    function timeRange: CMTimeRange; message 'timeRange';
    function items: NSArray; message 'items';

    { Adopted protocols }
    function copyWithZone (zone: NSZonePtr): id; message 'copyWithZone:';
  end;

type
  AVMutableTimedMetadataGroup = objcclass external (AVTimedMetadataGroup)
  private
    _mutablePriv: AVMutableTimedMetadataGroupInternal;
  public
    procedure setTimeRange(newValue: CMTimeRange); message 'setTimeRange:';
    function timeRange: CMTimeRange; message 'timeRange';
    procedure setItems(newValue: NSArray); message 'setItems:';
    function items: NSArray; message 'items';
  end;
{$endif}

