{ Parsed from CoreBluetooth.framework (MacOSX10.8) CBCharacteristic.h }
{ Created on Mon Sep 10 11:47:07 2012 }


{$ifdef TYPES}
type
  CBCharacteristicPtr = ^CBCharacteristic;
{$endif}

{$ifdef TYPES}
const
  CBCharacteristicPropertyBroadcast = $01;
  CBCharacteristicPropertyRead = $02;
  CBCharacteristicPropertyWriteWithoutResponse = $04;
  CBCharacteristicPropertyWrite = $08;
  CBCharacteristicPropertyNotify = $10;
  CBCharacteristicPropertyIndicate = $20;
  CBCharacteristicPropertyAuthenticatedSignedWrites = $40;
  CBCharacteristicPropertyExtendedProperties = $80;

type
  CBCharacteristicProperties = NSUInteger;
  CBCharacteristicPropertiesPtr = ^CBCharacteristicProperties;
{$endif}

{$ifdef CLASSES}

type
  CBCharacteristic = objcclass external (NSObject)
  private
    _service: CBService;
    _UUID: CBUUID;
    _properties: CBCharacteristicProperties;
    _value: NSData;
    _descriptors: NSArray;
    _isBroadcasted: boolean;
    _isNotifying: boolean;
  public
    function service: CBService; message 'service';
    function UUID: CBUUID; message 'UUID';
    function properties: CBCharacteristicProperties; message 'properties';
    function value: NSData; message 'value';
    function descriptors: NSArray; message 'descriptors';
    function isBroadcasted: boolean; message 'isBroadcasted';
    function isNotifying: boolean; message 'isNotifying';
  end;
{$endif}

