{ Parsed from CoreData.framework (MacOSX10.8) NSAttributeDescription.h }
{ Created on Mon Sep 10 11:47:23 2012 }


{$ifdef TYPES}
type
  NSAttributeDescriptionPtr = ^NSAttributeDescription;
{$endif}

{$ifdef TYPES}
const
  NSUndefinedAttributeType = 0;
  NSInteger16AttributeType = 100;
  NSInteger32AttributeType = 200;
  NSInteger64AttributeType = 300;
  NSDecimalAttributeType = 400;
  NSDoubleAttributeType = 500;
  NSFloatAttributeType = 600;
  NSStringAttributeType = 700;
  NSBooleanAttributeType = 800;
  NSDateAttributeType = 900;
  NSBinaryDataAttributeType = 1000;
  {$if (MAC_OS_X_VERSION_MAX_ALLOWED >= MAC_OS_X_VERSION_10_5)}
  NSTransformableAttributeType = 1800;
  {$endif}
  {$if (MAC_OS_X_VERSION_MAX_ALLOWED >= MAC_OS_X_VERSION_10_6)}
  NSObjectIDAttributeType = 2000;
  {$endif}

type
  NSAttributeType = NSUInteger;
  NSAttributeTypePtr = ^NSAttributeType;
{$endif}

{$ifdef CLASSES}

type
  NSAttributeDescription = objcclass external (NSPropertyDescription)
  private
    _attributeValueClass: pobjc_class;
    _valueTransformerName: NSString;
    _type: NSAttributeType;
    _attributeValueClassName: NSString;
    __attributeDescriptionFlags: bitpacked record
      case byte of
        0: (_anonBitField___attributeDescriptionFlags0: cuint);
        1: (
          _hasMaxValueInExtraIvars: 0..1;
          _hasMinValueInExtraIvars: 0..1;
          _storeBinaryDataExternally: 0..1;
          _reservedAttributeDescription: 0..((1 shl 29)-1);
        );
      end;
    _defaultValue: id;
  public
    function attributeType: NSAttributeType; message 'attributeType';
    procedure setAttributeType (type_: NSAttributeType); message 'setAttributeType:';
    function attributeValueClassName: NSString; message 'attributeValueClassName';
    function defaultValue: id; message 'defaultValue';
    procedure setDefaultValue (value: id); message 'setDefaultValue:';
    procedure setAttributeValueClassName (className: NSString); message 'setAttributeValueClassName:'; { available in 10_5,3_0 }
    function versionHash: NSData; message 'versionHash'; { available in 10_5,3_0 }
    function valueTransformerName: NSString; message 'valueTransformerName'; { available in 10_5,3_0 }
    procedure setValueTransformerName (string_: NSString); message 'setValueTransformerName:'; { available in 10_5,3_0 }
    function allowsExternalBinaryDataStorage: boolean; message 'allowsExternalBinaryDataStorage'; { available in 10_7, 5_0 }
    procedure setAllowsExternalBinaryDataStorage (flag: boolean); message 'setAllowsExternalBinaryDataStorage:'; { available in 10_7, 5_0 }
  end;
{$endif}

