{ Parsed from CoreData.framework (MacOSX10.8) NSPropertyDescription.h }
{ Created on Mon Sep 10 11:47:23 2012 }


{$ifdef TYPES}
type
  NSPropertyDescriptionPtr = ^NSPropertyDescription;
{$endif}

{$ifdef CLASSES}

type
  NSPropertyDescription = objcclass external (NSObject, NSCodingProtocol, NSCopyingProtocol)
  private
    _versionHashModifier: NSString;
    _underlyingProperty: id;
    _versionHash: NSData;
    _entity: NSEntityDescription;
    _name: NSString;
    _validationPredicates: NSArray;
    _validationWarnings: NSArray;
    __propertyDescriptionFlags: bitpacked record
      case byte of
        0: (_anonBitField___propertyDescriptionFlags0: cuint);
        1: (
          _isReadOnly: 0..1;
          _isTransient: 0..1;
          _isOptional: 0..1;
          _isIndexed: 0..1;
          _skipValidation: 0..1;
          _isIndexedBySpotlight: 0..1;
          _isStoredInExternalRecord: 0..1;
          _extraIvarsAreInDataBlob: 0..1;
          _isOrdered: 0..1;
          _reservedPropertyDescription: 0..((1 shl 23)-1);
        );
      end;
    _extraIvars: pointer;
    _userInfo: NSMutableDictionary;
    _entitysReferenceIDForProperty: clong;
  public
    function entity: NSEntityDescription; message 'entity';
    function name: NSString; message 'name';
    procedure setName (name_: NSString); message 'setName:';
    function isOptional: boolean; message 'isOptional';
    procedure setOptional (flag: boolean); message 'setOptional:';
    function isTransient: boolean; message 'isTransient';
    procedure setTransient (flag: boolean); message 'setTransient:';
    function validationPredicates: NSArray; message 'validationPredicates';
    function validationWarnings: NSArray; message 'validationWarnings';
    procedure setValidationPredicates_withValidationWarnings (validationPredicates_: NSArray; validationWarnings_: NSArray); message 'setValidationPredicates:withValidationWarnings:';
    function userInfo: NSDictionary; message 'userInfo';
    procedure setUserInfo (dictionary: NSDictionary); message 'setUserInfo:';
    function isIndexed: boolean; message 'isIndexed'; { available in 10_5,3_0 }
    procedure setIndexed (flag: boolean); message 'setIndexed:'; { available in 10_5,3_0 }
    function versionHash: NSData; message 'versionHash'; { available in 10_5,3_0 }
    function versionHashModifier: NSString; message 'versionHashModifier'; { available in 10_5,3_0 }
    procedure setVersionHashModifier (modifierString: NSString); message 'setVersionHashModifier:'; { available in 10_5,3_0 }
    function isIndexedBySpotlight: boolean; message 'isIndexedBySpotlight'; { available in 10_6,3_0 }
    procedure setIndexedBySpotlight (flag: boolean); message 'setIndexedBySpotlight:'; { available in 10_6,3_0 }
    function isStoredInExternalRecord: boolean; message 'isStoredInExternalRecord'; { available in 10_6,3_0 }
    procedure setStoredInExternalRecord (flag: boolean); message 'setStoredInExternalRecord:'; { available in 10_6,3_0 }
    function renamingIdentifier: NSString; message 'renamingIdentifier'; { available in 10_6,3_0 }
    procedure setRenamingIdentifier (value: NSString); message 'setRenamingIdentifier:'; { available in 10_6,3_0 }

    { Adopted protocols }
    function copyWithZone (zone: NSZonePtr): id; message 'copyWithZone:';
    procedure encodeWithCoder (aCoder: NSCoder); message 'encodeWithCoder:';
    function initWithCoder (aDecoder: NSCoder): id; message 'initWithCoder:';
  end;
{$endif}

