{ Parsed from CoreImage.framework (MacOSX10.8) CIFeature.h }
{ Created on Mon Sep 10 11:46:45 2012 }


{$ifdef TYPES}
type
  CIFeaturePtr = ^CIFeature;
  CIFaceFeaturePtr = ^CIFaceFeature;
{$endif}

{$ifdef CLASSES}

type
  CIFeature = objcclass external (NSObject)
  private
  public
    function type_: NSString; message 'type';
    function bounds: CGRect; message 'bounds';
  end;
{$endif}

{$ifdef EXTERNAL_SYMBOLS}
var
  CIFeatureTypeFace: NSString; cvar; external;
{$endif}

{$ifdef CLASSES}

type
  CIFaceFeature = objcclass external (CIFeature)
  private
    bounds_: CGRect;
    hasLeftEyePosition: boolean;
    leftEyePosition: CGPoint;
    hasRightEyePosition: boolean;
    rightEyePosition: CGPoint;
    hasMouthPosition: boolean;
    mouthPosition: CGPoint;
    hasTrackingID: boolean;
    trackingID: cint;
    hasTrackingFrameCount: boolean;
    trackingFrameCount: cint;
  public
    function hasLeftEyePosition_: boolean; message 'hasLeftEyePosition';
    function leftEyePosition_: CGPoint; message 'leftEyePosition';
    function hasRightEyePosition_: boolean; message 'hasRightEyePosition';
    function rightEyePosition_: CGPoint; message 'rightEyePosition';
    function hasMouthPosition_: boolean; message 'hasMouthPosition';
    function mouthPosition_: CGPoint; message 'mouthPosition';
    function hasTrackingID_: boolean; message 'hasTrackingID';
    function trackingID_: cint; message 'trackingID';
    function hasTrackingFrameCount_: boolean; message 'hasTrackingFrameCount';
    function trackingFrameCount_: cint; message 'trackingFrameCount';
  end;
{$endif}

