{ Parsed from Foundation.framework (MacOSX10.8) NSCompoundPredicate.h }
{ Created on Mon Sep 10 11:48:04 2012 }


{$ifdef TYPES}
type
  NSCompoundPredicatePtr = ^NSCompoundPredicate;
{$endif}

{$ifdef TYPES}
type
  NSCompoundPredicateType = NSUInteger;
  NSCompoundPredicateTypePtr = ^NSCompoundPredicateType;

const
  NSNotPredicateType = 0;
  NSAndPredicateType = 1;
  NSOrPredicateType = 2;
{$endif}

{$ifdef CLASSES}

type
  NSCompoundPredicate = objcclass external (NSPredicate)
  private
    _reserved2: pointer;
    _type: NSUInteger;
    _subpredicates: NSArray;
  public
    function initWithType_subpredicates (type_: NSCompoundPredicateType; subpredicates: NSArray): id; message 'initWithType:subpredicates:';
    function compoundPredicateType: NSCompoundPredicateType; message 'compoundPredicateType';
    function subpredicates: NSArray; message 'subpredicates';
    class function andPredicateWithSubpredicates (subpredicates_: NSArray): NSPredicate; message 'andPredicateWithSubpredicates:';
    class function orPredicateWithSubpredicates (subpredicates_: NSArray): NSPredicate; message 'orPredicateWithSubpredicates:';
    class function notPredicateWithSubpredicate (predicate: NSPredicate): NSPredicate; message 'notPredicateWithSubpredicate:';
  end;
{$endif}

