{ Parsed from Foundation.framework (MacOSX10.8) NSHTTPCookieStorage.h }
{ Created on Mon Sep 10 11:48:03 2012 }


{$ifdef TYPES}
type
  NSHTTPCookieStoragePtr = ^NSHTTPCookieStorage;
{$endif}

{$ifdef TYPES}
type
  NSHTTPCookieAcceptPolicy = NSUInteger;
  NSHTTPCookieAcceptPolicyPtr = ^NSHTTPCookieAcceptPolicy;

const
  NSHTTPCookieAcceptPolicyAlways = 0;
  NSHTTPCookieAcceptPolicyNever = 1;
  NSHTTPCookieAcceptPolicyOnlyFromMainDocumentDomain = 2;
{$endif}

{$ifdef CLASSES}

type
  NSHTTPCookieStorage = objcclass external (NSObject)
  private
    _internal: NSHTTPCookieStorageInternal;
  public
    class function sharedHTTPCookieStorage: NSHTTPCookieStorage; message 'sharedHTTPCookieStorage';
    function cookies: NSArray; message 'cookies';
    procedure setCookie (cookie: NSHTTPCookie); message 'setCookie:';
    procedure deleteCookie (cookie: NSHTTPCookie); message 'deleteCookie:';
    function cookiesForURL (URL: NSURL): NSArray; message 'cookiesForURL:';
    procedure setCookies_forURL_mainDocumentURL (cookies_: NSArray; URL: NSURL; mainDocumentURL: NSURL); message 'setCookies:forURL:mainDocumentURL:';
    function cookieAcceptPolicy: NSHTTPCookieAcceptPolicy; message 'cookieAcceptPolicy';
    procedure setCookieAcceptPolicy (cookieAcceptPolicy_: NSHTTPCookieAcceptPolicy); message 'setCookieAcceptPolicy:';
    function sortedCookiesUsingDescriptors (sortOrder: NSArray): NSArray; message 'sortedCookiesUsingDescriptors:'; { available in 10_7, 5_0 }
  end;
{$endif}

{$ifdef EXTERNAL_SYMBOLS}
var
  NSHTTPCookieManagerAcceptPolicyChangedNotification: NSString; cvar; external;
  NSHTTPCookieManagerCookiesChangedNotification: NSString; cvar; external;
{$endif}

