{ Parsed from Foundation.framework (MacOSX10.8) NSHost.h }
{ Created on Mon Sep 10 11:48:04 2012 }


{$ifdef TYPES}
type
  NSHostPtr = ^NSHost;
{$endif}

{$ifdef CLASSES}

type
  NSHost = objcclass external (NSObject)
  private
    names_: NSArray;
    addresses_: NSArray;
    reserved: id;
  public
    class function currentHost: NSHost; message 'currentHost';
    class function hostWithName (name: NSString): NSHost; message 'hostWithName:';
    class function hostWithAddress (address: NSString): NSHost; message 'hostWithAddress:';
    function isEqualToHost (aHost: NSHost): boolean; message 'isEqualToHost:';
    function name: NSString; message 'name';
    function names: NSArray; message 'names';
    function address: NSString; message 'address';
    function addresses: NSArray; message 'addresses';
    function localizedName: NSString; message 'localizedName'; { available in 10_6, NA }
    class procedure setHostCacheEnabled (flag: boolean); message 'setHostCacheEnabled:'; deprecated 'in 10_0, 10_7';
    class function isHostCacheEnabled: boolean; message 'isHostCacheEnabled'; deprecated 'in 10_0, 10_7';
    class procedure flushHostCache; message 'flushHostCache'; deprecated 'in 10_0, 10_7';
  end;
{$endif}

