{ Parsed from Foundation.framework (MacOSX10.8) NSIndexPath.h }
{ Created on Mon Sep 10 11:48:03 2012 }


{$ifdef TYPES}
type
  NSIndexPathPtr = ^NSIndexPath;
{$endif}

{$ifdef CLASSES}

type
  NSIndexPath = objcclass external (NSObject, NSCopyingProtocol, NSCodingProtocol)
  private
    _indexes: NSUIntegerPtr;
    _hash: NSUInteger;
    _length: NSUInteger;
    _reserved: pointer;
  public
    class function indexPathWithIndex (index: NSUInteger): id; message 'indexPathWithIndex:';
    class function indexPathWithIndexes_length (indexes: NSUIntegerPtr { variable size array of NSUInteger }; length: NSUInteger): id; message 'indexPathWithIndexes:length:';
    function initWithIndex (index: NSUInteger): id; message 'initWithIndex:';
    function initWithIndexes_length (indexes: NSUIntegerPtr { variable size array of NSUInteger }; length: NSUInteger): id; message 'initWithIndexes:length:';
    function indexPathByAddingIndex (index: NSUInteger): NSIndexPath; message 'indexPathByAddingIndex:';
    function indexPathByRemovingLastIndex: NSIndexPath; message 'indexPathByRemovingLastIndex';
    function indexAtPosition (position: NSUInteger): NSUInteger; message 'indexAtPosition:';
    function length: NSUInteger; message 'length';
    procedure getIndexes (indexes: NSUIntegerPtr); message 'getIndexes:';
    function compare (otherObject: NSIndexPath): NSComparisonResult; message 'compare:';

    { Adopted protocols }
    function copyWithZone (zone: NSZonePtr): id; message 'copyWithZone:';
    procedure encodeWithCoder (aCoder: NSCoder); message 'encodeWithCoder:';
    function initWithCoder (aDecoder: NSCoder): id; message 'initWithCoder:';
  end;
{$endif}

