{ Parsed from Foundation.framework (MacOSX10.8) NSSortDescriptor.h }
{ Created on Mon Sep 10 11:48:04 2012 }


{ Types from NSSortDescriptor }
{$ifdef TYPES}

{$endif}


{$ifdef TYPES}
type
  NSSortDescriptorPtr = ^NSSortDescriptor;
{$endif}

{$ifdef CLASSES}

type
  NSSortDescriptor = objcclass external (NSObject, NSCodingProtocol, NSCopyingProtocol)
  private
    _sortDescriptorFlags: NSUInteger;
    _key: NSString;
    _selector: SEL;
    _selectorOrBlock: id;
  public
    class function sortDescriptorWithKey_ascending (key: NSString; ascending: boolean): id; message 'sortDescriptorWithKey:ascending:'; { available in 10_6, 4_0 }
    class function sortDescriptorWithKey_ascending_selector (key: NSString; ascending: boolean; selector: SEL): id; message 'sortDescriptorWithKey:ascending:selector:'; { available in 10_6, 4_0 }
    function initWithKey_ascending (key: NSString; ascending: boolean): id; message 'initWithKey:ascending:';
    function initWithKey_ascending_selector (key: NSString; ascending: boolean; selector: SEL): id; message 'initWithKey:ascending:selector:';
    function key: NSString; message 'key';
    function ascending: boolean; message 'ascending';
    function selector: SEL; message 'selector';
    {$if defined(NS_BLOCKS_AVAILABLE)}
    class function sortDescriptorWithKey_ascending_comparator (key_: NSString; ascending_: boolean; cmptr: NSComparator): id; message 'sortDescriptorWithKey:ascending:comparator:'; { available in 10_6, 4_0 }
    function initWithKey_ascending_comparator (key_: NSString; ascending_: boolean; cmptr: NSComparator): id; message 'initWithKey:ascending:comparator:'; { available in 10_6, 4_0 }
    function comparator: NSComparator; message 'comparator'; { available in 10_6, 4_0 }
    {$endif}
    function compareObject_toObject (object1: id; object2: id): NSComparisonResult; message 'compareObject:toObject:';
    function reversedSortDescriptor: id; message 'reversedSortDescriptor';

    { Adopted protocols }
    function copyWithZone (zone: NSZonePtr): id; message 'copyWithZone:';
    procedure encodeWithCoder (aCoder: NSCoder); message 'encodeWithCoder:';
    function initWithCoder (aDecoder: NSCoder): id; message 'initWithCoder:';
  end;


type
  NSSet_NSSortDescriptorSorting = objccategory external name 'NSSortDescriptorSorting' (NSSet)
    function sortedArrayUsingDescriptors (sortDescriptors: NSArray): NSArray; message 'sortedArrayUsingDescriptors:'; { available in 10_6, 4_0 }
  end;

type
  NSArray_NSSortDescriptorSorting = objccategory external name 'NSSortDescriptorSorting' (NSArray)
    function sortedArrayUsingDescriptors (sortDescriptors: NSArray): NSArray; message 'sortedArrayUsingDescriptors:';
  end;

type
  NSSortDescriptorSorting = objccategory external (NSMutableArray)
    procedure sortUsingDescriptors (sortDescriptors: NSArray); message 'sortUsingDescriptors:';
  end;
{$endif}

