{ Parsed from Foundation.framework (MacOSX10.8) NSThread.h }
{ Created on Mon Sep 10 11:48:04 2012 }


{$ifdef TYPES}
type
  NSThreadPtr = ^NSThread;
{$endif}

{$ifdef CLASSES}

type
  NSThread = objcclass external (NSObject)
  private
    _private: id;
    _bytes:array[0..43] of cuint8;
  public
    class function currentThread: NSThread; message 'currentThread';
    class procedure detachNewThreadSelector_toTarget_withObject (selector: SEL; target: id; argument: id); message 'detachNewThreadSelector:toTarget:withObject:';
    class function isMultiThreaded: boolean; message 'isMultiThreaded';
    function threadDictionary: NSMutableDictionary; message 'threadDictionary';
    class procedure sleepUntilDate (date: NSDate); message 'sleepUntilDate:';
    class procedure sleepForTimeInterval (ti: NSTimeInterval); message 'sleepForTimeInterval:';
    class procedure exit; message 'exit';
    class function classThreadPriority: double; message 'threadPriority';
    class function classSetThreadPriority (p: double): boolean; message 'setThreadPriority:';
    function threadPriority: double; message 'threadPriority'; { available in 10_6, 4_0 }
    procedure setThreadPriority (p: double); message 'setThreadPriority:'; { available in 10_6, 4_0 }
    class function callStackReturnAddresses: NSArray; message 'callStackReturnAddresses'; { available in 10_5, 2_0 }
    class function callStackSymbols: NSArray; message 'callStackSymbols'; { available in 10_6, 4_0 }
    procedure setName (n: NSString); message 'setName:'; { available in 10_5, 2_0 }
    function name: NSString; message 'name'; { available in 10_5, 2_0 }
    function stackSize: NSUInteger; message 'stackSize'; { available in 10_5, 2_0 }
    procedure setStackSize (s: NSUInteger); message 'setStackSize:'; { available in 10_5, 2_0 }
    function isMainThread: boolean; message 'isMainThread'; { available in 10_5, 2_0 }
    class function classIsMainThread: boolean; message 'isMainThread'; { available in 10_5, 2_0 }
    class function mainThread: NSThread; message 'mainThread'; { available in 10_5, 2_0 }
    function init: id; message 'init'; { available in 10_5, 2_0 }
    function initWithTarget_selector_object (target: id; selector: SEL; argument: id): id; message 'initWithTarget:selector:object:'; { available in 10_5, 2_0 }
    function isExecuting: boolean; message 'isExecuting'; { available in 10_5, 2_0 }
    function isFinished: boolean; message 'isFinished'; { available in 10_5, 2_0 }
    function isCancelled: boolean; message 'isCancelled'; { available in 10_5, 2_0 }
    procedure cancel; message 'cancel'; { available in 10_5, 2_0 }
    procedure start; message 'start'; { available in 10_5, 2_0 }
    procedure main; message 'main'; { available in 10_5, 2_0 }
  end;
{$endif}

{$ifdef EXTERNAL_SYMBOLS}
var
  NSWillBecomeMultiThreadedNotification: NSString; cvar; external;
  NSDidBecomeSingleThreadedNotification: NSString; cvar; external;
  NSThreadWillExitNotification: NSString; cvar; external;
{$endif}

{$ifdef CLASSES}

type
  NSThreadPerformAdditions = objccategory external (NSObject)
    procedure performSelectorOnMainThread_withObject_waitUntilDone_modes (aSelector: SEL; arg: id; wait: boolean; array_: NSArray); message 'performSelectorOnMainThread:withObject:waitUntilDone:modes:';
    procedure performSelectorOnMainThread_withObject_waitUntilDone (aSelector: SEL; arg: id; wait: boolean); message 'performSelectorOnMainThread:withObject:waitUntilDone:';
    procedure performSelector_onThread_withObject_waitUntilDone_modes (aSelector: SEL; thr: NSThread; arg: id; wait: boolean; array_: NSArray); message 'performSelector:onThread:withObject:waitUntilDone:modes:'; { available in 10_5, 2_0 }
    procedure performSelector_onThread_withObject_waitUntilDone (aSelector: SEL; thr: NSThread; arg: id; wait: boolean); message 'performSelector:onThread:withObject:waitUntilDone:'; { available in 10_5, 2_0 }
    procedure performSelectorInBackground_withObject (aSelector: SEL; arg: id); message 'performSelectorInBackground:withObject:'; { available in 10_5, 2_0 }
  end;
{$endif}

