{ Parsed from Foundation.framework (MacOSX10.8) NSURLCredentialStorage.h }
{ Created on Mon Sep 10 11:48:04 2012 }


{$ifdef TYPES}
type
  NSURLCredentialStoragePtr = ^NSURLCredentialStorage;
{$endif}

{$ifdef CLASSES}

type
  NSURLCredentialStorage = objcclass external (NSObject)
  private
    _internal: NSURLCredentialStorageInternal;
  public
    class function sharedCredentialStorage: NSURLCredentialStorage; message 'sharedCredentialStorage';
    function credentialsForProtectionSpace (space: NSURLProtectionSpace): NSDictionary; message 'credentialsForProtectionSpace:';
    function allCredentials: NSDictionary; message 'allCredentials';
    procedure setCredential_forProtectionSpace (credential: NSURLCredential; space: NSURLProtectionSpace); message 'setCredential:forProtectionSpace:';
    procedure removeCredential_forProtectionSpace (credential: NSURLCredential; space: NSURLProtectionSpace); message 'removeCredential:forProtectionSpace:';
    function defaultCredentialForProtectionSpace (space: NSURLProtectionSpace): NSURLCredential; message 'defaultCredentialForProtectionSpace:';
    procedure setDefaultCredential_forProtectionSpace (credential: NSURLCredential; space: NSURLProtectionSpace); message 'setDefaultCredential:forProtectionSpace:';
  end;
{$endif}

{$ifdef EXTERNAL_SYMBOLS}
var
  NSURLCredentialStorageChangedNotification: NSString; cvar; external;
{$endif}

