{ Parsed from GameKit.framework (MacOSX10.8) GKAchievementDescription.h }
{ Created on Mon Sep 10 11:45:59 2012 }


{ Types from GKAchievementDescription }
{$ifdef TYPES}

{$endif}


{$ifdef TYPES}
type
  GKAchievementDescriptionPtr = ^GKAchievementDescription;
{$endif}

{$ifdef CLASSES}

type
  GKAchievementDescription = objcclass external (NSObject, NSCodingProtocol)
  private
    _internal: id;
  public
    class procedure loadAchievementDescriptionsWithCompletionHandler (completionHandler: OpaqueCBlock); message 'loadAchievementDescriptionsWithCompletionHandler:';
    {$if defined(TARGET_OS_IPHONE)}
    class function incompleteAchievementImage: UIImagePtr; message 'incompleteAchievementImage';
    class function placeholderCompletedAchievementImage: UIImagePtr; message 'placeholderCompletedAchievementImage';
    {$else}
    class function incompleteAchievementImage: NSImage; message 'incompleteAchievementImage';
    class function placeholderCompletedAchievementImage: NSImage; message 'placeholderCompletedAchievementImage';
    {$endif}
    function identifier: NSString; message 'identifier';
    function title: NSString; message 'title';
    function achievedDescription: NSString; message 'achievedDescription';
    function unachievedDescription: NSString; message 'unachievedDescription';
    function maximumPoints: NSInteger; message 'maximumPoints';
    function isHidden: boolean; message 'isHidden';

    { Adopted protocols }
    procedure encodeWithCoder (aCoder: NSCoder); message 'encodeWithCoder:';
    function initWithCoder (aDecoder: NSCoder): id; message 'initWithCoder:';
  end;
{$endif}

{$if defined(TARGET_OS_IPHONE)}
{$ifdef CLASSES}

type
  UIKitExtensions = objccategory external (GKAchievementDescription)
    function image: UIImage; message 'image';
    procedure loadImageWithCompletionHandler (completionHandler: OpaqueCBlock); message 'loadImageWithCompletionHandler:';
  end;
{$endif}

{$else}
{$ifdef CLASSES}

type
  AppKitExtensions = objccategory external (GKAchievementDescription)
    function image: NSImage; message 'image';
    procedure loadImageWithCompletionHandler (completionHandler: OpaqueCBlock); message 'loadImageWithCompletionHandler:';
  end;
{$endif}

{$endif}
