{ Parsed from GameKit.framework (MacOSX10.8) GKDialogController.h }
{ Created on Mon Sep 10 11:45:59 2012 }


{$ifdef TYPES}
type
  GKDialogControllerPtr = ^GKDialogController;
  GKViewControllerProtocolPtr = ^GKViewControllerProtocol;
{$endif}

{$ifdef PROTOCOLS}

type
  GKViewControllerProtocol = objcprotocol external name 'GKViewController'
  end;
{$endif}

{$ifdef CLASSES}

type
  GKDialogController = objcclass external (NSResponder)
  private
    _internal1, _internal2, _internal3, _internal4: id;
  public
    procedure setParentWindow(newValue: NSWindow); message 'setParentWindow:';
    function parentWindow: NSWindow; message 'parentWindow';
    function presentViewController (viewController: GKViewControllerProtocol): boolean; message 'presentViewController:';
    procedure dismiss (sender: id); message 'dismiss:';
  end;


type
  SharedDialogController = objccategory external (GKDialogController)
    class function sharedDialogController: GKDialogController; message 'sharedDialogController';
  end;
{$endif}

