{ Parsed from GameKit.framework (MacOSX10.8) GKFriendRequestComposeViewController.h }
{ Created on Mon Sep 10 11:45:59 2012 }


{$ifdef TYPES}
type
  GKFriendRequestComposeViewControllerPtr = ^GKFriendRequestComposeViewController;
  GKFriendRequestComposeViewControllerDelegateProtocolPtr = ^GKFriendRequestComposeViewControllerDelegateProtocol;
{$endif}

{$ifdef CLASSES}

type
  GKFriendRequestComposeViewController = objcclass external (NSObject)
  public
    class function maxNumberOfRecipients: NSUInteger; message 'maxNumberOfRecipients';
    procedure setMessage (message_: NSString); message 'setMessage:';
    procedure addRecipientsWithPlayerIDs (playerIDs: NSArray); message 'addRecipientsWithPlayerIDs:';
    procedure addRecipientsWithEmailAddresses (emailAddresses: NSArray); message 'addRecipientsWithEmailAddresses:';
    procedure setComposeViewDelegate(newValue: GKFriendRequestComposeViewControllerDelegateProtocol); message 'setComposeViewDelegate:';
    function composeViewDelegate: GKFriendRequestComposeViewControllerDelegateProtocol; message 'composeViewDelegate';
  end;
{$endif}

{$ifdef PROTOCOLS}

type
  GKFriendRequestComposeViewControllerDelegateProtocol = objcprotocol external name 'GKFriendRequestComposeViewControllerDelegate'
    procedure friendRequestComposeViewControllerDidFinish (viewController: GKFriendRequestComposeViewController); message 'friendRequestComposeViewControllerDidFinish:';
  end;
{$endif}

