{ Parsed from GameKit.framework (MacOSX10.8) GKLeaderboard.h }
{ Created on Mon Sep 10 11:45:59 2012 }


{$ifdef TYPES}
type
  GKLeaderboardPtr = ^GKLeaderboard;
{$endif}

{$ifdef TYPES}
const
  GKLeaderboardTimeScopeToday = 0;
  GKLeaderboardTimeScopeWeek = 1;
  GKLeaderboardTimeScopeAllTime = 2;

type
  GKLeaderboardTimeScope = NSInteger;
  GKLeaderboardTimeScopePtr = ^GKLeaderboardTimeScope;

const
  GKLeaderboardPlayerScopeGlobal = 0;
  GKLeaderboardPlayerScopeFriendsOnly = 1;

type
  GKLeaderboardPlayerScope = NSInteger;
  GKLeaderboardPlayerScopePtr = ^GKLeaderboardPlayerScope;
{$endif}

{$ifdef CLASSES}

type
  GKLeaderboard = objcclass external (NSObject)
  end;


type
  GKLeaderboard_GKAdditions = objccategory external name 'GKAdditions' (GKLeaderboard)
    procedure setTimeScope(newValue: GKLeaderboardTimeScope); message 'setTimeScope:';
    function timeScope: GKLeaderboardTimeScope; message 'timeScope';
    procedure setPlayerScope(newValue: GKLeaderboardPlayerScope); message 'setPlayerScope:';
    function playerScope: GKLeaderboardPlayerScope; message 'playerScope';
    procedure setCategory(newValue: NSString); message 'setCategory:';
    function category: NSString; message 'category';
    function title: NSString; message 'title';
    procedure setRange(newValue: NSRange); message 'setRange:';
    function range: NSRange; message 'range';
    function scores: NSArray; message 'scores';
    function maxRange: NSUInteger; message 'maxRange';
    function localPlayerScore: GKScore; message 'localPlayerScore';
    function isLoading: boolean; message 'isLoading';
    function init: id; message 'init';
    function initWithPlayerIDs (playerIDs: NSArray): id; message 'initWithPlayerIDs:';
    procedure loadScoresWithCompletionHandler (completionHandler: OpaqueCBlock); message 'loadScoresWithCompletionHandler:';
    class procedure loadCategoriesWithCompletionHandler (completionHandler: OpaqueCBlock); message 'loadCategoriesWithCompletionHandler:';
    class procedure setDefaultLeaderboard_withCompletionHandler (categoryID: NSString; completionHandler: OpaqueCBlock); message 'setDefaultLeaderboard:withCompletionHandler:'; { available starting in __MAC_10_8,__IPHONE_5_0 }
  end;
{$endif}

