{ Parsed from GameKit.framework (MacOSX10.8) GKMatchmaker.h }
{ Created on Mon Sep 10 11:45:59 2012 }


{$ifdef TYPES}
type
  GKMatchRequestPtr = ^GKMatchRequest;
  GKInvitePtr = ^GKInvite;
  GKMatchmakerPtr = ^GKMatchmaker;
{$endif}

{$ifdef CLASSES}

type
  GKMatchRequest = objcclass external (NSObject)
  end;


type
  GKMatchRequest_GKAdditions = objccategory external name 'GKAdditions' (GKMatchRequest)
    procedure setMinPlayers(newValue: NSUInteger); message 'setMinPlayers:';
    function minPlayers: NSUInteger; message 'minPlayers';
    procedure setMaxPlayers(newValue: NSUInteger); message 'setMaxPlayers:';
    function maxPlayers: NSUInteger; message 'maxPlayers';
    procedure setPlayerGroup(newValue: NSUInteger); message 'setPlayerGroup:';
    function playerGroup: NSUInteger; message 'playerGroup';
    procedure setPlayerAttributes(newValue: cuint32); message 'setPlayerAttributes:';
    function playerAttributes: cuint32; message 'playerAttributes';
    procedure setPlayersToInvite(newValue: NSArray); message 'setPlayersToInvite:';
    function playersToInvite: NSArray; message 'playersToInvite';
  end;


type
  GKInvite = objcclass external (NSObject)
  end;


type
  GKInvite_GKAdditions = objccategory external name 'GKAdditions' (GKInvite)
    function inviter: NSString; message 'inviter';
    function isHosted: boolean; message 'isHosted';
  end;


type
  GKMatchmaker = objcclass external (NSObject)
  end;


type
  GKMatchmaker_GKAdditions = objccategory external name 'GKAdditions' (GKMatchmaker)
    class function sharedMatchmaker: GKMatchmaker; message 'sharedMatchmaker';
    procedure setInviteHandler(newValue: OpaqueCBlock); message 'setInviteHandler:';
    function inviteHandler: OpaqueCBlock; message 'inviteHandler';
    procedure findMatchForRequest_withCompletionHandler (request: GKMatchRequest; completionHandler: OpaqueCBlock); message 'findMatchForRequest:withCompletionHandler:';
    procedure findPlayersForHostedMatchRequest_withCompletionHandler (request: GKMatchRequest; completionHandler: OpaqueCBlock); message 'findPlayersForHostedMatchRequest:withCompletionHandler:';
    procedure addPlayersToMatch_matchRequest_completionHandler (match: GKMatch; matchRequest: GKMatchRequest; completionHandler: OpaqueCBlock); message 'addPlayersToMatch:matchRequest:completionHandler:';
    procedure cancel; message 'cancel';
    procedure queryPlayerGroupActivity_withCompletionHandler (playerGroup: NSUInteger; completionHandler: OpaqueCBlock); message 'queryPlayerGroupActivity:withCompletionHandler:';
    procedure queryActivityWithCompletionHandler (completionHandler: OpaqueCBlock); message 'queryActivityWithCompletionHandler:';
  end;
{$endif}

