{ Parsed from GameKit.framework (MacOSX10.8) GKPlayer.h }
{ Created on Mon Sep 10 11:45:59 2012 }


{ Types from GKPlayer }
{$ifdef TYPES}

const
  GKPhotoSizeSmall = 0;
  GKPhotoSizeNormal = 1;

type
  GKPhotoSize = NSInteger;
type
  GKPhotoSizePtr = ^GKPhotoSize;

{$endif}


{$ifdef TYPES}
type
  GKPlayerPtr = ^GKPlayer;
{$endif}

{$ifdef CLASSES}

type
  GKPlayer = objcclass external (NSObject)
  private
    _internal: id;
  public
    class procedure loadPlayersForIdentifiers_withCompletionHandler (identifiers: NSArray; completionHandler: OpaqueCBlock); message 'loadPlayersForIdentifiers:withCompletionHandler:';
    function playerID: NSString; message 'playerID';
    function alias: NSString; message 'alias';
    function isFriend: boolean; message 'isFriend';
    {$if defined(TARGET_OS_IPHONE)}
    procedure loadPhotoForSize_withCompletionHandler (size: GKPhotoSize; completionHandler: OpaqueCBlock); message 'loadPhotoForSize:withCompletionHandler:'; { available starting in __MAC_NA,__IPHONE_5_0 }
    {$else}
    procedure loadPhotoForSize_withCompletionHandler (size: GKPhotoSize; completionHandler: OpaqueCBlock); message 'loadPhotoForSize:withCompletionHandler:'; { available starting in __MAC_10_8,__IPHONE_NA }
    {$endif}
  end;
{$endif}

{$ifdef EXTERNAL_SYMBOLS}
var
  GKPlayerDidChangeNotificationName: NSString; cvar; external;
{$endif}

