{ Parsed from GameKit.framework (MacOSX10.8) GKTurnBasedMatchmakerViewController.h }
{ Created on Mon Sep 10 11:45:59 2012 }


{$ifdef TYPES}
type
  GKTurnBasedMatchmakerViewControllerPtr = ^GKTurnBasedMatchmakerViewController;
  GKTurnBasedMatchmakerViewControllerDelegateProtocolPtr = ^GKTurnBasedMatchmakerViewControllerDelegateProtocol;
{$endif}

{$ifdef CLASSES}

type
  GKTurnBasedMatchmakerViewController = objcclass external (NSObject)
  public
    procedure setTurnBasedMatchmakerDelegate(newValue: GKTurnBasedMatchmakerViewControllerDelegateProtocol); message 'setTurnBasedMatchmakerDelegate:';
    function turnBasedMatchmakerDelegate: GKTurnBasedMatchmakerViewControllerDelegateProtocol; message 'turnBasedMatchmakerDelegate';
    procedure setShowExistingMatches(newValue: boolean); message 'setShowExistingMatches:';
    function showExistingMatches: boolean; message 'showExistingMatches';
    function initWithMatchRequest (request: GKMatchRequest): id; message 'initWithMatchRequest:';
  end;
{$endif}

{$ifdef PROTOCOLS}

type
  GKTurnBasedMatchmakerViewControllerDelegateProtocol = objcprotocol external name 'GKTurnBasedMatchmakerViewControllerDelegate'
  required
    procedure turnBasedMatchmakerViewControllerWasCancelled (viewController: GKTurnBasedMatchmakerViewController); message 'turnBasedMatchmakerViewControllerWasCancelled:';
    procedure turnBasedMatchmakerViewController_didFailWithError (viewController: GKTurnBasedMatchmakerViewController; error: NSError); message 'turnBasedMatchmakerViewController:didFailWithError:';
    procedure turnBasedMatchmakerViewController_didFindMatch (viewController: GKTurnBasedMatchmakerViewController; match: GKTurnBasedMatch); message 'turnBasedMatchmakerViewController:didFindMatch:';
    procedure turnBasedMatchmakerViewController_playerQuitForMatch (viewController: GKTurnBasedMatchmakerViewController; match: GKTurnBasedMatch); message 'turnBasedMatchmakerViewController:playerQuitForMatch:';
  end;
{$endif}

