{ Parsed from GameKit.framework (MacOSX10.8) GKVoiceChat.h }
{ Created on Mon Sep 10 11:45:59 2012 }


{$ifdef TYPES}
type
  GKVoiceChatPtr = ^GKVoiceChat;
{$endif}

{$ifdef TYPES}
const
  GKVoiceChatPlayerConnected = 0;
  GKVoiceChatPlayerDisconnected = 1;
  GKVoiceChatPlayerSpeaking = 2;
  GKVoiceChatPlayerSilent = 3;

type
  GKVoiceChatPlayerState = NSInteger;
  GKVoiceChatPlayerStatePtr = ^GKVoiceChatPlayerState;
{$endif}

{$ifdef CLASSES}

type
  GKVoiceChat = objcclass external (NSObject)
  end;


type
  GKAdditions = objccategory external (GKVoiceChat)
    procedure start; message 'start';
    procedure stop; message 'stop';
    procedure setMute_forPlayer (isMuted: boolean; playerID: NSString); message 'setMute:forPlayer:';
    procedure setPlayerStateUpdateHandler(newValue: OpaqueCBlock); message 'setPlayerStateUpdateHandler:';
    function playerStateUpdateHandler: OpaqueCBlock; message 'playerStateUpdateHandler';
    function name: NSString; message 'name';
    procedure setActive(newValue: boolean); message 'setActive:';
    function isActive: boolean; message 'isActive';
    procedure setVolume(newValue: single); message 'setVolume:';
    function volume: single; message 'volume';
    function playerIDs: NSArray; message 'playerIDs';
    class function isVoIPAllowed: boolean; message 'isVoIPAllowed';
  end;
{$endif}

