{ Parsed from InstantMessage.framework (MacOSX10.8) IMService.h }
{ Created on Mon Sep 10 11:48:04 2012 }


{ Types from IMService }
{$ifdef TYPES}

{$endif}


{$ifdef TYPES}
type
  IMServicePtr = ^IMService;
{$endif}

{$ifndef _IMSERVICE_H_}
{$ifdef EXTERNAL_SYMBOLS}
var
  IMServiceStatusChangedNotification: NSString; cvar; external;
  IMMyStatusChangedNotification: NSString; cvar; external;
  IMPersonStatusChangedNotification: NSString; cvar; external;
  IMPersonInfoChangedNotification: NSString; cvar; external;
  IMStatusImagesChangedAppearanceNotification: NSString; cvar; external;
{$endif}

{$ifdef TYPES}
const
  IMServiceStatusLoggedOut = 0;
  IMServiceStatusDisconnected = 1;
  IMServiceStatusLoggingOut = 2;
  IMServiceStatusLoggingIn = 3;
  IMServiceStatusLoggedIn = 4;

type
  IMServiceStatus = NSUInteger;
  IMServiceStatusPtr = ^IMServiceStatus;

const
  IMPersonStatusUnknown = 0;
  IMPersonStatusOffline = 1;
  IMPersonStatusIdle = 2;
  IMPersonStatusAway = 3;
  IMPersonStatusAvailable = 4;
  {$if (MAC_OS_X_VERSION_MAX_ALLOWED >= MAC_OS_X_VERSION_10_5)}
  IMPersonStatusNoStatus = 5;
  {$endif}

type
  IMPersonStatus = NSUInteger;
  IMPersonStatusPtr = ^IMPersonStatus;
{$endif}

{$ifdef EXTERNAL_SYMBOLS}
var
  IMPersonServiceNameKey: NSString; cvar; external;
  IMPersonScreenNameKey: NSString; cvar; external;
  IMPersonStatusKey: NSString; cvar; external;
  IMPersonStatusMessageKey: NSString; cvar; external;
  IMPersonIdleSinceKey: NSString; cvar; external;
  IMPersonFirstNameKey: NSString; cvar; external;
  IMPersonLastNameKey: NSString; cvar; external;
  IMPersonEmailKey: NSString; cvar; external;
  IMPersonPictureDataKey: NSString; cvar; external;
  IMPersonAVBusyKey: NSString; cvar; external;
  IMPersonCapabilitiesKey: NSString; cvar; external;
  IMCapabilityText: NSString; cvar; external;
  IMCapabilityDirectIM: NSString; cvar; external;
  IMCapabilityFileTransfer: NSString; cvar; external;
  IMCapabilityFileSharing: NSString; cvar; external;
  IMCapabilityAudioConference: NSString; cvar; external;
  IMCapabilityVideoConference: NSString; cvar; external;
{$endif}

{$ifdef CLASSES}

type
  IMService = objcclass external (NSObject)
  private
  public
    {$if (MAC_OS_X_VERSION_MAX_ALLOWED >= MAC_OS_X_VERSION_10_5)}
    class function imageNameForStatus (status: IMPersonStatus): NSString; message 'imageNameForStatus:';
    {$endif}
    class function allServices: NSArray; message 'allServices';
    class function serviceWithName (name: NSString): IMService; message 'serviceWithName:';
    class function notificationCenter: NSNotificationCenter; message 'notificationCenter';
    class function myStatus: IMPersonStatus; message 'myStatus';
    class function myIdleTime: NSDate; message 'myIdleTime';
    function localizedName: NSString; message 'localizedName';
    function localizedShortName: NSString; message 'localizedShortName';
    function name: NSString; message 'name';
    function status: IMServiceStatus; message 'status';
    function infoForScreenName (screenName: NSString): NSDictionary; message 'infoForScreenName:';
    function infoForAllScreenNames: NSArray; message 'infoForAllScreenNames';
    function infoForPreferredScreenNames: NSArray; message 'infoForPreferredScreenNames';
    function peopleWithScreenName (screenName: NSString): NSArray; message 'peopleWithScreenName:';
    function screenNamesForPerson (person: ABPerson): NSArray; message 'screenNamesForPerson:';
  end;


type
  IMService_NSDeprecatedMethods = objccategory external name 'NSDeprecatedMethods' (IMService)
    class function imageURLForStatus (status_: IMPersonStatus): NSURL; message 'imageURLForStatus:'; deprecated 'available in 10.4 and later but deprecated in 10.5';
  end;
{$endif}

{$endif}
