{ Parsed from OpenDirectory.framework (MacOSX10.8) ODNode.h }
{ Created on Mon Sep 10 11:47:39 2012 }


{$ifdef TYPES}
type
  ODNodePtr = ^ODNode;
{$endif}

{$ifdef CLASSES}

type
  ODNode = objcclass external (NSObject)
  private
    _internal: pointer;
  public
    class function nodeWithSession_type_error (inSession: ODSession; inType: ODNodeType; outError: NSErrorPtr): id; message 'nodeWithSession:type:error:'; { available in 10_6, NA }
    class function nodeWithSession_name_error (inSession: ODSession; inName: NSString; outError: NSErrorPtr): id; message 'nodeWithSession:name:error:'; { available in 10_6, NA }
    function initWithSession_type_error (inSession: ODSession; inType: ODNodeType; outError: NSErrorPtr): id; message 'initWithSession:type:error:'; { available in 10_6, NA }
    function initWithSession_name_error (inSession: ODSession; inName: NSString; outError: NSErrorPtr): id; message 'initWithSession:name:error:'; { available in 10_6, NA }
    function subnodeNamesAndReturnError (outError: NSErrorPtr): NSArray; message 'subnodeNamesAndReturnError:'; { available in 10_6, NA }
    function unreachableSubnodeNamesAndReturnError (outError: NSErrorPtr): NSArray; message 'unreachableSubnodeNamesAndReturnError:'; { available in 10_6, NA }
    function nodeName: NSString; message 'nodeName';
    function nodeDetailsForKeys_error (inKeys: NSArray; outError: NSErrorPtr): NSDictionary; message 'nodeDetailsForKeys:error:'; { available in 10_6, NA }
    function supportedRecordTypesAndReturnError (outError: NSErrorPtr): NSArray; message 'supportedRecordTypesAndReturnError:'; { available in 10_6, NA }
    function supportedAttributesForRecordType_error (inRecordType: ODRecordType; outError: NSErrorPtr): NSArray; message 'supportedAttributesForRecordType:error:'; { available in 10_6, NA }
    function setCredentialsWithRecordType_recordName_password_error (inRecordType: ODRecordType; inRecordName: NSString; inPassword: NSString; outError: NSErrorPtr): boolean; message 'setCredentialsWithRecordType:recordName:password:error:'; { available in 10_6, NA }
    function setCredentialsWithRecordType_authenticationType_authenticationItems_continueItems_context_error (inRecordType: ODRecordType; inType: ODAuthenticationType; inItems: NSArray; outItems: NSArrayPtr; outContext: idPtr; outError: NSErrorPtr): boolean; message 'setCredentialsWithRecordType:authenticationType:authenticationItems:continueItems:context:error:'; { available in 10_6, NA }
    function setCredentialsUsingKerberosCache_error (inCacheName: NSString; outError: NSErrorPtr): boolean; message 'setCredentialsUsingKerberosCache:error:'; { available in 10_6, NA }
    function createRecordWithRecordType_name_attributes_error (inRecordType: ODRecordType; inRecordName: NSString; inAttributes: NSDictionary; outError: NSErrorPtr): ODRecord; message 'createRecordWithRecordType:name:attributes:error:'; { available in 10_6, NA }
    function recordWithRecordType_name_attributes_error (inRecordType: ODRecordType; inRecordName: NSString; inAttributes: id; outError: NSErrorPtr): ODRecord; message 'recordWithRecordType:name:attributes:error:'; { available in 10_6, NA }
    function customCall_sendData_error (inCustomCode: NSInteger; inSendData: NSData; outError: NSErrorPtr): NSData; message 'customCall:sendData:error:'; { available in 10_6, NA }
  end;
{$endif}

