{ Parsed from OpenDirectory.framework (MacOSX10.8) ODRecord.h }
{ Created on Mon Sep 10 11:47:39 2012 }


{$ifdef TYPES}
type
  ODRecordPtr = ^ODRecord;
{$endif}

{$ifdef CLASSES}

type
  ODRecord = objcclass external (NSObject)
  public
    function setNodeCredentials_password_error (inUsername: NSString; inPassword: NSString; outError: NSErrorPtr): boolean; message 'setNodeCredentials:password:error:'; { available in 10_6, NA }
    function setNodeCredentialsWithRecordType_authenticationType_authenticationItems_continueItems_context_error (inRecordType: ODRecordType; inType: ODAuthenticationType; inItems: NSArray; outItems: NSArrayPtr; outContext: idPtr; outError: NSErrorPtr): boolean; message 'setNodeCredentialsWithRecordType:authenticationType:authenticationItems:continueItems:context:error:'; { available in 10_6, NA }
    function setNodeCredentialsUsingKerberosCache_error (inCacheName: NSString; outError: NSErrorPtr): boolean; message 'setNodeCredentialsUsingKerberosCache:error:'; deprecated 'in 10_6, 10_7';
    function passwordPolicyAndReturnError (outError: NSErrorPtr): NSDictionary; message 'passwordPolicyAndReturnError:'; { available in 10_6, NA }
    function verifyPassword_error (inPassword: NSString; outError: NSErrorPtr): boolean; message 'verifyPassword:error:'; { available in 10_6, NA }
    function verifyExtendedWithAuthenticationType_authenticationItems_continueItems_context_error (inType: ODAuthenticationType; inItems: NSArray; outItems: NSArrayPtr; outContext: idPtr; outError: NSErrorPtr): boolean; message 'verifyExtendedWithAuthenticationType:authenticationItems:continueItems:context:error:'; { available in 10_6, NA }
    function changePassword_toPassword_error (oldPassword: NSString; newPassword: NSString; outError: NSErrorPtr): boolean; message 'changePassword:toPassword:error:'; { available in 10_6, NA }
    function synchronizeAndReturnError (outError: NSErrorPtr): boolean; message 'synchronizeAndReturnError:'; { available in 10_6, NA }
    function recordType: NSString; message 'recordType';
    function recordName: NSString; message 'recordName';
    function recordDetailsForAttributes_error (inAttributes: NSArray; outError: NSErrorPtr): NSDictionary; message 'recordDetailsForAttributes:error:'; { available in 10_6, NA }
    function valuesForAttribute_error (inAttribute: ODAttributeType; outError: NSErrorPtr): NSArray; message 'valuesForAttribute:error:'; { available in 10_6, NA }
    function setValue_forAttribute_error (inValueOrValues: id; inAttribute: ODAttributeType; outError: NSErrorPtr): boolean; message 'setValue:forAttribute:error:'; { available in 10_6, NA }
    function removeValuesForAttribute_error (inAttribute: ODAttributeType; outError: NSErrorPtr): boolean; message 'removeValuesForAttribute:error:'; { available in 10_6, NA }
    function addValue_toAttribute_error (inValue: id; inAttribute: ODAttributeType; outError: NSErrorPtr): boolean; message 'addValue:toAttribute:error:'; { available in 10_6, NA }
    function removeValue_fromAttribute_error (inValue: id; inAttribute: ODAttributeType; outError: NSErrorPtr): boolean; message 'removeValue:fromAttribute:error:'; { available in 10_6, NA }
    function deleteRecordAndReturnError (outError: NSErrorPtr): boolean; message 'deleteRecordAndReturnError:'; { available in 10_6, NA }
  end;


type
  ODRecordGroupExtensions = objccategory external (ODRecord)
    function addMemberRecord_error (inRecord: ODRecord; outError: NSErrorPtr): boolean; message 'addMemberRecord:error:'; { available in 10_6, NA }
    function removeMemberRecord_error (inRecord: ODRecord; outError: NSErrorPtr): boolean; message 'removeMemberRecord:error:'; { available in 10_6, NA }
    function isMemberRecord_error (inRecord: ODRecord; outError: NSErrorPtr): boolean; message 'isMemberRecord:error:'; { available in 10_6, NA }
  end;
{$endif}

