{ Parsed from OSAKit.framework (MacOSX10.8) OSAScriptController.h }
{ Created on Mon Sep 10 11:46:27 2012 }


{$ifdef TYPES}
type
  OSAScriptControllerPtr = ^OSAScriptController;
{$endif}

{$ifdef TYPES}
const
  OSAScriptStopped = 0;
  OSAScriptRunning = 1;
  OSAScriptRecording = 2;
type
  OSAScriptState = clong;
{$endif}

{$ifdef CLASSES}

type
  OSAScriptController = objcclass external (NSController)
  private
    scriptView_: OSAScriptView;
    resultView_: NSTextView;
    _private: OSAScriptControllerPrivate;
  public
    function scriptView: OSAScriptView; message 'scriptView';
    procedure setScriptView (newScriptView: OSAScriptView); message 'setScriptView:';
    function resultView: NSTextView; message 'resultView';
    procedure setResultView (newResultView: NSTextView); message 'setResultView:';
    function script: OSAScript; message 'script';
    procedure setScript (newScript: OSAScript); message 'setScript:';
    function language: OSALanguage; message 'language';
    procedure setLanguage (newLanguage: OSALanguage); message 'setLanguage:';
    function scriptState: OSAScriptState; message 'scriptState';
    function isCompiling: boolean; message 'isCompiling';
    procedure compileScript (sender: id); message 'compileScript:';
    procedure recordScript (sender: id); message 'recordScript:';
    procedure runScript (sender: id); message 'runScript:';
    procedure stopScript (sender: id); message 'stopScript:';
  end;
{$endif}

