{ Parsed from PubSub.framework (MacOSX10.8) PSEnclosure.h }
{ Created on Mon Sep 10 11:47:41 2012 }


{ Types from PSEnclosure }
{$ifdef TYPES}

const
  PSEnclosureDownloadIsIdle = 0;
  PSEnclosureDownloadIsQueued = 1;
  PSEnclosureDownloadIsActive = 2;
  PSEnclosureDownloadDidFinish = 3;
  PSEnclosureDownloadDidFail = 4;
  PSEnclosureDownloadWasDeleted = 5;
type
  PSEnclosureDownloadState = clong;
{$endif}


{$ifdef TYPES}
type
  PSEnclosurePtr = ^PSEnclosure;
{$endif}

{$if (MAC_OS_X_VERSION_10_5 <= MAC_OS_X_VERSION_MAX_ALLOWED)}
{$ifdef CLASSES}

type
  PSEnclosure = objcclass external (NSObject)
  private
    _internal: id;
  public
    function entry: PSEntry; message 'entry';
    function URL: NSURL; message 'URL';
    function MIMEType: NSString; message 'MIMEType';
    function length: clonglong; message 'length';
    function downloadState: PSEnclosureDownloadState; message 'downloadState';
    function downloadProgress: double; message 'downloadProgress';
    function downloadError: NSError; message 'downloadError';
    function downloadedPath: NSString; message 'downloadedPath';
    function download (error: NSErrorPtr): boolean; message 'download:';
    procedure cancelDownload; message 'cancelDownload';
    procedure deleteDownload; message 'deleteDownload';
  end;
{$endif}

{$ifdef EXTERNAL_SYMBOLS}
var
  PSEnclosureDownloadStateDidChangeNotification: NSString; cvar; external;
{$endif}

{$endif}
