{ Parsed from QTKit.framework (MacOSX10.8) QTCaptureSession.h }
{ Created on Mon Sep 10 11:47:34 2012 }


{$ifdef TYPES}
type
  QTCaptureSessionPtr = ^QTCaptureSession;
{$endif}

{$if ((QTKIT_VERSION_MAX_ALLOWED >= QTKIT_VERSION_7_2)) and ((MAC_OS_X_VERSION_MAX_ALLOWED >= MAC_OS_X_VERSION_10_4))}
{$ifdef EXTERNAL_SYMBOLS}
var
  QTCaptureSessionRuntimeErrorNotification: NSString; cvar; external;
  QTCaptureSessionErrorKey: NSString; cvar; external;
{$endif}

{$ifdef CLASSES}

type
  QTCaptureSession = objcclass external (NSObject)
  private
    _internal: QTCaptureSessionInternal;
    _internalState: QTCaptureSessionInternalState;
    _reserved1: clong;
    _reserved2: clong;
    _reserved3: clong;
  public
    function inputs: NSArray; message 'inputs';
    function addInput_error (input: QTCaptureInput; errorPtr: NSErrorPtr): boolean; message 'addInput:error:';
    procedure removeInput (input: QTCaptureInput); message 'removeInput:';
    function outputs: NSArray; message 'outputs';
    function addOutput_error (output: QTCaptureOutput; errorPtr: NSErrorPtr): boolean; message 'addOutput:error:';
    procedure removeOutput (output: QTCaptureOutput); message 'removeOutput:';
    function isRunning: boolean; message 'isRunning';
    procedure startRunning; message 'startRunning';
    procedure stopRunning; message 'stopRunning';
  end;
{$endif}

{$endif}
