{ Parsed from QTKit.framework (MacOSX10.8) QTCaptureView.h }
{ Created on Mon Sep 10 11:47:34 2012 }


{$ifdef TYPES}
type
  QTCaptureViewPtr = ^QTCaptureView;
{$endif}

{$if ((QTKIT_VERSION_MAX_ALLOWED >= QTKIT_VERSION_7_2)) and ((MAC_OS_X_VERSION_MAX_ALLOWED >= MAC_OS_X_VERSION_10_4))}
{$ifdef CLASSES}

type
  QTCaptureView = objcclass external (NSView)
  private
    _internal: QTCaptureViewInternal;
    _reserved1: clong;
    _reserved2: clong;
    _reserved3: clong;
  public
    function captureSession: QTCaptureSession; message 'captureSession';
    procedure setCaptureSession (captureSession_: QTCaptureSession); message 'setCaptureSession:';
    function availableVideoPreviewConnections: NSArray; message 'availableVideoPreviewConnections';
    function videoPreviewConnection: QTCaptureConnection; message 'videoPreviewConnection';
    procedure setVideoPreviewConnection (videoPreviewConnection_: QTCaptureConnection); message 'setVideoPreviewConnection:';
    function fillColor: NSColor; message 'fillColor';
    procedure setFillColor (fillColor_: NSColor); message 'setFillColor:';
    function preservesAspectRatio: boolean; message 'preservesAspectRatio';
    procedure setPreservesAspectRatio (preservesAspectRatio_: boolean); message 'setPreservesAspectRatio:';
    function previewBounds: NSRect; message 'previewBounds';
    function delegate: id; message 'delegate';
    procedure setDelegate (delegate_: id); message 'setDelegate:';
  end;


type
  QTCaptureView_Delegate = objccategory external (NSObject)
    function view_willDisplayImage (view: QTCaptureView; image: CIImage): CIImage; message 'view:willDisplayImage:';
  end;
{$endif}

{$endif}
