{ Parsed from QTKit.framework (MacOSX10.8) QTMedia.h }
{ Created on Mon Sep 10 11:47:34 2012 }


{ Types from QTMedia }
{$ifdef TYPES}


{$endif}


{$ifdef TYPES}
type
  QTMediaPtr = ^QTMedia;
{$endif}

{$ifdef EXTERNAL_SYMBOLS}
var
  QTMediaTypeVideo: NSString; cvar; external;
  QTMediaTypeSound: NSString; cvar; external;
  QTMediaTypeText: NSString; cvar; external;
  QTMediaTypeBase: NSString; cvar; external;
  QTMediaTypeMPEG: NSString; cvar; external;
  QTMediaTypeMusic: NSString; cvar; external;
  QTMediaTypeTimeCode: NSString; cvar; external;
  QTMediaTypeSprite: NSString; cvar; external;
  QTMediaTypeFlash: NSString; cvar; external;
  QTMediaTypeMovie: NSString; cvar; external;
  QTMediaTypeTween: NSString; cvar; external;
  QTMediaType3D: NSString; cvar; external;
  QTMediaTypeSkin: NSString; cvar; external;
  QTMediaTypeQTVR: NSString; cvar; external;
  QTMediaTypeHint: NSString; cvar; external;
  QTMediaTypeStream: NSString; cvar; external;
  QTMediaTypeMuxed: NSString; cvar; external;
  QTMediaTypeQuartzComposer: NSString; cvar; external;
  QTMediaCharacteristicVisual: NSString; cvar; external;
  QTMediaCharacteristicAudio: NSString; cvar; external;
  QTMediaCharacteristicCanSendVideo: NSString; cvar; external;
  QTMediaCharacteristicProvidesActions: NSString; cvar; external;
  QTMediaCharacteristicNonLinear: NSString; cvar; external;
  QTMediaCharacteristicCanStep: NSString; cvar; external;
  QTMediaCharacteristicHasNoDuration: NSString; cvar; external;
  QTMediaCharacteristicHasSkinData: NSString; cvar; external;
  QTMediaCharacteristicProvidesKeyFocus: NSString; cvar; external;
  QTMediaCharacteristicHasVideoFrameRate: NSString; cvar; external;
  QTMediaCreationTimeAttribute: NSString; cvar; external;
  QTMediaDurationAttribute: NSString; cvar; external;
  QTMediaModificationTimeAttribute: NSString; cvar; external;
  QTMediaSampleCountAttribute: NSString; cvar; external;
  QTMediaQualityAttribute: NSString; cvar; external;
  QTMediaTimeScaleAttribute: NSString; cvar; external;
  QTMediaTypeAttribute: NSString; cvar; external;
{$endif}

{$ifdef CLASSES}

type
  QTMedia = objcclass external (NSObject)
  private
    {$if defined(__LP64__)}
    _proxy: cint32;
    {$else}
    _quickTimeMedia: Media;
    _undoManager: NSUndoManager;
    _undoAttributes: NSDictionary;
    _quickTimeMovieWrapper: QTQuickTimeMovieWrapper;
    {$endif}
    _flags: clong;
    _track: QTTrack;
  public
    {$if  not defined(__LP64__)}
    class function mediaWithQuickTimeMedia_error (media_: Media; errorPtr: NSErrorPtr): id; message 'mediaWithQuickTimeMedia:error:';
    function initWithQuickTimeMedia_error (media_: Media; errorPtr: NSErrorPtr): id; message 'initWithQuickTimeMedia:error:';
    {$endif}
    function track: QTTrack; message 'track';
    function mediaAttributes: NSDictionary; message 'mediaAttributes';
    procedure setMediaAttributes (attributes: NSDictionary); message 'setMediaAttributes:';
    function attributeForKey (attributeKey: NSString): id; message 'attributeForKey:';
    procedure setAttribute_forKey (value: id; attributeKey: NSString); message 'setAttribute:forKey:';
    function hasCharacteristic (characteristic: NSString): boolean; message 'hasCharacteristic:';
    {$if  not defined(__LP64__)}
    function quickTimeMedia: Media; message 'quickTimeMedia';
    {$endif}
  end;
{$endif}

