{ Parsed from SceneKit.framework (MacOSX10.8) SCNMaterialProperty.h }
{ Created on Mon Sep 10 11:46:01 2012 }


{$ifdef TYPES}
type
  SCNMaterialPropertyPtr = ^SCNMaterialProperty;
{$endif}

{$ifdef TYPES}
const
  SCNNoFiltering = 0;
  SCNNearestFiltering = 1;
  SCNLinearFiltering = 2;
type
  SCNFilterMode = clong;
const
  SCNClamp = 1;
  SCNRepeat = 2;
  SCNClampToBorder = 3;
  SCNMirror = 4;
type
  SCNWrapMode = clong;
{$endif}

{$ifdef CLASSES}

type
  SCNMaterialProperty = objcclass external (NSObject, SCNAnimatableProtocol)
  private
    _reserved: id;
  public
    procedure setContents(newValue: id); message 'setContents:';
    function contents: id; message 'contents';
    procedure setMinificationFilter(newValue: SCNFilterMode); message 'setMinificationFilter:';
    function minificationFilter: SCNFilterMode; message 'minificationFilter';
    procedure setMagnificationFilter(newValue: SCNFilterMode); message 'setMagnificationFilter:';
    function magnificationFilter: SCNFilterMode; message 'magnificationFilter';
    procedure setMipFilter(newValue: SCNFilterMode); message 'setMipFilter:';
    function mipFilter: SCNFilterMode; message 'mipFilter';
    procedure setContentsTransform(newValue: CATransform3D); message 'setContentsTransform:';
    function contentsTransform: CATransform3D; message 'contentsTransform';
    procedure setWrapS(newValue: SCNWrapMode); message 'setWrapS:';
    function wrapS: SCNWrapMode; message 'wrapS';
    procedure setWrapT(newValue: SCNWrapMode); message 'setWrapT:';
    function wrapT: SCNWrapMode; message 'wrapT';
    procedure setBorderColor(newValue: id); message 'setBorderColor:';
    function borderColor: id; message 'borderColor';
    procedure setMappingChannel(newValue: NSInteger); message 'setMappingChannel:';
    function mappingChannel: NSInteger; message 'mappingChannel';

    { Adopted protocols }
    procedure addAnimation_forKey (animation: CAAnimation; key: NSString); message 'addAnimation:forKey:';
    function animationForKey (key: NSString): CAAnimation; message 'animationForKey:';
    function animationKeys: NSArray; message 'animationKeys';
    procedure removeAllAnimations; message 'removeAllAnimations';
    procedure removeAnimationForKey (key: NSString); message 'removeAnimationForKey:';
  end;
{$endif}

