{ Parsed from SceneKit.framework (MacOSX10.8) SCNRenderer.h }
{ Created on Mon Sep 10 11:46:01 2012 }


{$ifdef TYPES}
type
  SCNRendererPtr = ^SCNRenderer;
{$endif}

{$ifdef CLASSES}

type
  SCNRenderer = objcclass external (NSObject, SCNSceneRendererProtocol)
  private
    _reserved: id;
  public
    class function rendererWithContext_options (context: pointer; options: NSDictionary): SCNRenderer; message 'rendererWithContext:options:';
    procedure setScene(newValue: SCNScene); message 'setScene:';
    function scene: SCNScene; message 'scene';
    procedure render; message 'render';

    { Adopted protocols }
    procedure setAutoenablesDefaultLighting(newValue: boolean); message 'setAutoenablesDefaultLighting:';
    function autoenablesDefaultLighting: boolean; message 'autoenablesDefaultLighting';
    function autorelease: id; message 'autorelease';
    function class_: pobjc_class; message 'class';
    function conformsToProtocol (aProtocol: Protocol): boolean; message 'conformsToProtocol:';
    function context: pointer; message 'context';
    procedure setCurrentTime(newValue: NSTimeInterval); message 'setCurrentTime:';
    function currentTime: NSTimeInterval; message 'currentTime';
    function debugDescription: NSString; message 'debugDescription';
    procedure setDelegate(newValue: SCNSceneRendererDelegateProtocol); message 'setDelegate:';
    function delegate: SCNSceneRendererDelegateProtocol; message 'delegate';
    function description: NSString; message 'description';
    function hash: NSUInteger; message 'hash';
    function hitTest_options (thePoint: CGPoint; options: NSDictionary): NSArray; message 'hitTest:options:';
    function isEqual (object_: id): boolean; message 'isEqual:';
    function isKindOfClass (aClass: pobjc_class): boolean; message 'isKindOfClass:';
    function isMemberOfClass (aClass: pobjc_class): boolean; message 'isMemberOfClass:';
    function isProxy: boolean; message 'isProxy';
    procedure setJitteringEnabled(newValue: boolean); message 'setJitteringEnabled:';
    function isJitteringEnabled: boolean; message 'isJitteringEnabled';
    procedure setLoops(newValue: boolean); message 'setLoops:';
    function loops: boolean; message 'loops';
    function performSelector (aSelector: SEL): id; message 'performSelector:';
    function performSelector_withObject (aSelector: SEL; object_: id): id; message 'performSelector:withObject:';
    function performSelector_withObject_withObject (aSelector: SEL; object1: id; object2: id): id; message 'performSelector:withObject:withObject:';
    procedure setPlaying(newValue: boolean); message 'setPlaying:';
    function isPlaying: boolean; message 'isPlaying';
    procedure setPointOfView(newValue: SCNNode); message 'setPointOfView:';
    function pointOfView: SCNNode; message 'pointOfView';
    procedure release; message 'release';
    function respondsToSelector (aSelector: SEL): boolean; message 'respondsToSelector:';
    function retain: id; message 'retain';
    function retainCount: NSUInteger; message 'retainCount';
    function self_: id; message 'self';
    function superclass: pobjc_class; message 'superclass';
    function zone: NSZonePtr; message 'zone';
  end;
{$endif}

