{ Parsed from SceneKit.framework (MacOSX10.8) SceneKitTypes.h }
{ Created on Mon Sep 10 11:46:01 2012 }

{$ifdef TYPES}
type
  _SCNVector3 = record
    x, y, z: CGFloat;
  end;
type
  _SCNVector3Ptr = ^_SCNVector3;

type
  SCNVector3 = _SCNVector3;
  SCNVector3Ptr = ^SCNVector3;

type
  _SCNVector4 = record
    x, y, z, w: CGFloat;
  end;
type
  _SCNVector4Ptr = ^_SCNVector4;

type
  SCNVector4 = _SCNVector4;
  SCNVector4Ptr = ^SCNVector4;
{$endif}

{$ifdef FUNCTIONS}
function SCNVector3EqualToVector3(a: SCNVector3; b: SCNVector3): cbool; cdecl; external;
function SCNVector4EqualToVector4(a: SCNVector4; b: SCNVector4): cbool; cdecl; external;
{$endif}

{$ifdef __OBJC__}
{$ifdef CLASSES}

type
  NSValue_SceneKitAdditions = objccategory external name 'SceneKitAdditions' (NSValue)
    class function valueWithSCNVector3 (v: SCNVector3): NSValue; message 'valueWithSCNVector3:';
    class function valueWithSCNVector4 (v: SCNVector4): NSValue; message 'valueWithSCNVector4:';
    function SCNVector3Value: SCNVector3; message 'SCNVector3Value';
    function SCNVector4Value: SCNVector4; message 'SCNVector4Value';
  end;
{$endif}

{$ifdef EXTERNAL_SYMBOLS}
var
  SCNErrorDomain: NSString; cvar; external;
{$endif}

{$ifdef TYPES}
const
  SCNProgramCompilationError = 1;
{$endif}

{$endif}
