{ Parsed from SecurityInterface.framework (MacOSX10.8) SFCertificatePanel.h }
{ Created on Mon Sep 10 11:47:25 2012 }


{$ifdef TYPES}
type
  SFCertificatePanelPtr = ^SFCertificatePanel;
{$endif}

{$ifndef _SFCERTIFICATEPANEL_H_}
{$ifdef CLASSES}

type
  SFCertificatePanel = objcclass external (NSPanel, NSSplitViewDelegateProtocol)
  private
    {$if (defined(__LP64__))}
    _reserved_SFCertificatePanel: id;
    {$else}
    _certView: SFCertificateView;
    _panel: NSWindow;
    _okButton: NSButton;
    _certTable: NSTableView;
    _parentWindowForSheet: NSWindow;
    _clientDidEndSelector: SEL;
    _clientDelegate: id;
    _clientContextInfo: pointer;
    _certDataArray: NSMutableArray;
    _reserved_SFCertificatePanel_: id;
    {$endif}
  public
    class function sharedCertificatePanel: SFCertificatePanel; message 'sharedCertificatePanel';
    function runModalForTrust_showGroup (trust: SecTrustRef; showGroup: boolean): NSInteger; message 'runModalForTrust:showGroup:';
    function runModalForCertificates_showGroup (certificates: NSArray; showGroup: boolean): NSInteger; message 'runModalForCertificates:showGroup:';
    procedure beginSheetForWindow_modalDelegate_didEndSelector_contextInfo_trust_showGroup (docWindow: NSWindow; delegate: id; didEndSelector: SEL; contextInfo: pointer; trust: SecTrustRef; showGroup: boolean); message 'beginSheetForWindow:modalDelegate:didEndSelector:contextInfo:trust:showGroup:';
    procedure beginSheetForWindow_modalDelegate_didEndSelector_contextInfo_certificates_showGroup (docWindow: NSWindow; delegate: id; didEndSelector: SEL; contextInfo: pointer; certificates: NSArray; showGroup: boolean); message 'beginSheetForWindow:modalDelegate:didEndSelector:contextInfo:certificates:showGroup:';
    procedure setPolicies (policies: id); message 'setPolicies:';
    function policies: NSArray; message 'policies';
    procedure setDefaultButtonTitle (title: NSString); message 'setDefaultButtonTitle:';
    procedure setAlternateButtonTitle (title: NSString); message 'setAlternateButtonTitle:';
    procedure setShowsHelp (showsHelp: boolean); message 'setShowsHelp:';
    function showsHelp: boolean; message 'showsHelp';
    procedure setHelpAnchor (anchor: NSString); message 'setHelpAnchor:';
    function helpAnchor: NSString; message 'helpAnchor';
    function certificateView: SFCertificateView; message 'certificateView';

    { Adopted protocols }
    function autorelease: id; message 'autorelease';
    function class_: pobjc_class; message 'class';
    function conformsToProtocol (aProtocol: Protocol): boolean; message 'conformsToProtocol:';
    function debugDescription: NSString; message 'debugDescription';
    function description: NSString; message 'description';
    function hash: NSUInteger; message 'hash';
    function isEqual (object_: id): boolean; message 'isEqual:';
    function isKindOfClass (aClass: pobjc_class): boolean; message 'isKindOfClass:';
    function isMemberOfClass (aClass: pobjc_class): boolean; message 'isMemberOfClass:';
    function isProxy: boolean; message 'isProxy';
    function performSelector (aSelector: SEL): id; message 'performSelector:';
    function performSelector_withObject (aSelector: SEL; object_: id): id; message 'performSelector:withObject:';
    function performSelector_withObject_withObject (aSelector: SEL; object1: id; object2: id): id; message 'performSelector:withObject:withObject:';
    procedure release; message 'release';
    function respondsToSelector (aSelector: SEL): boolean; message 'respondsToSelector:';
    function retain: id; message 'retain';
    function retainCount: NSUInteger; message 'retainCount';
    function self_: id; message 'self';
    function splitView_additionalEffectiveRectOfDividerAtIndex (splitView: NSSplitView; dividerIndex: NSInteger): NSRect; message 'splitView:additionalEffectiveRectOfDividerAtIndex:'; { available in 10_5 }
    function splitView_canCollapseSubview (splitView: NSSplitView; subview: NSView): boolean; message 'splitView:canCollapseSubview:';
    function splitView_constrainMaxCoordinate_ofSubviewAt (splitView: NSSplitView; proposedMaximumPosition: CGFloat; dividerIndex: NSInteger): CGFloat; message 'splitView:constrainMaxCoordinate:ofSubviewAt:';
    function splitView_constrainMinCoordinate_ofSubviewAt (splitView: NSSplitView; proposedMinimumPosition: CGFloat; dividerIndex: NSInteger): CGFloat; message 'splitView:constrainMinCoordinate:ofSubviewAt:';
    function splitView_constrainSplitPosition_ofSubviewAt (splitView: NSSplitView; proposedPosition: CGFloat; dividerIndex: NSInteger): CGFloat; message 'splitView:constrainSplitPosition:ofSubviewAt:';
    function splitView_effectiveRect_forDrawnRect_ofDividerAtIndex (splitView: NSSplitView; proposedEffectiveRect: NSRect; drawnRect: NSRect; dividerIndex: NSInteger): NSRect; message 'splitView:effectiveRect:forDrawnRect:ofDividerAtIndex:'; { available in 10_5 }
    procedure splitView_resizeSubviewsWithOldSize (splitView: NSSplitView; oldSize: NSSize); message 'splitView:resizeSubviewsWithOldSize:';
    function splitView_shouldAdjustSizeOfSubview (splitView: NSSplitView; view: NSView): boolean; message 'splitView:shouldAdjustSizeOfSubview:'; { available in 10_6 }
    function splitView_shouldCollapseSubview_forDoubleClickOnDividerAtIndex (splitView: NSSplitView; subview: NSView; dividerIndex: NSInteger): boolean; message 'splitView:shouldCollapseSubview:forDoubleClickOnDividerAtIndex:'; { available in 10_5 }
    function splitView_shouldHideDividerAtIndex (splitView: NSSplitView; dividerIndex: NSInteger): boolean; message 'splitView:shouldHideDividerAtIndex:'; { available in 10_5 }
    procedure splitViewDidResizeSubviews (notification: NSNotification); message 'splitViewDidResizeSubviews:';
    procedure splitViewWillResizeSubviews (notification: NSNotification); message 'splitViewWillResizeSubviews:';
    function superclass: pobjc_class; message 'superclass';
    function zone: NSZonePtr; message 'zone';
  end;


type
  SFCertificatePanelDelegate = objccategory external (NSObject)
    function certificatePanelShowHelp (sender: SFCertificatePanel): boolean; message 'certificatePanelShowHelp:';
  end;
{$endif}

{$endif}
