{ Parsed from VideoToolbox.framework (MacOSX10.8) VTDecompressionSession.h }
{ Created on Mon Sep 10 11:46:15 2012 }

{$ifndef VTDECOMPRESSIONSESSION_H}

{$ifdef TYPES}
type
  VTDecompressionSessionRef = OpaqueType;
  VTDecompressionOutputCallback = procedure (decompressionOutputRefCon: pointer; sourceFrameRefCon: pointer; status: OSStatus; infoFlags: VTDecodeInfoFlags; imageBuffer: CVImageBufferRef; presentationTimeStamp: CMTime; presentationDuration: CMTime); cdecl;

type
  VTDecompressionOutputCallbackRecord = record
    decompressionOutputCallback: VTDecompressionOutputCallback;
    decompressionOutputRefCon: pointer;
  end;
type
  VTDecompressionOutputCallbackRecordPtr = ^VTDecompressionOutputCallbackRecord;
{$endif}

{$ifdef FUNCTIONS}
function VTDecompressionSessionCreate(allocator: CFAllocatorRef; videoFormatDescription: CMVideoFormatDescriptionRef; videoDecoderSpecification: CFDictionaryRef; destinationImageBufferAttributes: CFDictionaryRef; outputCallback: VTDecompressionOutputCallbackRecordPtr; decompressionSessionOut: VTDecompressionSessionRef): OSStatus; cdecl; external;
procedure VTDecompressionSessionInvalidate(session: VTDecompressionSessionRef); cdecl; external;
function VTDecompressionSessionGetTypeID: CFTypeID; cdecl; external;
function VTDecompressionSessionDecodeFrame(session: VTDecompressionSessionRef; sampleBuffer: CMSampleBufferRef; decodeFlags: VTDecodeFrameFlags; sourceFrameRefCon: pointer; infoFlagsOut: VTDecodeInfoFlagsPtr): OSStatus; cdecl; external;
function VTDecompressionSessionFinishDelayedFrames(session: VTDecompressionSessionRef): OSStatus; cdecl; external;
function VTDecompressionSessionCanAcceptFormatDescription(session: VTDecompressionSessionRef; newFormatDesc: CMFormatDescriptionRef): Boolean; cdecl; external;
function VTDecompressionSessionWaitForAsynchronousFrames(session: VTDecompressionSessionRef): OSStatus; cdecl; external;
function VTDecompressionSessionCopyBlackPixelBuffer(session: VTDecompressionSessionRef; pixelBufferOut: CVPixelBufferRefPtr): OSStatus; cdecl; external;
{$endif}

{$endif}
