{ Parsed from VideoToolbox.framework (MacOSX10.8) VTSession.h }
{ Created on Mon Sep 10 11:46:15 2012 }

{$ifndef VTSESSION_H}

{$ifdef TYPES}
type
  VTSessionRef = CFTypeRef;
  VTSessionRefPtr = ^VTSessionRef;
{$endif}

{$ifdef FUNCTIONS}
function VTSessionCopySupportedPropertyDictionary(session: VTSessionRef; supportedPropertyDictionaryOut: CFDictionaryRefPtr): OSStatus; cdecl; external;
{$endif}

{$ifdef EXTERNAL_SYMBOLS}
var
  kVTPropertyTypeKey: CFStringRef; cvar; external;
  kVTPropertyType_Enumeration: CFStringRef; cvar; external;
  kVTPropertyType_Boolean: CFStringRef; cvar; external;
  kVTPropertyType_Number: CFStringRef; cvar; external;
  kVTPropertyReadWriteStatusKey: CFStringRef; cvar; external;
  kVTPropertyReadWriteStatus_ReadOnly: CFStringRef; cvar; external;
  kVTPropertyReadWriteStatus_ReadWrite: CFStringRef; cvar; external;
  kVTPropertyShouldBeSerializedKey: CFStringRef; cvar; external;
  kVTPropertySupportedValueMinimumKey: CFStringRef; cvar; external;
  kVTPropertySupportedValueMaximumKey: CFStringRef; cvar; external;
  kVTPropertySupportedValueListKey: CFStringRef; cvar; external;
  kVTPropertyDocumentationKey: CFStringRef; cvar; external;
{$endif}

{$ifdef FUNCTIONS}
function VTSessionSetProperty(session: VTSessionRef; propertyKey: CFStringRef; propertyValue: CFTypeRef): OSStatus; cdecl; external;
function VTSessionCopyProperty(session: VTSessionRef; propertyKey: CFStringRef; allocator: CFAllocatorRef; propertyValueOut: pointer): OSStatus; cdecl; external;
function VTSessionSetProperties(session: VTSessionRef; propertyDictionary: CFDictionaryRef): OSStatus; cdecl; external;
function VTSessionCopySerializableProperties(session: VTSessionRef; allocator: CFAllocatorRef; dictionaryOut: CFDictionaryRefPtr): OSStatus; cdecl; external;
{$endif}

{$endif}
