{ Parsed from WebKit.framework (MacOSX10.8) DOMCSSStyleSheet.h }
{ Created on Mon Sep 10 11:47:21 2012 }


{$ifdef TYPES}
type
  DOMCSSStyleSheetPtr = ^DOMCSSStyleSheet;
{$endif}

{$if (WEBKIT_VERSION_MAX_ALLOWED >= WEBKIT_VERSION_1_3)}
{$ifdef CLASSES}

type
  DOMCSSStyleSheet = objcclass external (DOMStyleSheet)
  public
    function ownerRule: DOMCSSRule; message 'ownerRule';
    function cssRules: DOMCSSRuleList; message 'cssRules';
    function rules: DOMCSSRuleList; message 'rules';
    function insertRule_index (rule: NSString; index: cuint): cuint; message 'insertRule:index:';
    procedure deleteRule (index: cuint); message 'deleteRule:';
    function addRule_style_index (selector: NSString; style: NSString; index: cuint): cint; message 'addRule:style:index:';
    procedure removeRule (index: cuint); message 'removeRule:';
  end;


type
  DOMCSSStyleSheetDeprecated = objccategory external (DOMCSSStyleSheet)
    function insertRule (rule: NSString): cuint; message 'insertRule:'; deprecated 'available in 1.3 and later but deprecated in 3.0';
  end;
{$endif}

{$endif}
