{ Parsed from WebKit.framework (MacOSX10.8) DOMCharacterData.h }
{ Created on Mon Sep 10 11:47:21 2012 }


{$ifdef TYPES}
type
  DOMCharacterDataPtr = ^DOMCharacterData;
{$endif}

{$if (WEBKIT_VERSION_MAX_ALLOWED >= WEBKIT_VERSION_1_3)}
{$ifdef CLASSES}

type
  DOMCharacterData = objcclass external (DOMNode)
  public
    procedure setData(newValue: NSString); message 'setData:';
    function data: NSString; message 'data';
    function length: cuint; message 'length';
    function substringData_length (offset: cuint; length_: cuint): NSString; message 'substringData:length:';
    procedure appendData (data_: NSString); message 'appendData:';
    procedure insertData_data (offset: cuint; data_: NSString); message 'insertData:data:';
    procedure deleteData_length (offset: cuint; length_: cuint); message 'deleteData:length:';
    procedure replaceData_length_data (offset: cuint; length_: cuint; data_: NSString); message 'replaceData:length:data:';
  end;


type
  DOMCharacterDataDeprecated = objccategory external (DOMCharacterData)
    function substringData (offset: cuint): NSString; message 'substringData:'; deprecated 'available in 1.3 and later but deprecated in 3.0';
    procedure insertData (offset: cuint); message 'insertData:'; deprecated 'available in 1.3 and later but deprecated in 3.0';
    procedure deleteData (offset: cuint); message 'deleteData:'; deprecated 'available in 1.3 and later but deprecated in 3.0';
    procedure replaceData_length (offset: cuint; data_: NSString); message 'replaceData:length:'; deprecated 'available in 1.3 and later but deprecated in 3.0';
  end;
{$endif}

{$endif}
