{ Parsed from WebKit.framework (MacOSX10.8) DOMEvent.h }
{ Created on Mon Sep 10 11:47:22 2012 }


{$ifdef TYPES}
type
  DOMEventPtr = ^DOMEvent;
{$endif}

{$if (WEBKIT_VERSION_MAX_ALLOWED >= WEBKIT_VERSION_1_3)}
{$ifdef TYPES}
const
  DOM_NONE = 0;
  DOM_CAPTURING_PHASE = 1;
  DOM_AT_TARGET = 2;
  DOM_BUBBLING_PHASE = 3;
{$endif}

{$ifdef CLASSES}

type
  DOMEvent = objcclass external (DOMObject)
  public
    function type_: NSString; message 'type';
    function target: DOMEventTargetProtocol; message 'target';
    function currentTarget: DOMEventTargetProtocol; message 'currentTarget';
    function eventPhase: cushort; message 'eventPhase';
    function bubbles: boolean; message 'bubbles';
    function cancelable: boolean; message 'cancelable';
    function timeStamp: DOMTimeStamp; message 'timeStamp';
    function srcElement: DOMEventTargetProtocol; message 'srcElement';
    procedure setReturnValue(newValue: boolean); message 'setReturnValue:';
    function returnValue: boolean; message 'returnValue';
    procedure setCancelBubble(newValue: boolean); message 'setCancelBubble:';
    function cancelBubble: boolean; message 'cancelBubble';
    procedure stopPropagation; message 'stopPropagation';
    procedure preventDefault; message 'preventDefault';
    procedure initEvent_canBubbleArg_cancelableArg (eventTypeArg: NSString; canBubbleArg: boolean; cancelableArg: boolean); message 'initEvent:canBubbleArg:cancelableArg:';
  end;


type
  DOMEventDeprecated = objccategory external (DOMEvent)
    procedure initEvent_canBubbleArg (eventTypeArg: NSString; cancelableArg: boolean); message 'initEvent:canBubbleArg:'; deprecated 'available in 1.3 and later but deprecated in 3.0';
  end;
{$endif}

{$endif}
