{ Parsed from WebKit.framework (MacOSX10.8) DOMHTMLSelectElement.h }
{ Created on Mon Sep 10 11:47:21 2012 }


{$ifdef TYPES}
type
  DOMHTMLSelectElementPtr = ^DOMHTMLSelectElement;
{$endif}

{$if (WEBKIT_VERSION_MAX_ALLOWED >= WEBKIT_VERSION_1_3)}
{$ifdef CLASSES}

type
  DOMHTMLSelectElement = objcclass external (DOMHTMLElement)
  public
    procedure setAutofocus(newValue: boolean); message 'setAutofocus:';
    function autofocus: boolean; message 'autofocus';
    procedure setDisabled(newValue: boolean); message 'setDisabled:';
    function disabled: boolean; message 'disabled';
    function form: DOMHTMLFormElement; message 'form';
    procedure setMultiple(newValue: boolean); message 'setMultiple:';
    function multiple: boolean; message 'multiple';
    procedure setName(newValue: NSString); message 'setName:';
    function name: NSString; message 'name';
    procedure setSize(newValue: cint); message 'setSize:';
    function size: cint; message 'size';
    function type_: NSString; message 'type';
    function options: DOMHTMLOptionsCollection; message 'options';
    function length: cint; message 'length';
    procedure setSelectedIndex(newValue: cint); message 'setSelectedIndex:';
    function selectedIndex: cint; message 'selectedIndex';
    procedure setValue(newValue: NSString); message 'setValue:';
    function value: NSString; message 'value';
    function willValidate: boolean; message 'willValidate';
    function item (index: cuint): DOMNode; message 'item:';
    function namedItem (name_: NSString): DOMNode; message 'namedItem:';
    procedure add_before (element: DOMHTMLElement; before: DOMHTMLElement); message 'add:before:';
    procedure remove (index: cint); message 'remove:';
  end;


type
  DOMHTMLSelectElementDeprecated = objccategory external (DOMHTMLSelectElement)
    procedure add (element: DOMHTMLElement); message 'add:'; deprecated 'available in 1.3 and later but deprecated in 3.0';
  end;
{$endif}

{$endif}
