{ Parsed from WebKit.framework (MacOSX10.8) DOMMutationEvent.h }
{ Created on Mon Sep 10 11:47:22 2012 }


{$ifdef TYPES}
type
  DOMMutationEventPtr = ^DOMMutationEvent;
{$endif}

{$if (WEBKIT_VERSION_MAX_ALLOWED >= WEBKIT_VERSION_1_3)}
{$ifdef TYPES}
const
  DOM_MODIFICATION = 1;
  DOM_ADDITION = 2;
  DOM_REMOVAL = 3;
{$endif}

{$ifdef CLASSES}

type
  DOMMutationEvent = objcclass external (DOMEvent)
  public
    function relatedNode: DOMNode; message 'relatedNode';
    function prevValue: NSString; message 'prevValue';
    function newValue: NSString; message 'newValue';
    function attrName: NSString; message 'attrName';
    function attrChange: cushort; message 'attrChange';
    procedure initMutationEvent_canBubble_cancelable_relatedNode_prevValue_newValue_attrName_attrChange (type_: NSString; canBubble: boolean; cancelable_: boolean; relatedNode_: DOMNode; prevValue_: NSString; newValue_: NSString; attrName_: NSString; attrChange_: cushort); message 'initMutationEvent:canBubble:cancelable:relatedNode:prevValue:newValue:attrName:attrChange:';
  end;


type
  DOMMutationEventDeprecated = objccategory external (DOMMutationEvent)
    procedure initMutationEvent_canBubble_relatedNode_newValue (type_: NSString; cancelable_: boolean; prevValue_: NSString; attrName_: NSString); message 'initMutationEvent:canBubble:relatedNode:newValue:'; deprecated 'available in 1.3 and later but deprecated in 3.0';
  end;
{$endif}

{$endif}
