{ Parsed from WebKit.framework (MacOSX10.8) DOMNamedNodeMap.h }
{ Created on Mon Sep 10 11:47:21 2012 }


{$ifdef TYPES}
type
  DOMNamedNodeMapPtr = ^DOMNamedNodeMap;
{$endif}

{$if (WEBKIT_VERSION_MAX_ALLOWED >= WEBKIT_VERSION_1_3)}
{$ifdef CLASSES}

type
  DOMNamedNodeMap = objcclass external (DOMObject)
  public
    function length: cuint; message 'length';
    function getNamedItem (name: NSString): DOMNode; message 'getNamedItem:';
    function setNamedItem (node: DOMNode): DOMNode; message 'setNamedItem:';
    function removeNamedItem (name: NSString): DOMNode; message 'removeNamedItem:';
    function item (index: cuint): DOMNode; message 'item:';
    function getNamedItemNS_localName (namespaceURI: NSString; localName: NSString): DOMNode; message 'getNamedItemNS:localName:';
    function setNamedItemNS (node: DOMNode): DOMNode; message 'setNamedItemNS:';
    function removeNamedItemNS_localName (namespaceURI: NSString; localName: NSString): DOMNode; message 'removeNamedItemNS:localName:';
  end;


type
  DOMNamedNodeMapDeprecated = objccategory external (DOMNamedNodeMap)
    function getNamedItemNS (namespaceURI: NSString): DOMNode; message 'getNamedItemNS:'; deprecated 'available in 1.3 and later but deprecated in 3.0';
    function removeNamedItemNS (namespaceURI: NSString): DOMNode; message 'removeNamedItemNS:'; deprecated 'available in 1.3 and later but deprecated in 3.0';
  end;
{$endif}

{$endif}
