{ Parsed from WebKit.framework (MacOSX10.8) DOMUIEvent.h }
{ Created on Mon Sep 10 11:47:22 2012 }


{$ifdef TYPES}
type
  DOMUIEventPtr = ^DOMUIEvent;
{$endif}

{$if (WEBKIT_VERSION_MAX_ALLOWED >= WEBKIT_VERSION_1_3)}
{$ifdef CLASSES}

type
  DOMUIEvent = objcclass external (DOMEvent)
  public
    function view: DOMAbstractView; message 'view';
    function detail: cint; message 'detail';
    function keyCode: cint; message 'keyCode';
    function charCode: cint; message 'charCode';
    function layerX: cint; message 'layerX';
    function layerY: cint; message 'layerY';
    function pageX: cint; message 'pageX';
    function pageY: cint; message 'pageY';
    function which: cint; message 'which';
    procedure initUIEvent_canBubble_cancelable_view_detail (type_: NSString; canBubble: boolean; cancelable_: boolean; view_: DOMAbstractView; detail_: cint); message 'initUIEvent:canBubble:cancelable:view:detail:';
  end;


type
  DOMUIEventDeprecated = objccategory external (DOMUIEvent)
    procedure initUIEvent_canBubble_view (type_: NSString; cancelable_: boolean; detail_: cint); message 'initUIEvent:canBubble:view:'; deprecated 'available in 1.3 and later but deprecated in 3.0';
  end;
{$endif}

{$endif}
