{ Parsed from WebKit.framework (MacOSX10.8) DOMXPathResult.h }
{ Created on Mon Sep 10 11:47:22 2012 }


{$ifdef TYPES}
type
  DOMXPathResultPtr = ^DOMXPathResult;
{$endif}

{$if (WEBKIT_VERSION_MAX_ALLOWED >= WEBKIT_VERSION_3_0)}
{$ifdef TYPES}
const
  DOM_ANY_TYPE = 0;
  DOM_NUMBER_TYPE = 1;
  DOM_STRING_TYPE = 2;
  DOM_BOOLEAN_TYPE = 3;
  DOM_UNORDERED_NODE_ITERATOR_TYPE = 4;
  DOM_ORDERED_NODE_ITERATOR_TYPE = 5;
  DOM_UNORDERED_NODE_SNAPSHOT_TYPE = 6;
  DOM_ORDERED_NODE_SNAPSHOT_TYPE = 7;
  DOM_ANY_UNORDERED_NODE_TYPE = 8;
  DOM_FIRST_ORDERED_NODE_TYPE = 9;
{$endif}

{$ifdef CLASSES}

type
  DOMXPathResult = objcclass external (DOMObject)
  public
    function resultType: cushort; message 'resultType';
    function numberValue: double; message 'numberValue';
    function stringValue: NSString; message 'stringValue';
    function booleanValue: boolean; message 'booleanValue';
    function singleNodeValue: DOMNode; message 'singleNodeValue';
    function invalidIteratorState: boolean; message 'invalidIteratorState';
    function snapshotLength: cuint; message 'snapshotLength';
    function iterateNext: DOMNode; message 'iterateNext';
    function snapshotItem (index: cuint): DOMNode; message 'snapshotItem:';
  end;
{$endif}

{$endif}
