{ Parsed from WebKit.framework (MacOSX10.8) WebBackForwardList.h }
{ Created on Mon Sep 10 11:47:22 2012 }


{$ifdef TYPES}
type
  WebBackForwardListPtr = ^WebBackForwardList;
{$endif}

{$ifdef CLASSES}

type
  WebBackForwardList = objcclass external (NSObject)
  private
    _private: WebBackForwardListPrivate;
  public
    procedure addItem (item: WebHistoryItem); message 'addItem:';
    procedure goBack; message 'goBack';
    procedure goForward; message 'goForward';
    procedure goToItem (item: WebHistoryItem); message 'goToItem:';
    function backItem: WebHistoryItem; message 'backItem';
    function currentItem: WebHistoryItem; message 'currentItem';
    function forwardItem: WebHistoryItem; message 'forwardItem';
    function backListWithLimit (limit: cint): NSArray; message 'backListWithLimit:';
    function forwardListWithLimit (limit: cint): NSArray; message 'forwardListWithLimit:';
    function capacity: cint; message 'capacity';
    procedure setCapacity (size: cint); message 'setCapacity:';
    function backListCount: cint; message 'backListCount';
    function forwardListCount: cint; message 'forwardListCount';
    function containsItem (item: WebHistoryItem): boolean; message 'containsItem:';
    function itemAtIndex (index: cint): WebHistoryItem; message 'itemAtIndex:';
  end;


type
  WebBackForwardListDeprecated = objccategory external (WebBackForwardList)
    procedure setPageCacheSize (size: NSUInteger); message 'setPageCacheSize:';
    function pageCacheSize: NSUInteger; message 'pageCacheSize';
  end;
{$endif}

