{ Parsed from WebKit.framework (MacOSX10.8) WebPreferences.h }
{ Created on Mon Sep 10 11:47:22 2012 }


{$ifdef TYPES}
type
  WebPreferencesPtr = ^WebPreferences;
{$endif}

{$ifdef TYPES}
const
  WebCacheModelDocumentViewer = 0;
  WebCacheModelDocumentBrowser = 1;
  WebCacheModelPrimaryWebBrowser = 2;

type
  WebCacheModel = NSUInteger;
  WebCacheModelPtr = ^WebCacheModel;
{$endif}

{$ifdef EXTERNAL_SYMBOLS}
var
  WebPreferencesChangedNotification: NSString; cvar; external;
{$endif}

{$ifdef CLASSES}

type
  WebPreferences = objcclass external (NSObject, NSCodingProtocol)
  private
    _private: WebPreferencesPrivate;
  public
    class function standardPreferences: WebPreferences; message 'standardPreferences';
    function initWithIdentifier (anIdentifier: NSString): id; message 'initWithIdentifier:';
    function identifier: NSString; message 'identifier';
    function standardFontFamily: NSString; message 'standardFontFamily';
    procedure setStandardFontFamily (family: NSString); message 'setStandardFontFamily:';
    function fixedFontFamily: NSString; message 'fixedFontFamily';
    procedure setFixedFontFamily (family: NSString); message 'setFixedFontFamily:';
    function serifFontFamily: NSString; message 'serifFontFamily';
    procedure setSerifFontFamily (family: NSString); message 'setSerifFontFamily:';
    function sansSerifFontFamily: NSString; message 'sansSerifFontFamily';
    procedure setSansSerifFontFamily (family: NSString); message 'setSansSerifFontFamily:';
    function cursiveFontFamily: NSString; message 'cursiveFontFamily';
    procedure setCursiveFontFamily (family: NSString); message 'setCursiveFontFamily:';
    function fantasyFontFamily: NSString; message 'fantasyFontFamily';
    procedure setFantasyFontFamily (family: NSString); message 'setFantasyFontFamily:';
    function defaultFontSize: cint; message 'defaultFontSize';
    procedure setDefaultFontSize (size: cint); message 'setDefaultFontSize:';
    function defaultFixedFontSize: cint; message 'defaultFixedFontSize';
    procedure setDefaultFixedFontSize (size: cint); message 'setDefaultFixedFontSize:';
    function minimumFontSize: cint; message 'minimumFontSize';
    procedure setMinimumFontSize (size: cint); message 'setMinimumFontSize:';
    function minimumLogicalFontSize: cint; message 'minimumLogicalFontSize';
    procedure setMinimumLogicalFontSize (size: cint); message 'setMinimumLogicalFontSize:';
    function defaultTextEncodingName: NSString; message 'defaultTextEncodingName';
    procedure setDefaultTextEncodingName (encoding: NSString); message 'setDefaultTextEncodingName:';
    function userStyleSheetEnabled: boolean; message 'userStyleSheetEnabled';
    procedure setUserStyleSheetEnabled (flag: boolean); message 'setUserStyleSheetEnabled:';
    function userStyleSheetLocation: NSURL; message 'userStyleSheetLocation';
    procedure setUserStyleSheetLocation (URL: NSURL); message 'setUserStyleSheetLocation:';
    function isJavaEnabled: boolean; message 'isJavaEnabled';
    procedure setJavaEnabled (flag: boolean); message 'setJavaEnabled:';
    function isJavaScriptEnabled: boolean; message 'isJavaScriptEnabled';
    procedure setJavaScriptEnabled (flag: boolean); message 'setJavaScriptEnabled:';
    function javaScriptCanOpenWindowsAutomatically: boolean; message 'javaScriptCanOpenWindowsAutomatically';
    procedure setJavaScriptCanOpenWindowsAutomatically (flag: boolean); message 'setJavaScriptCanOpenWindowsAutomatically:';
    function arePlugInsEnabled: boolean; message 'arePlugInsEnabled';
    procedure setPlugInsEnabled (flag: boolean); message 'setPlugInsEnabled:';
    function allowsAnimatedImages: boolean; message 'allowsAnimatedImages';
    procedure setAllowsAnimatedImages (flag: boolean); message 'setAllowsAnimatedImages:';
    function allowsAnimatedImageLooping: boolean; message 'allowsAnimatedImageLooping';
    procedure setAllowsAnimatedImageLooping (flag: boolean); message 'setAllowsAnimatedImageLooping:';
    procedure setLoadsImagesAutomatically (flag: boolean); message 'setLoadsImagesAutomatically:';
    function loadsImagesAutomatically: boolean; message 'loadsImagesAutomatically';
    procedure setAutosaves (flag: boolean); message 'setAutosaves:';
    function autosaves: boolean; message 'autosaves';
    procedure setShouldPrintBackgrounds (flag: boolean); message 'setShouldPrintBackgrounds:';
    function shouldPrintBackgrounds: boolean; message 'shouldPrintBackgrounds';
    procedure setPrivateBrowsingEnabled (flag: boolean); message 'setPrivateBrowsingEnabled:';
    function privateBrowsingEnabled: boolean; message 'privateBrowsingEnabled';
    procedure setTabsToLinks (flag: boolean); message 'setTabsToLinks:';
    function tabsToLinks: boolean; message 'tabsToLinks';
    procedure setUsesPageCache (usesPageCache: boolean); message 'setUsesPageCache:';
    function usesPageCache: boolean; message 'usesPageCache';
    procedure setCacheModel (cacheModel: WebCacheModel); message 'setCacheModel:';
    function cacheModel: WebCacheModel; message 'cacheModel';
    procedure setSuppressesIncrementalRendering (suppressesIncrementalRendering: boolean); message 'setSuppressesIncrementalRendering:';
    function suppressesIncrementalRendering: boolean; message 'suppressesIncrementalRendering';

    { Adopted protocols }
    procedure encodeWithCoder (aCoder: NSCoder); message 'encodeWithCoder:';
    function initWithCoder (aDecoder: NSCoder): id; message 'initWithCoder:';
  end;
{$endif}

