{$mode delphi}
{$modeswitch objectivec1}
{$modeswitch cvar}

unit DefinedClassesAVFoundation;
interface

type
  AVAsset = objcclass external;
  AVAssetExportSession = objcclass external;
  AVAssetImageGenerator = objcclass external;
  AVAssetReader = objcclass external;
  AVAssetReaderAudioMixOutput = objcclass external;
  AVAssetReaderOutput = objcclass external;
  AVAssetReaderTrackOutput = objcclass external;
  AVAssetReaderVideoCompositionOutput = objcclass external;
  AVAssetTrack = objcclass external;
  AVAssetTrackSegment = objcclass external;
  AVAssetWriter = objcclass external;
  AVAssetWriterInput = objcclass external;
  AVAssetWriterInputPixelBufferAdaptor = objcclass external;
  AVAudioMix = objcclass external;
  AVAudioMixInputParameters = objcclass external;
  AVAudioPlayer = objcclass external;
  AVAudioRecorder = objcclass external;
  AVCaptureAudioChannel = objcclass external;
  AVCaptureAudioDataOutput = objcclass external;
  AVCaptureAudioFileOutput = objcclass external;
  AVCaptureAudioPreviewOutput = objcclass external;
  AVCaptureConnection = objcclass external;
  AVCaptureDevice = objcclass external;
  AVCaptureDeviceFormat = objcclass external;
  AVCaptureDeviceInput = objcclass external;
  AVCaptureDeviceInputSource = objcclass external;
  AVCaptureFileOutput = objcclass external;
  AVCaptureInput = objcclass external;
  AVCaptureInputPort = objcclass external;
  AVCaptureMovieFileOutput = objcclass external;
  AVCaptureOutput = objcclass external;
  AVCaptureScreenInput = objcclass external;
  AVCaptureSession = objcclass external;
  AVCaptureStillImageOutput = objcclass external;
  AVCaptureVideoDataOutput = objcclass external;
  AVCaptureVideoPreviewLayer = objcclass external;
  AVComposition = objcclass external;
  AVCompositionTrack = objcclass external;
  AVCompositionTrackSegment = objcclass external;
  AVFrameRateRange = objcclass external;
  AVMediaSelectionGroup = objcclass external;
  AVMediaSelectionOption = objcclass external;
  AVMetadataItem = objcclass external;
  AVMutableAudioMix = objcclass external;
  AVMutableAudioMixInputParameters = objcclass external;
  AVMutableComposition = objcclass external;
  AVMutableCompositionTrack = objcclass external;
  AVMutableMetadataItem = objcclass external;
  AVMutableTimedMetadataGroup = objcclass external;
  AVMutableVideoComposition = objcclass external;
  AVMutableVideoCompositionInstruction = objcclass external;
  AVMutableVideoCompositionLayerInstruction = objcclass external;
  AVPlayer = objcclass external;
  AVPlayerItem = objcclass external;
  AVPlayerItemAccessLog = objcclass external;
  AVPlayerItemAccessLogEvent = objcclass external;
  AVPlayerItemErrorLog = objcclass external;
  AVPlayerItemErrorLogEvent = objcclass external;
  AVPlayerItemOutput = objcclass external;
  AVPlayerItemTrack = objcclass external;
  AVPlayerItemVideoOutput = objcclass external;
  AVPlayerLayer = objcclass external;
  AVQueuePlayer = objcclass external;
  AVSampleBufferDisplayLayer = objcclass external;
  AVSynchronizedLayer = objcclass external;
  AVTimedMetadataGroup = objcclass external;
  AVURLAsset = objcclass external;
  AVVideoComposition = objcclass external;
  AVVideoCompositionCoreAnimationTool = objcclass external;
  AVVideoCompositionInstruction = objcclass external;
  AVVideoCompositionLayerInstruction = objcclass external;
  AVAsynchronousKeyValueLoadingProtocol = objcprotocol external name 'AVAsynchronousKeyValueLoading';
  AVAudioPlayerDelegateProtocol = objcprotocol external name 'AVAudioPlayerDelegate';
  AVAudioRecorderDelegateProtocol = objcprotocol external name 'AVAudioRecorderDelegate';
  AVCaptureAudioDataOutputSampleBufferDelegateProtocol = objcprotocol external name 'AVCaptureAudioDataOutputSampleBufferDelegate';
  AVCaptureFileOutputDelegateProtocol = objcprotocol external name 'AVCaptureFileOutputDelegate';
  AVCaptureFileOutputRecordingDelegateProtocol = objcprotocol external name 'AVCaptureFileOutputRecordingDelegate';
  AVCaptureVideoDataOutputSampleBufferDelegateProtocol = objcprotocol external name 'AVCaptureVideoDataOutputSampleBufferDelegate';
  AVPlayerItemOutputPullDelegateProtocol = objcprotocol external name 'AVPlayerItemOutputPullDelegate';
  AVVideoCompositionValidationHandlingProtocol = objcprotocol external name 'AVVideoCompositionValidationHandling';

type
  AVAssetExportSessionInternal = objcclass external;
  AVAssetImageGeneratorInternal = objcclass external;
  AVAssetInternal = objcclass external;
  AVAssetReaderAudioMixOutputInternal = objcclass external;
  AVAssetReaderInternal = objcclass external;
  AVAssetReaderOutputInternal = objcclass external;
  AVAssetReaderTrackOutputInternal = objcclass external;
  AVAssetReaderVideoCompositionOutputInternal = objcclass external;
  AVAssetTrackInternal = objcclass external;
  AVAssetWriterInputInternal = objcclass external;
  AVAssetWriterInputPixelBufferAdaptorInternal = objcclass external;
  AVAssetWriterInternal = objcclass external;
  AVAudioMixInputParametersInternal = objcclass external;
  AVAudioMixInternal = objcclass external;
  AVCaptureAudioChannelInternal = objcclass external;
  AVCaptureAudioDataOutputInternal = objcclass external;
  AVCaptureAudioFileOutputInternal = objcclass external;
  AVCaptureAudioPreviewOutputInternal = objcclass external;
  AVCaptureConnectionInternal = objcclass external;
  AVCaptureDeviceFormatInternal = objcclass external;
  AVCaptureDeviceInputInternal = objcclass external;
  AVCaptureDeviceInputSourceInternal = objcclass external;
  AVCaptureDeviceInternal = objcclass external;
  AVCaptureFileOutputInternal = objcclass external;
  AVCaptureInputInternal = objcclass external;
  AVCaptureInputPortInternal = objcclass external;
  AVCaptureMovieFileOutputInternal = objcclass external;
  AVCaptureOutputInternal = objcclass external;
  AVCaptureScreenInputInternal = objcclass external;
  AVCaptureSessionInternal = objcclass external;
  AVCaptureStillImageOutputInternal = objcclass external;
  AVCaptureVideoDataOutputInternal = objcclass external;
  AVCaptureVideoPreviewLayerInternal = objcclass external;
  AVCompositionInternal = objcclass external;
  AVCompositionTrackInternal = objcclass external;
  AVCompositionTrackSegmentInternal = objcclass external;
  AVFrameRateRangeInternal = objcclass external;
  AVMediaSelectionGroupInternal = objcclass external;
  AVMediaSelectionOptionInternal = objcclass external;
  AVMetadataItemInternal = objcclass external;
  AVMutableAudioMixInputParametersInternal = objcclass external;
  AVMutableAudioMixInternal = objcclass external;
  AVMutableCompositionInternal = objcclass external;
  AVMutableCompositionTrackInternal = objcclass external;
  AVMutableMetadataItemInternal = objcclass external;
  AVMutableTimedMetadataGroupInternal = objcclass external;
  AVMutableVideoCompositionInstructionInternal = objcclass external;
  AVMutableVideoCompositionInternal = objcclass external;
  AVMutableVideoCompositionLayerInstructionInternal = objcclass external;
  AVPlayerImageProvider = objcclass external;
  AVPlayerInternal = objcclass external;
  AVPlayerItemAccessLogEventInternal = objcclass external;
  AVPlayerItemAccessLogInternal = objcclass external;
  AVPlayerItemErrorLogEventInternal = objcclass external;
  AVPlayerItemErrorLogInternal = objcclass external;
  AVPlayerItemInternal = objcclass external;
  AVPlayerItemOutputInternal = objcclass external;
  AVPlayerItemTrackInternal = objcclass external;
  AVPlayerItemVideoOutputInternal = objcclass external;
  AVPlayerLayerInternal = objcclass external;
  AVQueuePlayerInternal = objcclass external;
  AVSampleBufferDisplayLayerInternal = objcclass external;
  AVSynchronizedLayerInternal = objcclass external;
  AVTimedMetadataGroupInternal = objcclass external;
  AVURLAssetInternal = objcclass external;
  AVVideoCompositionCoreAnimationToolInternal = objcclass external;
  AVVideoCompositionInstructionInternal = objcclass external;
  AVVideoCompositionInternal = objcclass external;
  AVVideoCompositionLayerInstructionInternal = objcclass external;
  CALayer = objcclass external;
  NSData = objcclass external;
  NSDictionary = objcclass external;
  NSError = objcclass external;
  NSURL = objcclass external;

implementation
end.
