{ Parsed from AppKit.framework (MacOSX10.8) NSButton.h }
{ Created on Mon Sep 10 11:47:55 2012 }


{$ifdef TYPES}
type
  NSButtonPtr = ^NSButton;
{$endif}

{$ifdef CLASSES}

type
  NSButton = objcclass external (NSControl, NSUserInterfaceValidationsProtocol)
  public
    function title: NSString; message 'title';
    procedure setTitle (aString: NSString); message 'setTitle:';
    function alternateTitle: NSString; message 'alternateTitle';
    procedure setAlternateTitle (aString: NSString); message 'setAlternateTitle:';
    function image: NSImage; message 'image';
    procedure setImage (image_: NSImage); message 'setImage:';
    function alternateImage: NSImage; message 'alternateImage';
    procedure setAlternateImage (image_: NSImage); message 'setAlternateImage:';
    function imagePosition: NSCellImagePosition; message 'imagePosition';
    procedure setImagePosition (aPosition: NSCellImagePosition); message 'setImagePosition:';
    procedure setButtonType (aType: NSButtonType); message 'setButtonType:';
    function state: NSInteger; message 'state';
    procedure setState (value: NSInteger); message 'setState:';
    function isBordered: boolean; message 'isBordered';
    procedure setBordered (flag: boolean); message 'setBordered:';
    function isTransparent: boolean; message 'isTransparent';
    procedure setTransparent (flag: boolean); message 'setTransparent:';
    procedure setPeriodicDelay_interval (delay: single; interval: single); message 'setPeriodicDelay:interval:';
    procedure getPeriodicDelay_interval (delay: psingle; interval: psingle); message 'getPeriodicDelay:interval:';
    function keyEquivalent: NSString; message 'keyEquivalent';
    procedure setKeyEquivalent (charCode: NSString); message 'setKeyEquivalent:';
    function keyEquivalentModifierMask: NSUInteger; message 'keyEquivalentModifierMask';
    procedure setKeyEquivalentModifierMask (mask: NSUInteger); message 'setKeyEquivalentModifierMask:';
    procedure highlight (flag: boolean); message 'highlight:';
    function performKeyEquivalent (key: NSEvent): boolean; message 'performKeyEquivalent:';

    { Adopted protocols }
    function validateUserInterfaceItem (anItem: NSValidatedUserInterfaceItemProtocol): boolean; message 'validateUserInterfaceItem:';
  end;


type
  NSButtonAttributedStringMethods = objccategory external (NSButton)
    function attributedTitle: NSAttributedString; message 'attributedTitle';
    procedure setAttributedTitle (aString: NSAttributedString); message 'setAttributedTitle:';
    function attributedAlternateTitle: NSAttributedString; message 'attributedAlternateTitle';
    procedure setAttributedAlternateTitle (obj: NSAttributedString); message 'setAttributedAlternateTitle:';
  end;

type
  NSButtonBezelStyles = objccategory external (NSButton)
    procedure setBezelStyle (bezelStyle: NSBezelStyle); message 'setBezelStyle:';
    function bezelStyle: NSBezelStyle; message 'bezelStyle';
  end;

type
  NSButtonMixedState = objccategory external (NSButton)
    procedure setAllowsMixedState (flag: boolean); message 'setAllowsMixedState:';
    function allowsMixedState: boolean; message 'allowsMixedState';
    procedure setNextState; message 'setNextState';
  end;

type
  NSButtonBorder = objccategory external (NSButton)
    procedure setShowsBorderOnlyWhileMouseInside (show: boolean); message 'setShowsBorderOnlyWhileMouseInside:';
    function showsBorderOnlyWhileMouseInside: boolean; message 'showsBorderOnlyWhileMouseInside';
  end;

type
  NSButtonSoundExtensions = objccategory external (NSButton)
    procedure setSound (aSound: NSSound); message 'setSound:';
    function sound: NSSound; message 'sound';
  end;

type
  NSButton_NSKeyboardUI = objccategory external name 'NSKeyboardUI' (NSButton)
    procedure setTitleWithMnemonic (stringWithAmpersand: NSString); message 'setTitleWithMnemonic:'; deprecated 'in 10_0, 10_8';
  end;
{$endif}

