{ Parsed from AppKit.framework (MacOSX10.8) NSColorPicker.h }
{ Created on Mon Sep 10 11:47:56 2012 }


{$ifdef TYPES}
type
  NSColorPickerPtr = ^NSColorPicker;
{$endif}

{$ifdef CLASSES}

type
  NSColorPicker = objcclass external (NSObject, NSColorPickingDefaultProtocol)
  private
    _imageObject: id;
    _colorPanel: NSColorPanel;
    _buttonToolTip: NSString;
  public
    function initWithPickerMask_colorPanel (mask: NSUInteger; owningColorPanel: NSColorPanel): id; message 'initWithPickerMask:colorPanel:';
    function colorPanel: NSColorPanel; message 'colorPanel';
    function provideNewButtonImage: NSImage; message 'provideNewButtonImage';
    procedure insertNewButtonImage_in (newButtonImage: NSImage; buttonCell: NSButtonCell); message 'insertNewButtonImage:in:';
    procedure viewSizeChanged (sender: id); message 'viewSizeChanged:';
    procedure attachColorList (colorList: NSColorList); message 'attachColorList:';
    procedure detachColorList (colorList: NSColorList); message 'detachColorList:';
    procedure setMode (mode: NSColorPanelMode); message 'setMode:';
    function buttonToolTip: NSString; message 'buttonToolTip';
    function minContentSize: NSSize; message 'minContentSize';

    { Adopted protocols }
    procedure alphaControlAddedOrRemoved (sender: id); message 'alphaControlAddedOrRemoved:';
  end;
{$endif}

