{ Parsed from AppKit.framework (MacOSX10.8) NSColorWell.h }
{ Created on Mon Sep 10 11:47:56 2012 }


{$ifdef TYPES}
type
  NSColorWellPtr = ^NSColorWell;
{$endif}

{$ifdef CLASSES}

type
  NSColorWell = objcclass external (NSControl)
  private
    _color: NSColor;
    _target: id;
    _action: SEL;
    __cwFlags: bitpacked record
      case byte of
        0: (_anonBitField___cwFlags0: cuint);
        1: (
          isActive_: 0..1;
          isBordered_: 0..1;
          cantDraw: 0..1;
          isNotContinuous: 0..1;
          refusesFR: 0..1;
          reservedColorWell: 0..((1 shl 27)-1);
        );
      end;
  public
    procedure deactivate; message 'deactivate';
    procedure activate (exclusive: boolean); message 'activate:';
    function isActive: boolean; message 'isActive';
    procedure drawWellInside (insideRect: NSRect); message 'drawWellInside:';
    function isBordered: boolean; message 'isBordered';
    procedure setBordered (flag: boolean); message 'setBordered:';
    procedure takeColorFrom (sender: id); message 'takeColorFrom:';
    procedure setColor (color: NSColor); message 'setColor:';
    function color: NSColor; message 'color';
  end;
{$endif}

