{ Parsed from AppKit.framework (MacOSX10.8) NSDraggingSession.h }
{ Created on Mon Sep 10 11:47:56 2012 }


{ Types from NSDraggingSession }
{$ifdef TYPES}

{$endif}


{$ifdef TYPES}
type
  NSDraggingSessionPtr = ^NSDraggingSession;
{$endif}

{$ifdef CLASSES}

type
  NSDraggingSession = objcclass external (NSObject)
  private
    _private: pointer;
    _dragLocation: NSPoint;
    _offset: NSPoint;
    _source: NSDraggingSourceProtocol;
    _alternateDragSource: id;
    _filePromiseDragSource: NSDraggingSourceProtocol;
    _pboard: NSPasteboard;
    _compositeImageCache: NSImage;
    _leaderIndex: NSInteger;
    _animatesOnCancelOrFail: boolean;
    _reservedBOOL1: boolean;
    _reservedBOOL2: boolean;
    _reservedBOOL3: boolean;
    _reservedBOOL4: boolean;
    _reservedBOOL5: boolean;
    _reservedBOOL6: boolean;
    _reservedBOOL7: boolean;
    _reservedInteger1: NSInteger;
    _reservedInteger2: NSInteger;
  public
    procedure setDraggingFormation(newValue: NSDraggingFormation); message 'setDraggingFormation:';
    function draggingFormation: NSDraggingFormation; message 'draggingFormation';
    procedure setAnimatesToStartingPositionsOnCancelOrFail(newValue: boolean); message 'setAnimatesToStartingPositionsOnCancelOrFail:';
    function animatesToStartingPositionsOnCancelOrFail: boolean; message 'animatesToStartingPositionsOnCancelOrFail';
    procedure setDraggingLeaderIndex(newValue: NSInteger); message 'setDraggingLeaderIndex:';
    function draggingLeaderIndex: NSInteger; message 'draggingLeaderIndex';
    function draggingPasteboard: NSPasteboard; message 'draggingPasteboard';
    function draggingSequenceNumber: NSInteger; message 'draggingSequenceNumber';
    function draggingLocation: NSPoint; message 'draggingLocation';
    {$if defined(NS_BLOCKS_AVAILABLE)}
    procedure enumerateDraggingItemsWithOptions_forView_classes_searchOptions_usingBlock (enumOpts: NSDraggingItemEnumerationOptions; view: NSView; classArray: NSArray; searchOptions: NSDictionary; block: OpaqueCBlock); message 'enumerateDraggingItemsWithOptions:forView:classes:searchOptions:usingBlock:';
    {$endif}
  end;
{$endif}

