{ Parsed from AppKit.framework (MacOSX10.8) NSImageRep.h }
{ Created on Mon Sep 10 11:47:56 2012 }


{$ifdef TYPES}
type
  NSImageRepPtr = ^NSImageRep;
{$endif}

{$ifdef TYPES}
const
  NSImageRepMatchesDevice = 0;
{$endif}

{$ifdef CLASSES}

type
  NSImageRep = objcclass external (NSObject, NSCopyingProtocol, NSCodingProtocol)
  private
    __repFlags: bitpacked record
      case byte of
        0: (_anonBitField___repFlags0: cuint);
        1: (
          hasAlpha_: 0..1;
          isOpaque_: 0..1;
          cacheParamsComputed: cuint;
          cacheAlphaComputed: cuint;
          loadState: 0..((1 shl 2)-1);
          keepCacheWindow: cuint;
          reserved: 0..1;
          bitsPerSample_: 0..((1 shl 8)-1);
          gsaved: 0..((1 shl 16)-1);
        );
      end;
    _colorSpaceName: NSString;
    _size: NSSize;
    _pixelsWide: cint;
    _pixelsHigh: cint;
  public
    function draw: boolean; message 'draw';
    function drawAtPoint (point: NSPoint): boolean; message 'drawAtPoint:';
    function drawInRect (rect: NSRect): boolean; message 'drawInRect:';
    function drawInRect_fromRect_operation_fraction_respectFlipped_hints (dstSpacePortionRect: NSRect; srcSpacePortionRect: NSRect; op: NSCompositingOperation; requestedAlpha: CGFloat; respectContextIsFlipped: boolean; hints: NSDictionary): boolean; message 'drawInRect:fromRect:operation:fraction:respectFlipped:hints:'; { available in 10_6 }
    procedure setSize (aSize: NSSize); message 'setSize:';
    function size: NSSize; message 'size';
    procedure setAlpha (flag: boolean); message 'setAlpha:';
    function hasAlpha: boolean; message 'hasAlpha';
    procedure setOpaque (flag: boolean); message 'setOpaque:';
    function isOpaque: boolean; message 'isOpaque';
    procedure setColorSpaceName (string_: NSString); message 'setColorSpaceName:';
    function colorSpaceName: NSString; message 'colorSpaceName';
    procedure setBitsPerSample (anInt: NSInteger); message 'setBitsPerSample:';
    function bitsPerSample: NSInteger; message 'bitsPerSample';
    procedure setPixelsWide (anInt: NSInteger); message 'setPixelsWide:';
    function pixelsWide: NSInteger; message 'pixelsWide';
    procedure setPixelsHigh (anInt: NSInteger); message 'setPixelsHigh:';
    function pixelsHigh: NSInteger; message 'pixelsHigh';
    class procedure registerImageRepClass (imageRepClass: pobjc_class); message 'registerImageRepClass:';
    class procedure unregisterImageRepClass (imageRepClass: pobjc_class); message 'unregisterImageRepClass:';
    class function registeredImageRepClasses: NSArray; message 'registeredImageRepClasses';
    class function imageRepClassForFileType (type_: NSString): pobjc_class; message 'imageRepClassForFileType:';
    class function imageRepClassForPasteboardType (type_: NSString): pobjc_class; message 'imageRepClassForPasteboardType:';
    class function imageRepClassForType (type_: NSString): pobjc_class; message 'imageRepClassForType:'; { available in 10_5 }
    class function imageRepClassForData (data: NSData): pobjc_class; message 'imageRepClassForData:';
    class function canInitWithData (data: NSData): boolean; message 'canInitWithData:';
    class function imageUnfilteredFileTypes: NSArray; message 'imageUnfilteredFileTypes';
    class function imageUnfilteredPasteboardTypes: NSArray; message 'imageUnfilteredPasteboardTypes';
    class function imageFileTypes: NSArray; message 'imageFileTypes';
    class function imagePasteboardTypes: NSArray; message 'imagePasteboardTypes';
    class function imageUnfilteredTypes: NSArray; message 'imageUnfilteredTypes'; { available in 10_5 }
    class function imageTypes: NSArray; message 'imageTypes'; { available in 10_5 }
    class function canInitWithPasteboard (pasteboard: NSPasteboard): boolean; message 'canInitWithPasteboard:';
    class function imageRepsWithContentsOfFile (filename: NSString): NSArray; message 'imageRepsWithContentsOfFile:';
    class function imageRepWithContentsOfFile (filename: NSString): id; message 'imageRepWithContentsOfFile:';
    class function imageRepsWithContentsOfURL (url: NSURL): NSArray; message 'imageRepsWithContentsOfURL:';
    class function imageRepWithContentsOfURL (url: NSURL): id; message 'imageRepWithContentsOfURL:';
    class function imageRepsWithPasteboard (pasteboard: NSPasteboard): NSArray; message 'imageRepsWithPasteboard:';
    class function imageRepWithPasteboard (pasteboard: NSPasteboard): id; message 'imageRepWithPasteboard:';
    function CGImageForProposedRect_context_hints (proposedDestRect: NSRectPtr; context: NSGraphicsContext; hints: NSDictionary): CGImageRef; message 'CGImageForProposedRect:context:hints:'; { available in 10_6 }

    { Adopted protocols }
    function copyWithZone (zone: NSZonePtr): id; message 'copyWithZone:';
    procedure encodeWithCoder (aCoder: NSCoder); message 'encodeWithCoder:';
    function initWithCoder (aDecoder: NSCoder): id; message 'initWithCoder:';
  end;
{$endif}

{$ifdef EXTERNAL_SYMBOLS}
var
  NSImageRepRegistryDidChangeNotification: NSString; cvar; external;
{$endif}

