{ Parsed from AppKit.framework (MacOSX10.8) NSLevelIndicatorCell.h }
{ Created on Mon Sep 10 11:47:57 2012 }


{$ifdef TYPES}
type
  NSLevelIndicatorCellPtr = ^NSLevelIndicatorCell;
{$endif}

{$ifdef TYPES}
const
  NSRelevancyLevelIndicatorStyle = 0;
  NSContinuousCapacityLevelIndicatorStyle = 1;
  NSDiscreteCapacityLevelIndicatorStyle = 2;
  NSRatingLevelIndicatorStyle = 3;

type
  NSLevelIndicatorStyle = NSUInteger;
  NSLevelIndicatorStylePtr = ^NSLevelIndicatorStyle;
{$endif}

{$ifdef CLASSES}

type
  NSLevelIndicatorCell = objcclass external (NSActionCell)
  private
    _value: double;
    _minValue: double;
    _maxValue: double;
    _warningValue: double;
    _criticalValue: double;
    _numberOfTickMarks: cint;
    _numberOfMajorTickMarks: cint;
    _liFlags: bitpacked record
      case byte of
        0: (_anonBitField__liFlags0: cuint);
        1: (
          indicatorStyle: 0..((1 shl 4)-1);
          tickMarkPosition_: 0..1;
          selectable: 0..1;
          ratingPlaceholder: 0..1;
          reserved: 0..((1 shl 25)-1);
        );
      end;
    _cellFrame: NSRect;
    _reserved1: cint;
    _reserved2: cint;
    _reserved3: cint;
    _reserved4: cint;
  public
    function initWithLevelIndicatorStyle (levelIndicatorStyle: NSLevelIndicatorStyle): id; message 'initWithLevelIndicatorStyle:';
    function levelIndicatorStyle: NSLevelIndicatorStyle; message 'levelIndicatorStyle';
    procedure setLevelIndicatorStyle (levelIndicatorStyle_: NSLevelIndicatorStyle); message 'setLevelIndicatorStyle:';
    function minValue: double; message 'minValue';
    procedure setMinValue (minValue_: double); message 'setMinValue:';
    function maxValue: double; message 'maxValue';
    procedure setMaxValue (maxValue_: double); message 'setMaxValue:';
    function warningValue: double; message 'warningValue';
    procedure setWarningValue (warningValue_: double); message 'setWarningValue:';
    function criticalValue: double; message 'criticalValue';
    procedure setCriticalValue (criticalValue_: double); message 'setCriticalValue:';
    procedure setTickMarkPosition (position: NSTickMarkPosition); message 'setTickMarkPosition:';
    function tickMarkPosition: NSTickMarkPosition; message 'tickMarkPosition';
    procedure setNumberOfTickMarks (count: NSInteger); message 'setNumberOfTickMarks:';
    function numberOfTickMarks: NSInteger; message 'numberOfTickMarks';
    procedure setNumberOfMajorTickMarks (count: NSInteger); message 'setNumberOfMajorTickMarks:';
    function numberOfMajorTickMarks: NSInteger; message 'numberOfMajorTickMarks';
    function rectOfTickMarkAtIndex (index: NSInteger): NSRect; message 'rectOfTickMarkAtIndex:';
    function tickMarkValueAtIndex (index: NSInteger): double; message 'tickMarkValueAtIndex:';
    procedure setImage (image_: NSImage); message 'setImage:';
  end;
{$endif}

