{ Parsed from AppKit.framework (MacOSX10.8) NSOpenPanel.h }
{ Created on Mon Sep 10 11:47:56 2012 }


{$ifdef TYPES}
type
  NSOpenPanelPtr = ^NSOpenPanel;
{$endif}

{$ifdef CLASSES}

type
  NSOpenPanel = objcclass external (NSSavePanel)
  private
    _reservedOpenPanel:array[0..3] of char;
    _privateOpenPanel: pointer;
  public
    class function openPanel: NSOpenPanel; message 'openPanel';
    function URLs: NSArray; message 'URLs';
    function resolvesAliases: boolean; message 'resolvesAliases';
    procedure setResolvesAliases (flag: boolean); message 'setResolvesAliases:';
    function canChooseDirectories: boolean; message 'canChooseDirectories';
    procedure setCanChooseDirectories (flag: boolean); message 'setCanChooseDirectories:';
    function allowsMultipleSelection: boolean; message 'allowsMultipleSelection';
    procedure setAllowsMultipleSelection (flag: boolean); message 'setAllowsMultipleSelection:';
    function canChooseFiles: boolean; message 'canChooseFiles';
    procedure setCanChooseFiles (flag: boolean); message 'setCanChooseFiles:';
  end;


type
  NSOpenPanel_NSDeprecated = objccategory external name 'NSDeprecated' (NSOpenPanel)
    function filenames: NSArray; message 'filenames'; deprecated 'in 10_0, 10_6';
    procedure beginSheetForDirectory_file_types_modalForWindow_modalDelegate_didEndSelector_contextInfo (path: NSString; name: NSString; fileTypes: NSArray; docWindow: NSWindow; delegate_: id; didEndSelector: SEL; contextInfo: pointer); message 'beginSheetForDirectory:file:types:modalForWindow:modalDelegate:didEndSelector:contextInfo:'; deprecated 'in 10_0, 10_6';
    procedure beginForDirectory_file_types_modelessDelegate_didEndSelector_contextInfo (path: NSString; name: NSString; fileTypes: NSArray; delegate_: id; didEndSelector: SEL; contextInfo: pointer); message 'beginForDirectory:file:types:modelessDelegate:didEndSelector:contextInfo:'; deprecated 'in 10_0, 10_6';
    function runModalForDirectory_file_types (path: NSString; name: NSString; fileTypes: NSArray): NSInteger; message 'runModalForDirectory:file:types:'; deprecated 'in 10_0, 10_6';
    function runModalForTypes (fileTypes: NSArray): NSInteger; message 'runModalForTypes:'; deprecated 'in 10_0, 10_6';
  end;
{$endif}

