{ Parsed from AppKit.framework (MacOSX10.8) NSPanel.h }
{ Created on Mon Sep 10 11:47:56 2012 }


{$ifdef TYPES}
type
  NSPanelPtr = ^NSPanel;
{$endif}

{$ifdef FUNCTIONS}
function NSRunAlertPanel(title: NSString; msgFormat: NSString; defaultButton: NSString; alternateButton: NSString; otherButton: NSString): NSInteger; varargs; cdecl; external;
function NSRunInformationalAlertPanel(title: NSString; msgFormat: NSString; defaultButton: NSString; alternateButton: NSString; otherButton: NSString): NSInteger; varargs; cdecl; external;
function NSRunCriticalAlertPanel(title: NSString; msgFormat: NSString; defaultButton: NSString; alternateButton: NSString; otherButton: NSString): NSInteger; varargs; cdecl; external;
function NSRunAlertPanelRelativeToWindow(title: NSString; msgFormat: NSString; defaultButton: NSString; alternateButton: NSString; otherButton: NSString; docWindow: NSWindow): NSInteger; varargs; cdecl; external; deprecated 'in 10_0, 10_0';
function NSRunInformationalAlertPanelRelativeToWindow(title: NSString; msgFormat: NSString; defaultButton: NSString; alternateButton: NSString; otherButton: NSString; docWindow: NSWindow): NSInteger; varargs; cdecl; external; deprecated 'in 10_0, 10_0';
function NSRunCriticalAlertPanelRelativeToWindow(title: NSString; msgFormat: NSString; defaultButton: NSString; alternateButton: NSString; otherButton: NSString; docWindow: NSWindow): NSInteger; varargs; cdecl; external; deprecated 'in 10_0, 10_0';
procedure NSBeginAlertSheet(title: NSString; defaultButton: NSString; alternateButton: NSString; otherButton: NSString; docWindow: NSWindow; modalDelegate: id; didEndSelector: SEL; didDismissSelector: SEL; contextInfo: pointer; msgFormat: NSString); varargs; cdecl; external;
procedure NSBeginInformationalAlertSheet(title: NSString; defaultButton: NSString; alternateButton: NSString; otherButton: NSString; docWindow: NSWindow; modalDelegate: id; didEndSelector: SEL; didDismissSelector: SEL; contextInfo: pointer; msgFormat: NSString); varargs; cdecl; external;
procedure NSBeginCriticalAlertSheet(title: NSString; defaultButton: NSString; alternateButton: NSString; otherButton: NSString; docWindow: NSWindow; modalDelegate: id; didEndSelector: SEL; didDismissSelector: SEL; contextInfo: pointer; msgFormat: NSString); varargs; cdecl; external;
function NSGetAlertPanel(title: NSString; msgFormat: NSString; defaultButton: NSString; alternateButton: NSString; otherButton: NSString): id; varargs; cdecl; external;
function NSGetInformationalAlertPanel(title: NSString; msgFormat: NSString; defaultButton: NSString; alternateButton: NSString; otherButton: NSString): id; varargs; cdecl; external;
function NSGetCriticalAlertPanel(title: NSString; msgFormat: NSString; defaultButton: NSString; alternateButton: NSString; otherButton: NSString): id; varargs; cdecl; external;
procedure NSReleaseAlertPanel(panel: id); cdecl; external;
{$endif}

{$ifdef TYPES}
const
  NSAlertDefaultReturn = 1;
  NSAlertAlternateReturn = 0;
  NSAlertOtherReturn = -1;
  NSAlertErrorReturn = -2;
const
  NSOKButton = 1;
  NSCancelButton = 0;
const
  NSUtilityWindowMask = 1 shl 4;
  NSDocModalWindowMask = 1 shl 6;
const
  NSNonactivatingPanelMask = 1 shl 7;
{$endif}

{$if (MAC_OS_X_VERSION_MAX_ALLOWED >= MAC_OS_X_VERSION_10_5)}
{$ifdef TYPES}
const
  NSHUDWindowMask = 1 shl 13;
{$endif}

{$endif}
{$ifdef CLASSES}

type
  NSPanel = objcclass external (NSWindow)
  private
  public
    function isFloatingPanel: boolean; message 'isFloatingPanel';
    procedure setFloatingPanel (flag: boolean); message 'setFloatingPanel:';
    function becomesKeyOnlyIfNeeded: boolean; message 'becomesKeyOnlyIfNeeded';
    procedure setBecomesKeyOnlyIfNeeded (flag: boolean); message 'setBecomesKeyOnlyIfNeeded:';
    function worksWhenModal: boolean; message 'worksWhenModal';
    procedure setWorksWhenModal (flag: boolean); message 'setWorksWhenModal:';
  end;
{$endif}

