{ Parsed from AppKit.framework (MacOSX10.8) NSSearchFieldCell.h }
{ Created on Mon Sep 10 11:47:57 2012 }


{$ifdef TYPES}
type
  NSSearchFieldCellPtr = ^NSSearchFieldCell;
{$endif}

{$ifdef TYPES}
const
  NSSearchFieldRecentsTitleMenuItemTag = 1000;
  NSSearchFieldRecentsMenuItemTag = 1001;
  NSSearchFieldClearRecentsMenuItemTag = 1002;
  NSSearchFieldNoRecentsMenuItemTag = 1003;
{$endif}

{$ifdef CLASSES}

type
  NSSearchFieldCell = objcclass external (NSTextFieldCell)
  private
    __sfFlags: bitpacked record
      case byte of
        0: (_anonBitField___sfFlags0: cuint);
        1: (
          sendsWholeSearchString_: 0..1;
          maximumRecents_: 0..((1 shl 8)-1);
          cancelVisible: 0..1;
          reserved2: 0..((1 shl 2)-1);
          disableText: 0..1;
          menuTracking: 0..1;
          deferredUpdate: 0..1;
          sendsImmediately: 0..1;
          reserved: 0..((1 shl 16)-1);
        );
      end;
    _searchButtonCell: NSButtonCell;
    _cancelButtonCell: NSButtonCell;
    _searchMenuTemplate: NSMenu;
    _recentsAutosaveName: NSString;
    _recentSearches: NSMutableArray;
    _searchMenu: NSMenu;
    _partialStringTimer: NSTimer;
    _reserved1: cuint;
    _reserved2: cuint;
    _reserved3: cuint;
    _reserved4: cuint;
  public
    function searchButtonCell: NSButtonCell; message 'searchButtonCell';
    procedure setSearchButtonCell (cell: NSButtonCell); message 'setSearchButtonCell:';
    function cancelButtonCell: NSButtonCell; message 'cancelButtonCell';
    procedure setCancelButtonCell (cell: NSButtonCell); message 'setCancelButtonCell:';
    procedure resetSearchButtonCell; message 'resetSearchButtonCell';
    procedure resetCancelButtonCell; message 'resetCancelButtonCell';
    function searchTextRectForBounds (rect: NSRect): NSRect; message 'searchTextRectForBounds:';
    function searchButtonRectForBounds (rect: NSRect): NSRect; message 'searchButtonRectForBounds:';
    function cancelButtonRectForBounds (rect: NSRect): NSRect; message 'cancelButtonRectForBounds:';
    procedure setSearchMenuTemplate (menu_: NSMenu); message 'setSearchMenuTemplate:';
    function searchMenuTemplate: NSMenu; message 'searchMenuTemplate';
    procedure setSendsWholeSearchString (flag: boolean); message 'setSendsWholeSearchString:';
    function sendsWholeSearchString: boolean; message 'sendsWholeSearchString';
    procedure setMaximumRecents (maxRecents: NSInteger); message 'setMaximumRecents:';
    function maximumRecents: NSInteger; message 'maximumRecents';
    procedure setRecentSearches (searches: NSArray); message 'setRecentSearches:';
    function recentSearches: NSArray; message 'recentSearches';
    procedure setRecentsAutosaveName (string_: NSString); message 'setRecentsAutosaveName:';
    function recentsAutosaveName: NSString; message 'recentsAutosaveName';
    function sendsSearchStringImmediately: boolean; message 'sendsSearchStringImmediately';
    procedure setSendsSearchStringImmediately (flag: boolean); message 'setSendsSearchStringImmediately:';
  end;
{$endif}

