{ Parsed from AppKit.framework (MacOSX10.8) NSShadow.h }
{ Created on Mon Sep 10 11:47:57 2012 }


{$ifdef TYPES}
type
  NSShadowPtr = ^NSShadow;
{$endif}

{$ifdef CLASSES}

type
  NSShadow = objcclass external (NSObject, NSCopyingProtocol, NSCodingProtocol)
  private
    _shadowFlags: NSUInteger;
    _shadowOffset: NSSize;
    _shadowBlurRadius: CGFloat;
    _shadowColor: NSColor;
    _reservedFloat:array[0..2] of CGFloat;
    _reserved: pointer;
  public
    function init: id; message 'init';
    function shadowOffset: NSSize; message 'shadowOffset';
    procedure setShadowOffset (offset: NSSize); message 'setShadowOffset:';
    function shadowBlurRadius: CGFloat; message 'shadowBlurRadius';
    procedure setShadowBlurRadius (val: CGFloat); message 'setShadowBlurRadius:';
    function shadowColor: NSColor; message 'shadowColor';
    procedure setShadowColor (color: NSColor); message 'setShadowColor:';
    procedure set_; message 'set';

    { Adopted protocols }
    function copyWithZone (zone: NSZonePtr): id; message 'copyWithZone:';
    procedure encodeWithCoder (aCoder: NSCoder); message 'encodeWithCoder:';
    function initWithCoder (aDecoder: NSCoder): id; message 'initWithCoder:';
  end;
{$endif}

