{ Parsed from AppKit.framework (MacOSX10.8) NSSlider.h }
{ Created on Mon Sep 10 11:47:56 2012 }


{$ifdef TYPES}
type
  NSSliderPtr = ^NSSlider;
{$endif}

{$ifdef CLASSES}

type
  NSSlider = objcclass external (NSControl)
  public
    function minValue: double; message 'minValue';
    procedure setMinValue (aDouble: double); message 'setMinValue:';
    function maxValue: double; message 'maxValue';
    procedure setMaxValue (aDouble: double); message 'setMaxValue:';
    procedure setAltIncrementValue (incValue: double); message 'setAltIncrementValue:';
    function altIncrementValue: double; message 'altIncrementValue';
    procedure setTitleCell (aCell: NSCell); message 'setTitleCell:';
    function titleCell: id; message 'titleCell';
    procedure setTitleColor (newColor: NSColor); message 'setTitleColor:';
    function titleColor: NSColor; message 'titleColor';
    procedure setTitleFont (fontObj: NSFont); message 'setTitleFont:';
    function titleFont: NSFont; message 'titleFont';
    function title: NSString; message 'title';
    procedure setTitle (aString: NSString); message 'setTitle:';
    procedure setKnobThickness (aFloat: CGFloat); message 'setKnobThickness:';
    function knobThickness: CGFloat; message 'knobThickness';
    procedure setImage (backgroundImage: NSImage); message 'setImage:';
    function image: NSImage; message 'image';
    function isVertical: NSInteger; message 'isVertical';
    function acceptsFirstMouse (theEvent: NSEvent): boolean; message 'acceptsFirstMouse:';
  end;


type
  NSTickMarkSupport = objccategory external (NSSlider)
    procedure setNumberOfTickMarks (count: NSInteger); message 'setNumberOfTickMarks:';
    function numberOfTickMarks: NSInteger; message 'numberOfTickMarks';
    procedure setTickMarkPosition (position: NSTickMarkPosition); message 'setTickMarkPosition:';
    function tickMarkPosition: NSTickMarkPosition; message 'tickMarkPosition';
    procedure setAllowsTickMarkValuesOnly (yorn: boolean); message 'setAllowsTickMarkValuesOnly:';
    function allowsTickMarkValuesOnly: boolean; message 'allowsTickMarkValuesOnly';
    function tickMarkValueAtIndex (index: NSInteger): double; message 'tickMarkValueAtIndex:';
    function rectOfTickMarkAtIndex (index: NSInteger): NSRect; message 'rectOfTickMarkAtIndex:';
    function indexOfTickMarkAtPoint (point: NSPoint): NSInteger; message 'indexOfTickMarkAtPoint:';
    function closestTickMarkValueToValue (value: double): double; message 'closestTickMarkValueToValue:';
  end;
{$endif}

