{ Parsed from AppKit.framework (MacOSX10.8) NSSpeechRecognizer.h }
{ Created on Mon Sep 10 11:47:56 2012 }


{$ifdef TYPES}
type
  NSSpeechRecognizerPtr = ^NSSpeechRecognizer;
  NSSpeechRecognizerDelegateProtocolPtr = ^NSSpeechRecognizerDelegateProtocol;
{$endif}

{$ifdef CLASSES}

type
  NSSpeechRecognizer = objcclass external (NSObject)
  private
    _privateNSSpeechRecognizerVars: id;
  public
    function init: id; message 'init';
    procedure startListening; message 'startListening';
    procedure stopListening; message 'stopListening';
    function delegate: NSSpeechRecognizerDelegateProtocol; message 'delegate';
    procedure setDelegate (anObject: NSSpeechRecognizerDelegateProtocol); message 'setDelegate:';
    function commands: NSArray; message 'commands';
    procedure setCommands (commands_: NSArray); message 'setCommands:';
    function displayedCommandsTitle: NSString; message 'displayedCommandsTitle';
    procedure setDisplayedCommandsTitle (title: NSString); message 'setDisplayedCommandsTitle:';
    function listensInForegroundOnly: boolean; message 'listensInForegroundOnly';
    procedure setListensInForegroundOnly (flag: boolean); message 'setListensInForegroundOnly:';
    function blocksOtherRecognizers: boolean; message 'blocksOtherRecognizers';
    procedure setBlocksOtherRecognizers (flag: boolean); message 'setBlocksOtherRecognizers:';
  end;
{$endif}

{$ifdef PROTOCOLS}

type
  NSSpeechRecognizerDelegateProtocol = objcprotocol external name 'NSSpeechRecognizerDelegate' (NSObjectProtocol)
  optional
    procedure speechRecognizer_didRecognizeCommand (sender: NSSpeechRecognizer; command: id); message 'speechRecognizer:didRecognizeCommand:';
  end;
{$endif}

