{ Parsed from AppKit.framework (MacOSX10.8) NSStepperCell.h }
{ Created on Mon Sep 10 11:47:57 2012 }


{$ifdef TYPES}
type
  NSStepperCellPtr = ^NSStepperCell;
{$endif}

{$ifdef CLASSES}

type
  NSStepperCell = objcclass external (NSActionCell)
  private
    _value: double;
    _minValue: double;
    _maxValue: double;
    _increment: double;
    _stFlags: bitpacked record
      case byte of
        0: (_anonBitField__stFlags0: cuint);
        1: (
          valueWraps_: 0..1;
          autorepeat_: 0..1;
          drawing: 0..1;
          reserved: 0..((1 shl 29)-1);
        );
      end;
    _reserved1: cuint;
    _reserved2: cuint;
    _reserved3: cuint;
    _reserved4: cuint;
  public
    function minValue: double; message 'minValue';
    procedure setMinValue (minValue_: double); message 'setMinValue:';
    function maxValue: double; message 'maxValue';
    procedure setMaxValue (maxValue_: double); message 'setMaxValue:';
    function increment: double; message 'increment';
    procedure setIncrement (increment_: double); message 'setIncrement:';
    function valueWraps: boolean; message 'valueWraps';
    procedure setValueWraps (valueWraps_: boolean); message 'setValueWraps:';
    function autorepeat: boolean; message 'autorepeat';
    procedure setAutorepeat (autorepeat_: boolean); message 'setAutorepeat:';
  end;
{$endif}

