{ Parsed from AppKit.framework (MacOSX10.8) NSTextList.h }
{ Created on Mon Sep 10 11:47:57 2012 }


{$ifdef TYPES}
type
  NSTextListPtr = ^NSTextList;
{$endif}

{$ifdef TYPES}
const
  NSTextListPrependEnclosingMarker = 1 shl 0;
{$endif}

{$ifdef CLASSES}

type
  NSTextList = objcclass external (NSObject, NSCodingProtocol, NSCopyingProtocol)
  private
    _markerFormat: NSString;
    _listFlags: NSUInteger;
    _startIndex: NSInteger;
    _listSecondary: pointer;
  public
    function initWithMarkerFormat_options (format: NSString; mask: NSUInteger): id; message 'initWithMarkerFormat:options:';
    function markerFormat: NSString; message 'markerFormat';
    function listOptions: NSUInteger; message 'listOptions';
    function markerForItemNumber (itemNum: NSInteger): NSString; message 'markerForItemNumber:';
    procedure setStartingItemNumber (itemNum: NSInteger); message 'setStartingItemNumber:'; { available in 10_6 }
    function startingItemNumber: NSInteger; message 'startingItemNumber'; { available in 10_6 }

    { Adopted protocols }
    function copyWithZone (zone: NSZonePtr): id; message 'copyWithZone:';
    procedure encodeWithCoder (aCoder: NSCoder); message 'encodeWithCoder:';
    function initWithCoder (aDecoder: NSCoder): id; message 'initWithCoder:';
  end;
{$endif}

