{ Parsed from AppKit.framework (MacOSX10.8) NSUserDefaultsController.h }
{ Created on Mon Sep 10 11:47:57 2012 }


{$ifdef TYPES}
type
  NSUserDefaultsControllerPtr = ^NSUserDefaultsController;
{$endif}

{$ifdef CLASSES}

type
  NSUserDefaultsController = objcclass external (NSController)
  private
    _reserved3: pointer;
    _reserved4: pointer;
    _defaults: NSUserDefaults;
    _valueBuffer: NSMutableDictionary;
    _initialValues: NSDictionary;
    __userDefaultsControllerFlags: bitpacked record
      case byte of
        0: (_anonBitField___userDefaultsControllerFlags0: cuint);
        1: (
          _sharedInstance: 0..1;
          _appliesImmediately: 0..1;
          _reservedUserDefaultsController: 0..((1 shl 30)-1);
        );
      end;
  public
    class function sharedUserDefaultsController: id; message 'sharedUserDefaultsController';
    function initWithDefaults_initialValues (defaults: NSUserDefaults; initialValues: NSDictionary): id; message 'initWithDefaults:initialValues:';
    function defaults: NSUserDefaults; message 'defaults';
    procedure setInitialValues (initialValues: NSDictionary); message 'setInitialValues:';
    function initialValues: NSDictionary; message 'initialValues';
    procedure setAppliesImmediately (flag: boolean); message 'setAppliesImmediately:';
    function appliesImmediately: boolean; message 'appliesImmediately';
    function hasUnappliedChanges: boolean; message 'hasUnappliedChanges';
    function values: id; message 'values';
    procedure revert (sender: id); message 'revert:';
    procedure save (sender: id); message 'save:';
    procedure revertToInitialValues (sender: id); message 'revertToInitialValues:';
  end;
{$endif}

