{ Parsed from AppKit.framework (MacOSX10.8) NSViewController.h }
{ Created on Mon Sep 10 11:47:56 2012 }


{$ifdef TYPES}
type
  NSViewControllerPtr = ^NSViewController;
{$endif}

{$ifdef CLASSES}

type
  NSViewController = objcclass external (NSResponder, NSCodingProtocol)
  private
    _nibName: NSString;
    _nibBundle: NSBundle;
    _representedObject: id;
    _title: NSString;
    view_: NSView;
    _topLevelObjects: NSArray;
    _editors: NSPointerArray;
    _autounbinder: id;
    _designNibBundleIdentifier: NSString;
    _reserved:array[0..1] of id;
  public
    function initWithNibName_bundle (nibNameOrNil: NSString; nibBundleOrNil: NSBundle): id; message 'initWithNibName:bundle:';
    procedure setRepresentedObject (representedObject: id); message 'setRepresentedObject:';
    function representedObject: id; message 'representedObject';
    procedure setTitle (title: NSString); message 'setTitle:';
    function title: NSString; message 'title';
    function view: NSView; message 'view';
    procedure loadView; message 'loadView';
    function nibName: NSString; message 'nibName';
    function nibBundle: NSBundle; message 'nibBundle';
    procedure setView (view_: NSView); message 'setView:';
    procedure commitEditingWithDelegate_didCommitSelector_contextInfo (delegate: id; didCommitSelector: SEL; contextInfo: pointer); message 'commitEditingWithDelegate:didCommitSelector:contextInfo:';
    function commitEditing: boolean; message 'commitEditing';
    procedure discardEditing; message 'discardEditing';
  end;
{$endif}

