{ Parsed from AudioVideoBridging.framework (MacOSX10.8) AVB17221ACMPInterface.h }
{ Created on Mon Sep 10 11:45:16 2012 }


{$ifdef TYPES}
type
  AVB17221ACMPInterfacePtr = ^AVB17221ACMPInterface;
  AVB17221ACMPClientProtocolPtr = ^AVB17221ACMPClientProtocol;
{$endif}

{$ifdef TYPES}
type
  AVB17221ACMPInterfaceCompletion = OpaqueCBlock;
{$endif}

{$ifdef PROTOCOLS}

type
  AVB17221ACMPClientProtocol = objcprotocol external name 'AVB17221ACMPClient'
  required
    function ACMPDidReceiveCommand_onInterface (message_: AVB17221ACMPMessage; anInterface: AVB17221ACMPInterface): boolean; message 'ACMPDidReceiveCommand:onInterface:';
    function ACMPDidReceiveResponse_onInterface (message_: AVB17221ACMPMessage; anInterface: AVB17221ACMPInterface): boolean; message 'ACMPDidReceiveResponse:onInterface:';
  end;
{$endif}

{$ifdef CLASSES}

type
  AVB17221ACMPInterface = objcclass external (AVB1722ControlInterface)
  private
    commandHandlers: NSMutableDictionary;
    nextSequenceID: cuint16;
    multicastDestinationAddress: AVBMACAddress;
    _monitorMode: boolean;
    _monitorModeDelegate: AVB17221ACMPClientProtocol;
    pendingResponses: NSMutableArray;
  public
    procedure setMulticastDestinationAddress(newValue: AVBMACAddress); message 'setMulticastDestinationAddress:';
    function multicastDestinationAddress_: AVBMACAddress; message 'multicastDestinationAddress';
    class function ACMPInterfaceWithInterface (anInterface: AVBInterface): AVB17221ACMPInterface; message 'ACMPInterfaceWithInterface:';
    class function ACMPInterfaceWithInterfaceNamed (anInterfaceName: NSString): AVB17221ACMPInterface; message 'ACMPInterfaceWithInterfaceNamed:';
    function setHandler_forGUID (handler: AVB17221ACMPClientProtocol; targetGUID: cuint64): boolean; message 'setHandler:forGUID:';
    procedure removeHandlerForGUID (targetGUID: cuint64); message 'removeHandlerForGUID:';
    function sendACMPResponseMessage_error (message_: AVB17221ACMPMessage; error: NSErrorPtr): boolean; message 'sendACMPResponseMessage:error:';
    function sendACMPCommandMessage_completionHandler (message_: AVB17221ACMPMessage; completionHandler: AVB17221ACMPInterfaceCompletion): boolean; message 'sendACMPCommandMessage:completionHandler:';
  end;
{$endif}

