{ Parsed from AudioVideoBridging.framework (MacOSX10.8) AVB17221Entity.h }
{ Created on Mon Sep 10 11:45:16 2012 }


{$ifdef TYPES}
type
  AVB17221EntityPtr = ^AVB17221Entity;
{$endif}

{$ifdef CLASSES}

type
  AVB17221Entity = objcclass external (NSObject)
  private
    {$ifndef _LP64}
    localEntity: boolean;
    timeToLive: cuint8;
    guid: cuint64;
    vendorID: cuint32;
    modelID: cuint32;
    entityCapabilities: AVB17221ADPEntityCapabilities;
    talkerStreamSources: cuint16;
    talkerCapabilities: AVB17221ADPTalkerCapabilities;
    listenerStreamSinks: cuint16;
    listenerCapabilities: AVB17221ADPListenerCapabilities;
    controllerCapabilities: AVB17221ADPControllerCapabilities;
    availableIndex: cuint32;
    asGrandmasterID: cuint64;
    associationID: cuint64;
    macAddresses: NSArray;
    entityDiscovery: AVB17221EntityDiscovery;
    entityPublisher: AVB17221EntityPublisherProtocol;
    {$endif}
    service: io_service_t;
    interestNotficiation: io_object_t;
    notificationPort: IONotificationPortRef;
  public
    procedure setLocalEntity(newValue: boolean); message 'setLocalEntity:';
    function isLocalEntity: boolean; message 'isLocalEntity';
    procedure setTimeToLive(newValue: cuint8); message 'setTimeToLive:';
    function timeToLive_: cuint8; message 'timeToLive';
    procedure setGuid(newValue: cuint64); message 'setGuid:';
    function guid_: cuint64; message 'guid';
    procedure setVendorID(newValue: cuint32); message 'setVendorID:';
    function vendorID_: cuint32; message 'vendorID';
    procedure setModelID(newValue: cuint32); message 'setModelID:';
    function modelID_: cuint32; message 'modelID';
    procedure setEntityCapabilities(newValue: AVB17221ADPEntityCapabilities); message 'setEntityCapabilities:';
    function entityCapabilities_: AVB17221ADPEntityCapabilities; message 'entityCapabilities';
    procedure setTalkerStreamSources(newValue: cuint16); message 'setTalkerStreamSources:';
    function talkerStreamSources_: cuint16; message 'talkerStreamSources';
    procedure setTalkerCapabilities(newValue: AVB17221ADPTalkerCapabilities); message 'setTalkerCapabilities:';
    function talkerCapabilities_: AVB17221ADPTalkerCapabilities; message 'talkerCapabilities';
    procedure setListenerStreamSinks(newValue: cuint16); message 'setListenerStreamSinks:';
    function listenerStreamSinks_: cuint16; message 'listenerStreamSinks';
    procedure setListenerCapabilities(newValue: AVB17221ADPListenerCapabilities); message 'setListenerCapabilities:';
    function listenerCapabilities_: AVB17221ADPListenerCapabilities; message 'listenerCapabilities';
    procedure setControllerCapabilities(newValue: AVB17221ADPControllerCapabilities); message 'setControllerCapabilities:';
    function controllerCapabilities_: AVB17221ADPControllerCapabilities; message 'controllerCapabilities';
    procedure setAvailableIndex(newValue: cuint32); message 'setAvailableIndex:';
    function availableIndex_: cuint32; message 'availableIndex';
    procedure setAsGrandmasterID(newValue: cuint64); message 'setAsGrandmasterID:';
    function asGrandmasterID_: cuint64; message 'asGrandmasterID';
    procedure setAssociationID(newValue: cuint64); message 'setAssociationID:';
    function associationID_: cuint64; message 'associationID';
    procedure setMacAddresses(newValue: NSArray); message 'setMacAddresses:';
    function macAddresses_: NSArray; message 'macAddresses';
    procedure setEntityDiscovery(newValue: AVB17221EntityDiscovery); message 'setEntityDiscovery:';
    function entityDiscovery_: AVB17221EntityDiscovery; message 'entityDiscovery';
  end;
{$endif}

