{ Parsed from AudioVideoBridging.framework (MacOSX10.8) AVBInterface.h }
{ Created on Mon Sep 10 11:45:16 2012 }


{$ifdef TYPES}
type
  AVBInterfacePtr = ^AVBInterface;
{$endif}

{$ifdef CLASSES}

type
  AVBInterface = objcclass external (NSObject)
  private
    _networkClient: AVBNetworkClient;
    _interfaceName: NSString;
    _mmrp: AVBMMRP;
    _mvrp: AVBMVRP;
    _msrpDomain: AVBMSRPDomain;
    _msrpListener: AVBMSRPListener;
    _msrpTalker: AVBMSRPTalker;
    _entityDiscovery: AVB17221EntityDiscovery;
    _timeSync: AVB8021ASTimeSync;
    _aecp: AVB17221AECPInterface;
    _acmp: AVB17221ACMPInterface;
  public
    function interfaceName: NSString; message 'interfaceName';
    function entityDiscovery: AVB17221EntityDiscovery; message 'entityDiscovery';
    function aecp: AVB17221AECPInterface; message 'aecp';
    function acmp: AVB17221ACMPInterface; message 'acmp';
    class function macAddressForInterfaceNamed (anInterfaceName: NSString): AVBMACAddress; message 'macAddressForInterfaceNamed:';
    class function supportedInterfaces: NSArray; message 'supportedInterfaces';
    class function isAVBEnabledOnInterfaceNamed (anInterfaceName: NSString): boolean; message 'isAVBEnabledOnInterfaceNamed:';
    class function isAVBCapableInterfaceNamed (anInterfaceName: NSString): boolean; message 'isAVBCapableInterfaceNamed:';
    function initWithInterfaceName (anInterfaceName: NSString): id; message 'initWithInterfaceName:';
    class function myGUID: cuint64; message 'myGUID';
  end;
{$endif}

