{ Parsed from AVFoundation.framework (MacOSX10.8) AVAssetReader.h }
{ Created on Mon Sep 10 11:46:24 2012 }


{$ifdef TYPES}
type
  AVAssetReaderPtr = ^AVAssetReader;
{$endif}

{$ifdef TYPES}
const
  AVAssetReaderStatusUnknown = 0;
  AVAssetReaderStatusReading = 1;
  AVAssetReaderStatusCompleted = 2;
  AVAssetReaderStatusFailed = 3;
  AVAssetReaderStatusCancelled = 4;

type
  AVAssetReaderStatus = NSInteger;
  AVAssetReaderStatusPtr = ^AVAssetReaderStatus;
{$endif}

{$ifdef CLASSES}

type
  AVAssetReader = objcclass external (NSObject)
  private
    _priv: AVAssetReaderInternal;
  public
    class function assetReaderWithAsset_error (asset: AVAsset; outError: NSErrorPtr): AVAssetReader; message 'assetReaderWithAsset:error:';
    function initWithAsset_error (asset: AVAsset; outError: NSErrorPtr): id; message 'initWithAsset:error:';
    function asset: AVAsset; message 'asset';
    function status: AVAssetReaderStatus; message 'status';
    function error: NSError; message 'error';
    procedure setTimeRange(newValue: CMTimeRange); message 'setTimeRange:';
    function timeRange: CMTimeRange; message 'timeRange';
    function outputs: NSArray; message 'outputs';
    function canAddOutput (output: AVAssetReaderOutput): boolean; message 'canAddOutput:';
    procedure addOutput (output: AVAssetReaderOutput); message 'addOutput:';
    function startReading: boolean; message 'startReading';
    procedure cancelReading; message 'cancelReading';
  end;
{$endif}

