{ Parsed from AVFoundation.framework (MacOSX10.8) AVAsynchronousKeyValueLoading.h }
{ Created on Mon Sep 10 11:46:24 2012 }


{$ifdef TYPES}
type
  AVAsynchronousKeyValueLoadingProtocolPtr = ^AVAsynchronousKeyValueLoadingProtocol;
{$endif}

{$ifdef TYPES}
const
  AVKeyValueStatusUnknown = 0;
  AVKeyValueStatusLoading = 1;
  AVKeyValueStatusLoaded = 2;
  AVKeyValueStatusFailed = 3;
  AVKeyValueStatusCancelled = 4;

type
  AVKeyValueStatus = NSInteger;
  AVKeyValueStatusPtr = ^AVKeyValueStatus;
{$endif}

{$ifdef PROTOCOLS}

type
  AVAsynchronousKeyValueLoadingProtocol = objcprotocol external name 'AVAsynchronousKeyValueLoading'
  required
    function statusOfValueForKey_error (key: NSString; outError: NSErrorPtr): AVKeyValueStatus; message 'statusOfValueForKey:error:';
    procedure loadValuesAsynchronouslyForKeys_completionHandler (keys: NSArray; handler: OpaqueCBlock); message 'loadValuesAsynchronouslyForKeys:completionHandler:';
  end;
{$endif}

