{ Parsed from AVFoundation.framework (MacOSX10.8) AVSampleBufferDisplayLayer.h }
{ Created on Mon Sep 10 11:46:24 2012 }


{$ifdef TYPES}
type
  AVSampleBufferDisplayLayerPtr = ^AVSampleBufferDisplayLayer;
{$endif}

{$ifdef CLASSES}

type
  AVSampleBufferDisplayLayer = objcclass external (CALayer)
  private
    _sampleBufferDisplayLayerInternal: AVSampleBufferDisplayLayerInternal;
  public
    procedure setControlTimebase(newValue: CMTimebaseRef); message 'setControlTimebase:';
    function controlTimebase: CMTimebaseRef; message 'controlTimebase';
    procedure setVideoGravity(newValue: NSString); message 'setVideoGravity:';
    function videoGravity: NSString; message 'videoGravity';
  end;


type
  AVSampleBufferDisplayLayerQueueManagement = objccategory external (AVSampleBufferDisplayLayer)
    procedure enqueueSampleBuffer (sampleBuffer: CMSampleBufferRef); message 'enqueueSampleBuffer:';
    procedure flush; message 'flush';
    procedure flushAndRemoveImage; message 'flushAndRemoveImage';
    function isReadyForMoreMediaData: boolean; message 'isReadyForMoreMediaData';
    procedure requestMediaDataWhenReadyOnQueue_usingBlock (queue: dispatch_queue_t; block: OpaqueCBlock); message 'requestMediaDataWhenReadyOnQueue:usingBlock:';
    procedure stopRequestingMediaData; message 'stopRequestingMediaData';
  end;
{$endif}

