{ Parsed from CoreAudioKit.framework (MacOSX10.8) AUGenericView.h }
{ Created on Mon Sep 10 11:46:28 2012 }


{$ifdef TYPES}
type
  AUGenericViewPtr = ^AUGenericView;
{$endif}

{$ifdef TYPES}
const
  AUViewTitleDisplayFlag = 1 shl 0;
  AUViewPropertiesDisplayFlag = 1 shl 1;
  AUViewParametersDisplayFlag = 1 shl 2;
{$endif}

{$ifdef CLASSES}

type
  AUGenericView = objcclass external (NSView, AUCustomViewPersistentDataProtocol)
  private
    _reserved:array[0..31] of pointer;
  public
    function initWithAudioUnit (au: AudioUnit): id; message 'initWithAudioUnit:';
    function initWithAudioUnit_displayFlags (inAudioUnit: AudioUnit; inFlags: UInt32): id; message 'initWithAudioUnit:displayFlags:';
    function audioUnit: AudioUnit; message 'audioUnit';
    function showsExpertParameters: boolean; message 'showsExpertParameters';
    procedure setShowsExpertParameters (inShowsExpertParameters: boolean); message 'setShowsExpertParameters:';

    { Adopted protocols }
    function customViewPersistentData: NSDictionary; message 'customViewPersistentData';
    procedure setCustomViewPersistentData (data: NSDictionary); message 'setCustomViewPersistentData:';
  end;
{$endif}

