{ Parsed from CoreBluetooth.framework (MacOSX10.8) CBUUID.h }
{ Created on Mon Sep 10 11:47:07 2012 }


{$ifdef TYPES}
type
  CBUUIDPtr = ^CBUUID;
{$endif}

{$ifdef EXTERNAL_SYMBOLS}
var
  CBUUIDGenericAccessProfileString: NSString; cvar; external;
  CBUUIDGenericAttributeProfileString: NSString; cvar; external;
  CBUUIDCharacteristicExtendedPropertiesString: NSString; cvar; external;
  CBUUIDCharacteristicUserDescriptionString: NSString; cvar; external;
  CBUUIDClientCharacteristicConfigurationString: NSString; cvar; external;
  CBUUIDServerCharacteristicConfigurationString: NSString; cvar; external;
  CBUUIDCharacteristicFormatString: NSString; cvar; external;
  CBUUIDCharacteristicAggregateFormatString: NSString; cvar; external;
  CBUUIDDeviceNameString: NSString; cvar; external;
  CBUUIDAppearanceString: NSString; cvar; external;
  CBUUIDPeripheralPrivacyFlagString: NSString; cvar; external;
  CBUUIDReconnectionAddressString: NSString; cvar; external;
  CBUUIDPeripheralPreferredConnectionParametersString: NSString; cvar; external;
  CBUUIDServiceChangedString: NSString; cvar; external;
{$endif}

{$ifdef CLASSES}

type
  CBUUID = objcclass external (NSObject, NSCopyingProtocol)
  private
    _data: NSData;
    _range: NSRange;
  public
    function data: NSData; message 'data';
    class function UUIDWithString (theString: NSString): CBUUID; message 'UUIDWithString:';
    class function UUIDWithData (theData: NSData): CBUUID; message 'UUIDWithData:';
    class function UUIDWithCFUUID (theUUID: CFUUIDRef): CBUUID; message 'UUIDWithCFUUID:';

    { Adopted protocols }
    function copyWithZone (zone: NSZonePtr): id; message 'copyWithZone:';
  end;
{$endif}

