{ Parsed from CoreData.framework (MacOSX10.8) NSPersistentStore.h }
{ Created on Mon Sep 10 11:47:23 2012 }


{$ifdef TYPES}
type
  NSPersistentStorePtr = ^NSPersistentStore;
{$endif}

{$ifdef CLASSES}

type
  NSPersistentStore = objcclass external (NSObject)
  private
    _coordinator: NSPersistentStoreCoordinator;
    _configurationName: NSString;
    _url: NSURL;
    _options: NSDictionary;
    _oidFactories: NSMutableDictionary;
    _defaultFaultHandler: id;
    _objectStoreFlags: bitpacked record
      case byte of
        0: (_anonBitField__objectStoreFlags0: cuint);
        1: (
          isReadOnly_: 0..1;
          cleanOnRemove: 0..1;
          isMDDirty: 0..1;
          _RESERVED: 0..((1 shl 29)-1);
        );
      end;
    _temporaryIDClass: pointer;
    _externalRecordsMonitor: id;
    _reserved3: pointer;
  public
    class function metadataForPersistentStoreWithURL_error (url: NSURL; error: NSErrorPtr): NSDictionary; message 'metadataForPersistentStoreWithURL:error:';
    class function setMetadata_forPersistentStoreWithURL_error (metadata: NSDictionary; url: NSURL; error: NSErrorPtr): boolean; message 'setMetadata:forPersistentStoreWithURL:error:';
    class function migrationManagerClass: pobjc_class; message 'migrationManagerClass'; { available in 10_6, 3_0 }
    function initWithPersistentStoreCoordinator_configurationName_URL_options (root: NSPersistentStoreCoordinator; name: NSString; url: NSURL; options: NSDictionary): id; message 'initWithPersistentStoreCoordinator:configurationName:URL:options:';
    function loadMetadata (error: NSErrorPtr): boolean; message 'loadMetadata:';
    function persistentStoreCoordinator: NSPersistentStoreCoordinator; message 'persistentStoreCoordinator';
    function configurationName: NSString; message 'configurationName';
    function options: NSDictionary; message 'options';
    function URL: NSURL; message 'URL';
    procedure setURL (url_: NSURL); message 'setURL:';
    function identifier: NSString; message 'identifier';
    procedure setIdentifier (identifier_: NSString); message 'setIdentifier:';
    function type_: NSString; message 'type';
    function isReadOnly: boolean; message 'isReadOnly';
    procedure setReadOnly (flag: boolean); message 'setReadOnly:';
    function metadata: NSDictionary; message 'metadata';
    procedure setMetadata (storeMetadata: NSDictionary); message 'setMetadata:';
    procedure didAddToPersistentStoreCoordinator (coordinator: NSPersistentStoreCoordinator); message 'didAddToPersistentStoreCoordinator:';
    procedure willRemoveFromPersistentStoreCoordinator (coordinator: NSPersistentStoreCoordinator); message 'willRemoveFromPersistentStoreCoordinator:';
  end;
{$endif}

