{ Parsed from CoreLocation.framework (MacOSX10.8) CLLocationManagerDelegate.h }
{ Created on Mon Sep 10 11:45:17 2012 }


{$ifdef TYPES}
type
  CLLocationManagerDelegateProtocolPtr = ^CLLocationManagerDelegateProtocol;
{$endif}

{$ifdef PROTOCOLS}

type
  CLLocationManagerDelegateProtocol = objcprotocol external name 'CLLocationManagerDelegate' (NSObjectProtocol)
  optional
    procedure locationManager_didUpdateToLocation_fromLocation (manager: CLLocationManager; newLocation: CLLocation; oldLocation: CLLocation); message 'locationManager:didUpdateToLocation:fromLocation:';
    procedure locationManager_didUpdateHeading (manager: CLLocationManager; newHeading: CLHeading); message 'locationManager:didUpdateHeading:'; { available starting in __MAC_NA,__IPHONE_3_0 }
    function locationManagerShouldDisplayHeadingCalibration (manager: CLLocationManager): boolean; message 'locationManagerShouldDisplayHeadingCalibration:'; { available starting in __MAC_NA,__IPHONE_3_0 }
    procedure locationManager_didEnterRegion (manager: CLLocationManager; region: CLRegion); message 'locationManager:didEnterRegion:'; { available starting in __MAC_10_8,__IPHONE_4_0 }
    procedure locationManager_didExitRegion (manager: CLLocationManager; region: CLRegion); message 'locationManager:didExitRegion:'; { available starting in __MAC_10_8,__IPHONE_4_0 }
    procedure locationManager_didFailWithError (manager: CLLocationManager; error: NSError); message 'locationManager:didFailWithError:';
    procedure locationManager_monitoringDidFailForRegion_withError (manager: CLLocationManager; region: CLRegion; error: NSError); message 'locationManager:monitoringDidFailForRegion:withError:'; { available starting in __MAC_10_8,__IPHONE_4_0 }
    procedure locationManager_didChangeAuthorizationStatus (manager: CLLocationManager; status: CLAuthorizationStatus); message 'locationManager:didChangeAuthorizationStatus:'; { available starting in __MAC_10_7,__IPHONE_4_2 }
    procedure locationManager_didStartMonitoringForRegion (manager: CLLocationManager; region: CLRegion); message 'locationManager:didStartMonitoringForRegion:'; { available starting in __MAC_10_8,__IPHONE_5_0 }
  end;
{$endif}

