{ Parsed from Foundation.framework (MacOSX10.8) NSAppleScript.h }
{ Created on Mon Sep 10 11:48:04 2012 }


{$ifdef TYPES}
type
  NSAppleScriptPtr = ^NSAppleScript;
{$endif}

{$ifdef EXTERNAL_SYMBOLS}
var
  NSAppleScriptErrorMessage: NSString { available in 10_2, NA }; cvar; external;
  NSAppleScriptErrorNumber: NSString { available in 10_2, NA }; cvar; external;
  NSAppleScriptErrorAppName: NSString { available in 10_2, NA }; cvar; external;
  NSAppleScriptErrorBriefMessage: NSString { available in 10_2, NA }; cvar; external;
  NSAppleScriptErrorRange: NSString { available in 10_2, NA }; cvar; external;
{$endif}

{$ifdef CLASSES}

type
  NSAppleScript = objcclass external (NSObject, NSCopyingProtocol)
  private
    _source: NSString;
    _compiledScriptID: cuint;
    _reserved1: pointer;
    _reserved2: pointer;
  public
    function initWithContentsOfURL_error (url: NSURL; errorInfo: NSDictionaryPtr): id; message 'initWithContentsOfURL:error:';
    function initWithSource (source: NSString): id; message 'initWithSource:';
    function source: NSString; message 'source';
    function isCompiled: boolean; message 'isCompiled';
    function compileAndReturnError (errorInfo: NSDictionaryPtr): boolean; message 'compileAndReturnError:';
    function executeAndReturnError (errorInfo: NSDictionaryPtr): NSAppleEventDescriptor; message 'executeAndReturnError:';
    function executeAppleEvent_error (event: NSAppleEventDescriptor; errorInfo: NSDictionaryPtr): NSAppleEventDescriptor; message 'executeAppleEvent:error:';

    { Adopted protocols }
    function copyWithZone (zone: NSZonePtr): id; message 'copyWithZone:';
  end;
{$endif}

