{ Parsed from Foundation.framework (MacOSX10.8) NSCharacterSet.h }
{ Created on Mon Sep 10 11:48:03 2012 }


{$ifdef TYPES}
type
  NSCharacterSetPtr = ^NSCharacterSet;
  NSMutableCharacterSetPtr = ^NSMutableCharacterSet;
{$endif}

{$ifdef TYPES}
const
  NSOpenStepUnicodeReservedBase = $F400;
{$endif}

{$ifdef CLASSES}

type
  NSCharacterSet = objcclass external (NSObject, NSCopyingProtocol, NSMutableCopyingProtocol, NSCodingProtocol)
  public
    class function controlCharacterSet: id; message 'controlCharacterSet';
    class function whitespaceCharacterSet: id; message 'whitespaceCharacterSet';
    class function whitespaceAndNewlineCharacterSet: id; message 'whitespaceAndNewlineCharacterSet';
    class function decimalDigitCharacterSet: id; message 'decimalDigitCharacterSet';
    class function letterCharacterSet: id; message 'letterCharacterSet';
    class function lowercaseLetterCharacterSet: id; message 'lowercaseLetterCharacterSet';
    class function uppercaseLetterCharacterSet: id; message 'uppercaseLetterCharacterSet';
    class function nonBaseCharacterSet: id; message 'nonBaseCharacterSet';
    class function alphanumericCharacterSet: id; message 'alphanumericCharacterSet';
    class function decomposableCharacterSet: id; message 'decomposableCharacterSet';
    class function illegalCharacterSet: id; message 'illegalCharacterSet';
    class function punctuationCharacterSet: id; message 'punctuationCharacterSet';
    class function capitalizedLetterCharacterSet: id; message 'capitalizedLetterCharacterSet';
    class function symbolCharacterSet: id; message 'symbolCharacterSet';
    class function newlineCharacterSet: id; message 'newlineCharacterSet'; { available in 10_5, 2_0 }
    class function characterSetWithRange (aRange: NSRange): id; message 'characterSetWithRange:';
    class function characterSetWithCharactersInString (aString: NSString): id; message 'characterSetWithCharactersInString:';
    class function characterSetWithBitmapRepresentation (data: NSData): id; message 'characterSetWithBitmapRepresentation:';
    class function characterSetWithContentsOfFile (fName: NSString): id; message 'characterSetWithContentsOfFile:';
    function characterIsMember (aCharacter: unichar): boolean; message 'characterIsMember:';
    function bitmapRepresentation: NSData; message 'bitmapRepresentation';
    function invertedSet: NSCharacterSet; message 'invertedSet';
    function longCharacterIsMember (theLongChar: UTF32Char): boolean; message 'longCharacterIsMember:';
    function isSupersetOfSet (theOtherSet: NSCharacterSet): boolean; message 'isSupersetOfSet:';
    function hasMemberInPlane (thePlane: cuint8): boolean; message 'hasMemberInPlane:';

    { Adopted protocols }
    function copyWithZone (zone: NSZonePtr): id; message 'copyWithZone:';
    procedure encodeWithCoder (aCoder: NSCoder); message 'encodeWithCoder:';
    function initWithCoder (aDecoder: NSCoder): id; message 'initWithCoder:';
    function mutableCopyWithZone (zone: NSZonePtr): id; message 'mutableCopyWithZone:';
  end;

type
  NSMutableCharacterSet = objcclass external (NSCharacterSet, NSCopyingProtocol, NSMutableCopyingProtocol)
  public
    procedure addCharactersInRange (aRange: NSRange); message 'addCharactersInRange:';
    procedure removeCharactersInRange (aRange: NSRange); message 'removeCharactersInRange:';
    procedure addCharactersInString (aString: NSString); message 'addCharactersInString:';
    procedure removeCharactersInString (aString: NSString); message 'removeCharactersInString:';
    procedure formUnionWithCharacterSet (otherSet: NSCharacterSet); message 'formUnionWithCharacterSet:';
    procedure formIntersectionWithCharacterSet (otherSet: NSCharacterSet); message 'formIntersectionWithCharacterSet:';
    procedure invert; message 'invert';
  end;
{$endif}

