{ Parsed from Foundation.framework (MacOSX10.8) NSPredicate.h }
{ Created on Mon Sep 10 11:48:04 2012 }


{ Types from NSPredicate }
{$ifdef TYPES}

{$endif}


{$ifdef TYPES}
type
  NSPredicatePtr = ^NSPredicate;
{$endif}

{$ifdef CLASSES}

type
  NSPredicate = objcclass external (NSObject, NSCodingProtocol, NSCopyingProtocol)
  private
    _reserved: pointer;
  public
    class function predicateWithFormat_argumentArray (predicateFormat: NSString; arguments: NSArray): NSPredicate; message 'predicateWithFormat:argumentArray:';
    class function predicateWithFormat (predicateFormat: NSString): NSPredicate; varargs; message 'predicateWithFormat:';
    class function predicateWithFormat_arguments (predicateFormat: NSString; argList: va_list): NSPredicate; message 'predicateWithFormat:arguments:';
    class function predicateWithValue (value: boolean): NSPredicate; message 'predicateWithValue:';
    {$if defined(NS_BLOCKS_AVAILABLE)}
    class function predicateWithBlock (block: OpaqueCBlock): NSPredicate; message 'predicateWithBlock:'; { available in 10_6, 4_0 }
    {$endif}
    function predicateFormat: NSString; message 'predicateFormat';
    function predicateWithSubstitutionVariables (variables: NSDictionary): NSPredicate; message 'predicateWithSubstitutionVariables:';
    function evaluateWithObject (object_: id): boolean; message 'evaluateWithObject:';
    function evaluateWithObject_substitutionVariables (object_: id; bindings: NSDictionary): boolean; message 'evaluateWithObject:substitutionVariables:'; { available in 10_5, 3_0 }

    { Adopted protocols }
    function copyWithZone (zone: NSZonePtr): id; message 'copyWithZone:';
    procedure encodeWithCoder (aCoder: NSCoder); message 'encodeWithCoder:';
    function initWithCoder (aDecoder: NSCoder): id; message 'initWithCoder:';
  end;


type
  NSArray_NSPredicateSupport = objccategory external name 'NSPredicateSupport' (NSArray)
    function filteredArrayUsingPredicate (predicate: NSPredicate): NSArray; message 'filteredArrayUsingPredicate:';
  end;

type
  NSMutableArray_NSPredicateSupport = objccategory external name 'NSPredicateSupport' (NSMutableArray)
    procedure filterUsingPredicate (predicate: NSPredicate); message 'filterUsingPredicate:';
  end;

type
  NSSet_NSPredicateSupport = objccategory external name 'NSPredicateSupport' (NSSet)
    function filteredSetUsingPredicate (predicate: NSPredicate): NSSet; message 'filteredSetUsingPredicate:'; { available in 10_5, 3_0 }
  end;

type
  NSPredicateSupport = objccategory external (NSMutableSet)
    procedure filterUsingPredicate (predicate: NSPredicate); message 'filterUsingPredicate:'; { available in 10_5, 3_0 }
  end;
{$endif}

