{ Parsed from Foundation.framework (MacOSX10.8) NSScriptWhoseTests.h }
{ Created on Mon Sep 10 11:48:04 2012 }


{$ifdef TYPES}
type
  NSScriptWhoseTestPtr = ^NSScriptWhoseTest;
  NSLogicalTestPtr = ^NSLogicalTest;
  NSSpecifierTestPtr = ^NSSpecifierTest;
{$endif}

{$ifdef TYPES}
type
  NSTestComparisonOperation = NSUInteger;
  NSTestComparisonOperationPtr = ^NSTestComparisonOperation;

const
  NSEqualToComparison = 0;
  NSLessThanOrEqualToComparison = 1;
  NSLessThanComparison = 2;
  NSGreaterThanOrEqualToComparison = 3;
  NSGreaterThanComparison = 4;
  NSBeginsWithComparison = 5;
  NSEndsWithComparison = 6;
  NSContainsComparison = 7;
{$endif}

{$ifdef CLASSES}

type
  NSScriptWhoseTest = objcclass external (NSObject, NSCodingProtocol)
  private
  public
    function isTrue: boolean; message 'isTrue';

    { Adopted protocols }
    procedure encodeWithCoder (aCoder: NSCoder); message 'encodeWithCoder:';
    function initWithCoder (aDecoder: NSCoder): id; message 'initWithCoder:';
  end;

type
  NSLogicalTest = objcclass external (NSScriptWhoseTest)
  private
    _operator: cint;
    _subTests: id;
  public
    function initAndTestWithTests (subTests: NSArray): id; message 'initAndTestWithTests:';
    function initOrTestWithTests (subTests: NSArray): id; message 'initOrTestWithTests:';
    function initNotTestWithTest (subTest: NSScriptWhoseTest): id; message 'initNotTestWithTest:';
  end;

type
  NSSpecifierTest = objcclass external (NSScriptWhoseTest)
  private
    _comparisonOperator: NSTestComparisonOperation;
    _object1: NSScriptObjectSpecifier;
    _object2: id;
  public
    function initWithObjectSpecifier_comparisonOperator_testObject (obj1: NSScriptObjectSpecifier; compOp: NSTestComparisonOperation; obj2: id): id; message 'initWithObjectSpecifier:comparisonOperator:testObject:';
  end;


type
  NSComparisonMethods = objccategory external (NSObject)
    function isEqualTo (object_: id): boolean; message 'isEqualTo:';
    function isLessThanOrEqualTo (object_: id): boolean; message 'isLessThanOrEqualTo:';
    function isLessThan (object_: id): boolean; message 'isLessThan:';
    function isGreaterThanOrEqualTo (object_: id): boolean; message 'isGreaterThanOrEqualTo:';
    function isGreaterThan (object_: id): boolean; message 'isGreaterThan:';
    function isNotEqualTo (object_: id): boolean; message 'isNotEqualTo:';
    function doesContain (object_: id): boolean; message 'doesContain:';
    function isLike (object_: NSString): boolean; message 'isLike:';
    function isCaseInsensitiveLike (object_: NSString): boolean; message 'isCaseInsensitiveLike:';
  end;

type
  NSScriptingComparisonMethods = objccategory external (NSObject)
    function scriptingIsEqualTo (object_: id): boolean; message 'scriptingIsEqualTo:';
    function scriptingIsLessThanOrEqualTo (object_: id): boolean; message 'scriptingIsLessThanOrEqualTo:';
    function scriptingIsLessThan (object_: id): boolean; message 'scriptingIsLessThan:';
    function scriptingIsGreaterThanOrEqualTo (object_: id): boolean; message 'scriptingIsGreaterThanOrEqualTo:';
    function scriptingIsGreaterThan (object_: id): boolean; message 'scriptingIsGreaterThan:';
    function scriptingBeginsWith (object_: id): boolean; message 'scriptingBeginsWith:';
    function scriptingEndsWith (object_: id): boolean; message 'scriptingEndsWith:';
    function scriptingContains (object_: id): boolean; message 'scriptingContains:';
  end;
{$endif}

