{ Parsed from GameKit.framework (MacOSX10.8) GKAchievement.h }
{ Created on Mon Sep 10 11:45:59 2012 }


{$ifdef TYPES}
type
  GKAchievementPtr = ^GKAchievement;
{$endif}

{$ifdef CLASSES}

type
  GKAchievement = objcclass external (NSObject, NSCodingProtocol)
  private
    _internal: id;
  public
    class procedure loadAchievementsWithCompletionHandler (completionHandler: OpaqueCBlock); message 'loadAchievementsWithCompletionHandler:';
    class procedure resetAchievementsWithCompletionHandler (completionHandler: OpaqueCBlock); message 'resetAchievementsWithCompletionHandler:';
    function initWithIdentifier (identifier: NSString): id; message 'initWithIdentifier:';
    procedure reportAchievementWithCompletionHandler (completionHandler: OpaqueCBlock); message 'reportAchievementWithCompletionHandler:';
    procedure setIdentifier(newValue: NSString); message 'setIdentifier:';
    function identifier: NSString; message 'identifier';
    procedure setPercentComplete(newValue: double); message 'setPercentComplete:';
    function percentComplete: double; message 'percentComplete';
    function isCompleted: boolean; message 'isCompleted';
    function isHidden: boolean; message 'isHidden';
    function lastReportedDate: NSDate; message 'lastReportedDate';
    procedure setShowsCompletionBanner(newValue: boolean); message 'setShowsCompletionBanner:';
    function showsCompletionBanner: boolean; message 'showsCompletionBanner';

    { Adopted protocols }
    procedure encodeWithCoder (aCoder: NSCoder); message 'encodeWithCoder:';
    function initWithCoder (aDecoder: NSCoder): id; message 'initWithCoder:';
  end;
{$endif}

