{ Parsed from GameKit.framework (MacOSX10.8) GKMatchmakerViewController.h }
{ Created on Mon Sep 10 11:45:59 2012 }


{$ifdef TYPES}
type
  GKMatchmakerViewControllerPtr = ^GKMatchmakerViewController;
  GKMatchmakerViewControllerDelegateProtocolPtr = ^GKMatchmakerViewControllerDelegateProtocol;
{$endif}

{$ifdef CLASSES}

type
  GKMatchmakerViewController = objcclass external (NSObject)
  public
    procedure setMatchmakerDelegate(newValue: GKMatchmakerViewControllerDelegateProtocol); message 'setMatchmakerDelegate:';
    function matchmakerDelegate: GKMatchmakerViewControllerDelegateProtocol; message 'matchmakerDelegate';
    function matchRequest: GKMatchRequest; message 'matchRequest';
    procedure setHosted(newValue: boolean); message 'setHosted:';
    function isHosted: boolean; message 'isHosted';
    procedure setDefaultInvitationMessage(newValue: NSString); message 'setDefaultInvitationMessage:';
    function defaultInvitationMessage: NSString; message 'defaultInvitationMessage';
    function initWithMatchRequest (request: GKMatchRequest): id; message 'initWithMatchRequest:';
    function initWithInvite (invite: GKInvite): id; message 'initWithInvite:';
    procedure addPlayersToMatch (match: GKMatch); message 'addPlayersToMatch:'; { available starting in __MAC_10_8,__IPHONE_5_0 }
    procedure setHostedPlayer_connected (playerID: NSString; connected: boolean); message 'setHostedPlayer:connected:'; { available starting in __MAC_10_8,__IPHONE_5_0 }
    procedure setHostedPlayerReady (playerID: NSString); message 'setHostedPlayerReady:'; deprecated 'in __MAC_NA,__MAC_NA,__IPHONE_4_1,__IPHONE_5_0';
  end;
{$endif}

{$ifdef PROTOCOLS}

type
  GKMatchmakerViewControllerDelegateProtocol = objcprotocol external name 'GKMatchmakerViewControllerDelegate' (NSObjectProtocol)
  required
    procedure matchmakerViewControllerWasCancelled (viewController: GKMatchmakerViewController); message 'matchmakerViewControllerWasCancelled:';
    procedure matchmakerViewController_didFailWithError (viewController: GKMatchmakerViewController; error: NSError); message 'matchmakerViewController:didFailWithError:';
  optional
    procedure matchmakerViewController_didFindMatch (viewController: GKMatchmakerViewController; match: GKMatch); message 'matchmakerViewController:didFindMatch:';
    procedure matchmakerViewController_didFindPlayers (viewController: GKMatchmakerViewController; playerIDs: NSArray); message 'matchmakerViewController:didFindPlayers:';
    procedure matchmakerViewController_didReceiveAcceptFromHostedPlayer (viewController: GKMatchmakerViewController; playerID: NSString); message 'matchmakerViewController:didReceiveAcceptFromHostedPlayer:'; { available starting in __MAC_10_8,__IPHONE_5_0 }
  end;
{$endif}

