{ Parsed from InstallerPlugins.framework (MacOSX10.8) InstallerPane.h }
{ Created on Mon Sep 10 11:47:57 2012 }


{$ifdef TYPES}
type
  InstallerPanePtr = ^InstallerPane;
{$endif}

{$ifdef TYPES}
const
  InstallerDirectionForward = 0;
  InstallerDirectionBackward = 1;
  InstallerDirectionUndefined = 2;
type
  InstallerSectionDirection = clong;

type
  InstallerPane_Private = OpaqueType;
  InstallerPane_PrivatePtr = ^InstallerPane_Private;
{$endif}

{$ifdef CLASSES}

type
  InstallerPane = objcclass external (NSObject)
  private
    contentView_: NSView;
    initialKeyView_: NSView;
    firstKeyView_: NSView;
    lastKeyView_: NSView;
    nextPane_: InstallerPane;
    parentSection: id;
    _private: InstallerPane_PrivatePtr;
  public
    function initWithSection (parent: id): id; message 'initWithSection:';
    function title: NSString; message 'title';
    function section: InstallerSection; message 'section';
    function contentView: NSView; message 'contentView';
    function initialKeyView: NSView; message 'initialKeyView';
    function firstKeyView: NSView; message 'firstKeyView';
    function lastKeyView: NSView; message 'lastKeyView';
    function nextPane: InstallerPane; message 'nextPane';
    procedure willEnterPane (dir: InstallerSectionDirection); message 'willEnterPane:';
    procedure didEnterPane (dir: InstallerSectionDirection); message 'didEnterPane:';
    function shouldExitPane (dir: InstallerSectionDirection): boolean; message 'shouldExitPane:';
    procedure willExitPane (dir: InstallerSectionDirection); message 'willExitPane:';
    procedure didExitPane (dir: InstallerSectionDirection); message 'didExitPane:';
    procedure setNextEnabled (enabled: boolean); message 'setNextEnabled:';
    function nextEnabled: boolean; message 'nextEnabled';
    procedure setPreviousEnabled (enabled: boolean); message 'setPreviousEnabled:';
    function previousEnabled: boolean; message 'previousEnabled';
    function gotoNextPane: boolean; message 'gotoNextPane';
    function gotoPreviousPane: boolean; message 'gotoPreviousPane';
  end;
{$endif}

