{ Parsed from PubSub.framework (MacOSX10.8) PSLink.h }
{ Created on Mon Sep 10 11:47:41 2012 }


{$ifdef TYPES}
type
  PSLinkPtr = ^PSLink;
{$endif}

{$if (MAC_OS_X_VERSION_10_5 <= MAC_OS_X_VERSION_MAX_ALLOWED)}
{$ifdef TYPES}
const
  PSLinkToOther = 0;
  PSLinkToRSS = 1;
  PSLinkToAtom = 2;
  PSLinkToAtomService = 3;
  PSLinkToFOAF = 4;
  PSLinkToRSD = 5;
  PSLinkToSelf = 6;
  PSLinkToAlternate = 7;
type
  PSLinkKind = clong;
{$endif}

{$ifdef CLASSES}

type
  PSLink = objcclass external (NSObject)
  private
    _linkKind: PSLinkKind;
    _relations: NSSet;
    _MIMEType: NSString;
    _title: NSString;
    _href: NSString;
    _baseURL: NSURL;
  public
    class function linksInXML_baseURL (root: NSXMLElement; baseURL: NSURL): NSArray; message 'linksInXML:baseURL:';
    function linkKind: PSLinkKind; message 'linkKind';
    function URL: NSURL; message 'URL';
    function relations: NSSet; message 'relations';
    function title: NSString; message 'title';
    function MIMEType: NSString; message 'MIMEType';
  end;
{$endif}

{$endif}
