{ Parsed from QTKit.framework (MacOSX10.8) QTCaptureConnection.h }
{ Created on Mon Sep 10 11:47:34 2012 }


{$ifdef TYPES}
type
  QTCaptureConnectionPtr = ^QTCaptureConnection;
{$endif}

{$if ((QTKIT_VERSION_MAX_ALLOWED >= QTKIT_VERSION_7_2)) and ((MAC_OS_X_VERSION_MAX_ALLOWED >= MAC_OS_X_VERSION_10_4))}
{$ifdef EXTERNAL_SYMBOLS}
var
  QTCaptureConnectionFormatDescriptionWillChangeNotification: NSString; cvar; external;
  QTCaptureConnectionFormatDescriptionDidChangeNotification: NSString; cvar; external;
  QTCaptureConnectionAttributeWillChangeNotification: NSString; cvar; external;
  QTCaptureConnectionAttributeDidChangeNotification: NSString; cvar; external;
  QTCaptureConnectionChangedAttributeKey: NSString; cvar; external;
  QTCaptureConnectionAudioAveragePowerLevelsAttribute: NSString; cvar; external;
  QTCaptureConnectionAudioPeakHoldLevelsAttribute: NSString; cvar; external;
  QTCaptureConnectionAudioMasterVolumeAttribute: NSString; cvar; external;
  QTCaptureConnectionAudioVolumesAttribute: NSString; cvar; external;
  QTCaptureConnectionEnabledAudioChannelsAttribute: NSString; cvar; external;
{$endif}

{$ifdef CLASSES}

type
  QTCaptureConnection = objcclass external (NSObject)
  private
    _internal: QTCaptureConnectionInternal;
    _reserved1: clong;
    _reserved2: clong;
    _reserved3: clong;
  public
    function owner: id; message 'owner';
    function mediaType: NSString; message 'mediaType';
    function formatDescription: QTFormatDescription; message 'formatDescription';
    function isEnabled: boolean; message 'isEnabled';
    procedure setEnabled (enabled: boolean); message 'setEnabled:';
    function connectionAttributes: NSDictionary; message 'connectionAttributes';
    procedure setConnectionAttributes (connectionAttributes_: NSDictionary); message 'setConnectionAttributes:';
    function attributeIsReadOnly (attributeKey: NSString): boolean; message 'attributeIsReadOnly:';
    function attributeForKey (attributeKey: NSString): id; message 'attributeForKey:';
    procedure setAttribute_forKey (attribute: id; key: NSString); message 'setAttribute:forKey:';
  end;
{$endif}

{$endif}
