{ Parsed from QTKit.framework (MacOSX10.8) QTTimeRange.h }
{ Created on Mon Sep 10 11:47:34 2012 }

{$ifdef TYPES}
type
  QTTimeRange = record
    time: QTTime;
    duration: QTTime;
  end;
type
  QTTimeRangePtr = ^QTTimeRange;
{$endif}

{$ifdef FUNCTIONS}
function QTMakeTimeRange(time: QTTime; duration: QTTime): QTTimeRange; cdecl; external;
function QTTimeInTimeRange(time: QTTime; range: QTTimeRange): boolean; cdecl; external;
function QTEqualTimeRanges(range: QTTimeRange; range2: QTTimeRange): boolean; cdecl; external;
function QTTimeRangeEnd(range: QTTimeRange): QTTime; cdecl; external;
function QTUnionTimeRange(range1: QTTimeRange; range2: QTTimeRange): QTTimeRange; cdecl; external;
function QTIntersectionTimeRange(range1: QTTimeRange; range2: QTTimeRange): QTTimeRange; cdecl; external;
function QTStringFromTimeRange(range: QTTimeRange): NSString; cdecl; external;
function QTTimeRangeFromString(string_: NSString): QTTimeRange; cdecl; external;
{$endif}

{$ifdef CLASSES}

type
  NSValueQTTimeRangeExtensions = objccategory external (NSValue)
    class function valueWithQTTimeRange (range: QTTimeRange): NSValue; message 'valueWithQTTimeRange:';
    function QTTimeRangeValue: QTTimeRange; message 'QTTimeRangeValue';
  end;

type
  NSQTTimeRangeCoding = objccategory external (NSCoder)
    procedure encodeQTTimeRange_forKey (range: QTTimeRange; key: NSString); message 'encodeQTTimeRange:forKey:';
    function decodeQTTimeRangeForKey (key: NSString): QTTimeRange; message 'decodeQTTimeRangeForKey:';
  end;
{$endif}

