{ Parsed from QTKit.framework (MacOSX10.8) QTTrack.h }
{ Created on Mon Sep 10 11:47:34 2012 }


{ Types from QTTrack }
{$ifdef TYPES}


{$endif}


{ Types from QTTrack_VisualSupport }
{$ifdef TYPES}


{$endif}


{$ifdef TYPES}
type
  QTTrackPtr = ^QTTrack;
{$endif}

{$ifdef EXTERNAL_SYMBOLS}
var
  QTTrackBoundsAttribute: NSString; cvar; external;
  QTTrackCreationTimeAttribute: NSString; cvar; external;
  QTTrackDimensionsAttribute: NSString; cvar; external;
  QTTrackDisplayNameAttribute: NSString; cvar; external;
  QTTrackEnabledAttribute: NSString; cvar; external;
  QTTrackFormatSummaryAttribute: NSString; cvar; external;
  QTTrackIsChapterTrackAttribute: NSString; cvar; external;
  QTTrackHasApertureModeDimensionsAttribute: NSString; cvar; external;
  QTTrackIDAttribute: NSString; cvar; external;
  QTTrackLayerAttribute: NSString; cvar; external;
  QTTrackMediaTypeAttribute: NSString; cvar; external;
  QTTrackModificationTimeAttribute: NSString; cvar; external;
  QTTrackRangeAttribute: NSString; cvar; external;
  QTTrackTimeScaleAttribute: NSString; cvar; external;
  QTTrackUsageInMovieAttribute: NSString; cvar; external;
  QTTrackUsageInPosterAttribute: NSString; cvar; external;
  QTTrackUsageInPreviewAttribute: NSString; cvar; external;
  QTTrackVolumeAttribute: NSString; cvar; external;
{$endif}

{$ifdef CLASSES}

type
  QTTrack = objcclass external (NSObject)
  private
    _flags: clong;
    _trackHelper: QTTrackHelper;
    _movie: QTMovie;
    _children: QTInvalidationSet;
    _cachedTrackID: cint32;
    _reserved1: clong;
    _reserved2: clong;
    _reserved3: clong;
    _reserved4: clong;
  public
    {$if  not defined(__LP64__)}
    class function trackWithQuickTimeTrack_error (track_: Track; errorPtr: NSErrorPtr): id; message 'trackWithQuickTimeTrack:error:';
    function initWithQuickTimeTrack_error (track_: Track; errorPtr: NSErrorPtr): id; message 'initWithQuickTimeTrack:error:';
    {$endif}
    function movie: QTMovie; message 'movie';
    function media: QTMedia; message 'media';
    function isEnabled: boolean; message 'isEnabled';
    procedure setEnabled (enabled: boolean); message 'setEnabled:';
    function volume: single; message 'volume';
    procedure setVolume (volume_: single); message 'setVolume:';
    function trackAttributes: NSDictionary; message 'trackAttributes';
    procedure setTrackAttributes (attributes: NSDictionary); message 'setTrackAttributes:';
    function attributeForKey (attributeKey: NSString): id; message 'attributeForKey:';
    procedure setAttribute_forKey (value: id; attributeKey: NSString); message 'setAttribute:forKey:';
    {$if  not defined(__LP64__)}
    function quickTimeTrack: Track; message 'quickTimeTrack';
    {$endif}
    procedure insertSegmentOfTrack_timeRange_atTime (track: QTTrack; range: QTTimeRange; time: QTTime); message 'insertSegmentOfTrack:timeRange:atTime:';
    procedure insertSegmentOfTrack_fromRange_scaledToRange (track: QTTrack; srcRange: QTTimeRange; dstRange: QTTimeRange); message 'insertSegmentOfTrack:fromRange:scaledToRange:';
    procedure insertEmptySegmentAt (range: QTTimeRange); message 'insertEmptySegmentAt:';
    procedure deleteSegment (segment: QTTimeRange); message 'deleteSegment:';
    procedure scaleSegment_newDuration (segment: QTTimeRange; newDuration: QTTime); message 'scaleSegment:newDuration:';
    procedure addImage_forDuration_withAttributes (image: NSImage; duration: QTTime; attributes: NSDictionary); message 'addImage:forDuration:withAttributes:';
  end;


type
  QTTrack_VisualSupport = objccategory external (QTTrack)
    {$if (QTKIT_VERSION_MAX_ALLOWED >= QTKIT_VERSION_7_2)}
    function apertureModeDimensionsForMode (mode: NSString): NSSize; message 'apertureModeDimensionsForMode:';
    procedure setApertureModeDimensions_forMode (dimensions: NSSize; mode: NSString); message 'setApertureModeDimensions:forMode:';
    procedure generateApertureModeDimensions; message 'generateApertureModeDimensions';
    procedure removeApertureModeDimensions; message 'removeApertureModeDimensions';
    {$endif}
    {$if ((defined(MAC_OS_X_VERSION_10_7)) and ((MAC_OS_X_VERSION_MIN_REQUIRED >= MAC_OS_X_VERSION_10_7)))}
    function commonMetadata: NSArray; message 'commonMetadata';
    function availableMetadataFormats: NSArray; message 'availableMetadataFormats';
    function metadataForFormat (format: NSString): NSArray; message 'metadataForFormat:';
    {$endif}
  end;
{$endif}

