{ Parsed from QuickLookUI.framework (MacOSX10.8) QLPreviewView.h }
{ Created on Mon Sep 10 11:47:26 2012 }


{$ifdef TYPES}
type
  QLPreviewViewPtr = ^QLPreviewView;
{$endif}

{$if (MAC_OS_X_VERSION_MAX_ALLOWED >= MAC_OS_X_VERSION_10_7)}
{$ifdef TYPES}
const
  QLPreviewViewStyleNormal = 0;
  QLPreviewViewStyleCompact = 1;
{$endif}

{$endif}
{$ifdef TYPES}
type
  QLPreviewViewStyle = NSUInteger;
  QLPreviewViewStylePtr = ^QLPreviewViewStyle;
{$endif}

{$if (MAC_OS_X_VERSION_MAX_ALLOWED >= MAC_OS_X_VERSION_10_6)}
{$ifdef CLASSES}

type
  QLPreviewView = objcclass external (NSView)
  private
    _reserved: QLPreviewViewReserved;
  public
    function initWithFrame_style (frame: NSRect; style: QLPreviewViewStyle): id; message 'initWithFrame:style:';
    function initWithFrame (frame: NSRect): id; message 'initWithFrame:';
    procedure setPreviewItem(newValue: QLPreviewItemProtocol); message 'setPreviewItem:';
    function previewItem: QLPreviewItemProtocol; message 'previewItem';
    procedure refreshPreviewItem; message 'refreshPreviewItem';
    procedure setDisplayState(newValue: id); message 'setDisplayState:';
    function displayState: id; message 'displayState';
    procedure close; message 'close';
    procedure setShouldCloseWithWindow(newValue: boolean); message 'setShouldCloseWithWindow:';
    function shouldCloseWithWindow: boolean; message 'shouldCloseWithWindow';
    procedure setAutostarts(newValue: boolean); message 'setAutostarts:';
    function autostarts: boolean; message 'autostarts';
  end;
{$endif}

{$endif}
