{ Parsed from SceneKit.framework (MacOSX10.8) SCNAnimation.h }
{ Created on Mon Sep 10 11:46:01 2012 }


{$ifdef TYPES}
type
  SCNAnimatableProtocolPtr = ^SCNAnimatableProtocol;
{$endif}

{$ifdef PROTOCOLS}

type
  SCNAnimatableProtocol = objcprotocol external name 'SCNAnimatable'
    procedure addAnimation_forKey (animation: CAAnimation; key: NSString); message 'addAnimation:forKey:';
    procedure removeAllAnimations; message 'removeAllAnimations';
    procedure removeAnimationForKey (key: NSString); message 'removeAnimationForKey:';
    function animationKeys: NSArray; message 'animationKeys';
    function animationForKey (key: NSString): CAAnimation; message 'animationForKey:';
  end;
{$endif}

{$ifdef CLASSES}

type
  SceneKitAdditions = objccategory external (CAAnimation)
    procedure setUsesSceneTimeBase(newValue: boolean); message 'setUsesSceneTimeBase:';
    function usesSceneTimeBase: boolean; message 'usesSceneTimeBase';
  end;
{$endif}

