{ Parsed from SceneKit.framework (MacOSX10.8) SCNCamera.h }
{ Created on Mon Sep 10 11:46:01 2012 }


{$ifdef TYPES}
type
  SCNCameraPtr = ^SCNCamera;
{$endif}

{$ifdef CLASSES}

type
  SCNCamera = objcclass external (NSObject, SCNAnimatableProtocol, NSCopyingProtocol)
  private
    _reserved: id;
  public
    class function camera: SCNCamera; message 'camera';
    procedure setName(newValue: NSString); message 'setName:';
    function name: NSString; message 'name';
    procedure setXFov(newValue: double); message 'setXFov:';
    function xFov: double; message 'xFov';
    procedure setYFov(newValue: double); message 'setYFov:';
    function yFov: double; message 'yFov';
    procedure setZNear(newValue: double); message 'setZNear:';
    function zNear: double; message 'zNear';
    procedure setZFar(newValue: double); message 'setZFar:';
    function zFar: double; message 'zFar';
    procedure setUsesOrthographicProjection(newValue: boolean); message 'setUsesOrthographicProjection:';
    function usesOrthographicProjection: boolean; message 'usesOrthographicProjection';
    function projectionTransform: CATransform3D; message 'projectionTransform';

    { Adopted protocols }
    procedure addAnimation_forKey (animation: CAAnimation; key: NSString); message 'addAnimation:forKey:';
    function animationForKey (key: NSString): CAAnimation; message 'animationForKey:';
    function animationKeys: NSArray; message 'animationKeys';
    function copyWithZone (zone: NSZonePtr): id; message 'copyWithZone:';
    procedure removeAllAnimations; message 'removeAllAnimations';
    procedure removeAnimationForKey (key: NSString); message 'removeAnimationForKey:';
  end;
{$endif}

