{ Parsed from SceneKit.framework (MacOSX10.8) SCNLight.h }
{ Created on Mon Sep 10 11:46:01 2012 }


{$ifdef TYPES}
type
  SCNLightPtr = ^SCNLight;
{$endif}

{$ifdef EXTERNAL_SYMBOLS}
var
  SCNLightTypeAmbient: NSString; cvar; external;
  SCNLightTypeOmni: NSString; cvar; external;
  SCNLightTypeDirectional: NSString; cvar; external;
  SCNLightTypeSpot: NSString; cvar; external;
  SCNLightAttenuationStartKey: NSString; cvar; external;
  SCNLightAttenuationEndKey: NSString; cvar; external;
  SCNLightAttenuationFalloffExponentKey: NSString; cvar; external;
  SCNLightSpotInnerAngleKey: NSString; cvar; external;
  SCNLightSpotOuterAngleKey: NSString; cvar; external;
  SCNLightShadowNearClippingKey: NSString; cvar; external;
  SCNLightShadowFarClippingKey: NSString { available in 10_7, NA }; cvar; external;
{$endif}

{$ifdef CLASSES}

type
  SCNLight = objcclass external (NSObject, SCNAnimatableProtocol, NSCopyingProtocol)
  private
    _reserved: id;
  public
    class function light: SCNLight; message 'light';
    procedure setType(newValue: NSString); message 'setType:';
    function type_: NSString; message 'type';
    procedure setColor(newValue: id); message 'setColor:';
    function color: id; message 'color';
    function attributeForKey (key: NSString): id; message 'attributeForKey:';
    procedure setAttribute_forKey (attribute: id; key: NSString); message 'setAttribute:forKey:';
    procedure setName(newValue: NSString); message 'setName:';
    function name: NSString; message 'name';
    procedure setCastsShadow(newValue: boolean); message 'setCastsShadow:';
    function castsShadow: boolean; message 'castsShadow';
    procedure setShadowColor(newValue: id); message 'setShadowColor:';
    function shadowColor: id; message 'shadowColor';
    procedure setShadowRadius(newValue: CGFloat); message 'setShadowRadius:';
    function shadowRadius: CGFloat; message 'shadowRadius';

    { Adopted protocols }
    procedure addAnimation_forKey (animation: CAAnimation; key: NSString); message 'addAnimation:forKey:';
    function animationForKey (key: NSString): CAAnimation; message 'animationForKey:';
    function animationKeys: NSArray; message 'animationKeys';
    function copyWithZone (zone: NSZonePtr): id; message 'copyWithZone:';
    procedure removeAllAnimations; message 'removeAllAnimations';
    procedure removeAnimationForKey (key: NSString); message 'removeAnimationForKey:';
  end;
{$endif}

