{ Parsed from SecurityInterface.framework (MacOSX10.8) SFKeychainSavePanel.h }
{ Created on Mon Sep 10 11:47:25 2012 }


{$ifdef TYPES}
type
  SFKeychainSavePanelPtr = ^SFKeychainSavePanel;
{$endif}

{$ifndef _SFKEYCHAINSAVEPANEL_H_}

{$ifdef CLASSES}

type
  SFKeychainSavePanel = objcclass external (NSSavePanel, NSOpenSavePanelDelegateProtocol)
  private
    {$if (defined(__LP64__))}
    _reserved_SFKeychainSavePanel: id;
    {$else}
    _customView: NSView;
    _message: NSTextField;
    _password: NSString;
    _kcFullPathName: NSString;
    _startPath: NSString;
    _keychainFileName: NSString;
    _returnedKeychain: SecKeychainRef;
    _parentWindowForSheet: NSWindow;
    _clientDidEndSelector: SEL;
    _clientDelegate: id;
    _contextInfo: pointer;
    _result: OSStatus;
    _reserved_SFKeychainSavePanel_: id;
    {$endif}
  public
    class function sharedKeychainSavePanel: SFKeychainSavePanel; message 'sharedKeychainSavePanel';
    function runModalForDirectory_file (path: NSString; name: NSString): NSInteger; message 'runModalForDirectory:file:';
    procedure setPassword (password: NSString); message 'setPassword:';
    function keychain: SecKeychainRef; message 'keychain';
    function error: NSError; message 'error';
    procedure beginSheetForDirectory_file_modalForWindow_modalDelegate_didEndSelector_contextInfo (path: NSString; name: NSString; docWindow: NSWindow; delegate: id; didEndSelector: SEL; contextInfo: pointer); message 'beginSheetForDirectory:file:modalForWindow:modalDelegate:didEndSelector:contextInfo:';

    { Adopted protocols }
    function autorelease: id; message 'autorelease';
    function class_: pobjc_class; message 'class';
    function conformsToProtocol (aProtocol: Protocol): boolean; message 'conformsToProtocol:';
    function debugDescription: NSString; message 'debugDescription';
    function description: NSString; message 'description';
    function hash: NSUInteger; message 'hash';
    function isEqual (object_: id): boolean; message 'isEqual:';
    function isKindOfClass (aClass: pobjc_class): boolean; message 'isKindOfClass:';
    function isMemberOfClass (aClass: pobjc_class): boolean; message 'isMemberOfClass:';
    function isProxy: boolean; message 'isProxy';
    procedure panel_didChangeToDirectoryURL (sender: id; url: NSURL); message 'panel:didChangeToDirectoryURL:'; { available in 10_6 }
    function panel_shouldEnableURL (sender: id; url: NSURL): boolean; message 'panel:shouldEnableURL:'; { available in 10_6 }
    function panel_userEnteredFilename_confirmed (sender: id; filename: NSString; okFlag: boolean): NSString; message 'panel:userEnteredFilename:confirmed:';
    function panel_validateURL_error (sender: id; url: NSURL; outError: NSErrorPtr): boolean; message 'panel:validateURL:error:'; { available in 10_6 }
    procedure panel_willExpand (sender: id; expanding: boolean); message 'panel:willExpand:';
    procedure panelSelectionDidChange (sender: id); message 'panelSelectionDidChange:';
    function performSelector (aSelector: SEL): id; message 'performSelector:';
    function performSelector_withObject (aSelector: SEL; object_: id): id; message 'performSelector:withObject:';
    function performSelector_withObject_withObject (aSelector: SEL; object1: id; object2: id): id; message 'performSelector:withObject:withObject:';
    procedure release; message 'release';
    function respondsToSelector (aSelector: SEL): boolean; message 'respondsToSelector:';
    function retain: id; message 'retain';
    function retainCount: NSUInteger; message 'retainCount';
    function self_: id; message 'self';
    function superclass: pobjc_class; message 'superclass';
    function zone: NSZonePtr; message 'zone';
  end;
{$endif}

{$endif}
