{ Parsed from VideoToolbox.framework (MacOSX10.8) VTCompressionSession.h }
{ Created on Mon Sep 10 11:46:15 2012 }

{$ifndef VTCOMPRESSIONSESSION_H}

{$ifdef TYPES}
type
  VTCompressionSessionRef = OpaqueType;
  VTCompressionOutputCallback = procedure (outputCallbackRefCon: pointer; sourceFrameRefCon: pointer; status: OSStatus; infoFlags: VTEncodeInfoFlags; sampleBuffer: CMSampleBufferRef); cdecl;
{$endif}

{$ifdef EXTERNAL_SYMBOLS}
var
  kVTVideoEncoderSpecification_EncoderID: CFStringRef; cvar; external;
{$endif}

{$ifdef FUNCTIONS}
function VTCompressionSessionCreate(allocator: CFAllocatorRef; width: cint32; height: cint32; codecType: CMVideoCodecType; encoderSpecification: CFDictionaryRef; sourceImageBufferAttributes: CFDictionaryRef; compressedDataAllocator: CFAllocatorRef; outputCallback: VTCompressionOutputCallback; outputCallbackRefCon: pointer; compressionSessionOut: VTCompressionSessionRef): OSStatus; cdecl; external;
procedure VTCompressionSessionInvalidate(session: VTCompressionSessionRef); cdecl; external;
function VTCompressionSessionGetTypeID: CFTypeID; cdecl; external;
function VTCompressionSessionGetPixelBufferPool(session: VTCompressionSessionRef): CVPixelBufferPoolRef; cdecl; external;
function VTCompressionSessionEncodeFrame(session: VTCompressionSessionRef; imageBuffer: CVImageBufferRef; presentationTimeStamp: CMTime; duration: CMTime; frameProperties: CFDictionaryRef; sourceFrameRefCon: pointer; infoFlagsOut: VTEncodeInfoFlagsPtr): OSStatus; cdecl; external;
function VTCompressionSessionCompleteFrames(session: VTCompressionSessionRef; completeUntilPresentationTimeStamp: CMTime): OSStatus; cdecl; external;
{$endif}

{$endif}
