{ Parsed from WebKit.framework (MacOSX10.8) DOMCSSRule.h }
{ Created on Mon Sep 10 11:47:21 2012 }


{$ifdef TYPES}
type
  DOMCSSRulePtr = ^DOMCSSRule;
{$endif}

{$if (WEBKIT_VERSION_MAX_ALLOWED >= WEBKIT_VERSION_1_3)}
{$ifdef TYPES}
const
  DOM_UNKNOWN_RULE = 0;
  DOM_STYLE_RULE = 1;
  DOM_CHARSET_RULE = 2;
  DOM_IMPORT_RULE = 3;
  DOM_MEDIA_RULE = 4;
  DOM_FONT_FACE_RULE = 5;
  DOM_PAGE_RULE = 6;
  DOM_WEBKIT_KEYFRAMES_RULE = 7;
  DOM_WEBKIT_KEYFRAME_RULE = 8;
{$endif}

{$ifdef CLASSES}

type
  DOMCSSRule = objcclass external (DOMObject)
  public
    function type_: cushort; message 'type';
    procedure setCssText(newValue: NSString); message 'setCssText:';
    function cssText: NSString; message 'cssText';
    function parentStyleSheet: DOMCSSStyleSheet; message 'parentStyleSheet';
    function parentRule: DOMCSSRule; message 'parentRule';
  end;
{$endif}

{$endif}
