{ Parsed from WebKit.framework (MacOSX10.8) DOMCSSStyleDeclaration.h }
{ Created on Mon Sep 10 11:47:21 2012 }


{$ifdef TYPES}
type
  DOMCSSStyleDeclarationPtr = ^DOMCSSStyleDeclaration;
{$endif}

{$if (WEBKIT_VERSION_MAX_ALLOWED >= WEBKIT_VERSION_1_3)}
{$ifdef CLASSES}

type
  DOMCSSStyleDeclaration = objcclass external (DOMObject)
  public
    procedure setCssText(newValue: NSString); message 'setCssText:';
    function cssText: NSString; message 'cssText';
    function length: cuint; message 'length';
    function parentRule: DOMCSSRule; message 'parentRule';
    function getPropertyValue (propertyName: NSString): NSString; message 'getPropertyValue:';
    function getPropertyCSSValue (propertyName: NSString): DOMCSSValue; message 'getPropertyCSSValue:';
    function removeProperty (propertyName: NSString): NSString; message 'removeProperty:';
    function getPropertyPriority (propertyName: NSString): NSString; message 'getPropertyPriority:';
    procedure setProperty_value_priority (propertyName: NSString; value: NSString; priority: NSString); message 'setProperty:value:priority:';
    function item (index: cuint): NSString; message 'item:';
    function getPropertyShorthand (propertyName: NSString): NSString; message 'getPropertyShorthand:';
    function isPropertyImplicit (propertyName: NSString): boolean; message 'isPropertyImplicit:';
  end;


type
  DOMCSSStyleDeclarationDeprecated = objccategory external (DOMCSSStyleDeclaration)
    procedure setProperty_value (propertyName: NSString; priority: NSString); message 'setProperty:value:'; deprecated 'available in 1.3 and later but deprecated in 3.0';
  end;
{$endif}

{$endif}
