{ Parsed from WebKit.framework (MacOSX10.8) DOMImplementation.h }
{ Created on Mon Sep 10 11:47:21 2012 }


{$ifdef TYPES}
type
  DOMImplementationPtr = ^DOMImplementation;
{$endif}

{$if (WEBKIT_VERSION_MAX_ALLOWED >= WEBKIT_VERSION_1_3)}
{$ifdef CLASSES}

type
  DOMImplementation = objcclass external (DOMObject)
  public
    function hasFeature_version (feature: NSString; version: NSString): boolean; message 'hasFeature:version:';
    function createDocumentType_publicId_systemId (qualifiedName: NSString; publicId: NSString; systemId: NSString): DOMDocumentType; message 'createDocumentType:publicId:systemId:';
    function createDocument_qualifiedName_doctype (namespaceURI: NSString; qualifiedName: NSString; doctype: DOMDocumentType): DOMDocument; message 'createDocument:qualifiedName:doctype:';
    function createCSSStyleSheet_media (title: NSString; media: NSString): DOMCSSStyleSheet; message 'createCSSStyleSheet:media:';
    function createHTMLDocument (title: NSString): DOMHTMLDocument; message 'createHTMLDocument:';
  end;


type
  DOMImplementationDeprecated = objccategory external (DOMImplementation)
    function hasFeature (feature: NSString): boolean; message 'hasFeature:'; deprecated 'available in 1.3 and later but deprecated in 3.0';
    function createDocumentType_publicId (qualifiedName: NSString; systemId: NSString): DOMDocumentType; message 'createDocumentType:publicId:'; deprecated 'available in 1.3 and later but deprecated in 3.0';
    function createDocument_qualifiedName (namespaceURI: NSString; doctype: DOMDocumentType): DOMDocument; message 'createDocument:qualifiedName:'; deprecated 'available in 1.3 and later but deprecated in 3.0';
    function createCSSStyleSheet (title: NSString): DOMCSSStyleSheet; message 'createCSSStyleSheet:'; deprecated 'available in 1.3 and later but deprecated in 3.0';
  end;
{$endif}

{$endif}
