{ Parsed from WebKit.framework (MacOSX10.8) WebHistoryItem.h }
{ Created on Mon Sep 10 11:47:22 2012 }


{$ifdef TYPES}
type
  WebHistoryItemPtr = ^WebHistoryItem;
{$endif}

{$ifdef EXTERNAL_SYMBOLS}
var
  WebHistoryItemChangedNotification: NSString; cvar; external;
{$endif}

{$ifdef CLASSES}

type
  WebHistoryItem = objcclass external (NSObject, NSCopyingProtocol)
  private
    _private: WebHistoryItemPrivate;
  public
    function initWithURLString_title_lastVisitedTimeInterval (URLString: NSString; title: NSString; time: NSTimeInterval): id; message 'initWithURLString:title:lastVisitedTimeInterval:';
    function originalURLString: NSString; message 'originalURLString';
    function URLString: NSString; message 'URLString';
    function title: NSString; message 'title';
    function lastVisitedTimeInterval: NSTimeInterval; message 'lastVisitedTimeInterval';
    procedure setAlternateTitle (alternateTitle: NSString); message 'setAlternateTitle:';
    function alternateTitle: NSString; message 'alternateTitle';
    function icon: NSImage; message 'icon';

    { Adopted protocols }
    function copyWithZone (zone: NSZonePtr): id; message 'copyWithZone:';
  end;
{$endif}

